/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets;


/**
 *
 * @author Vincent Calame
 */
public class HttpAccessException extends RuntimeException {

    public final static int NOT_FOUND = 404;
    public final static int FORBIDDEN_ACCESS = 403;
    public final static int INTERNAL_ERROR = 500;
    private int httpType;
    private String message;

    public HttpAccessException(int httpType) {
        this.httpType = httpType;
    }

    public HttpAccessException(int httpType, String message) {
        this.httpType = httpType;
        this.message = message;
    }

    public int getHttpType() {
        return httpType;
    }

    public String getMessage() {
        return message;
    }

}
