/* BaseDeFiches - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.servlets;

import javax.servlet.ServletContext;
import net.mapeadores.util.io.MimeTypeResolver;


/**
 *
 * @author Vincent Calame
 */
public class ServletMimeTypeResolver implements MimeTypeResolver {

    private ServletContext servletContext;

    public ServletMimeTypeResolver(ServletContext servletContext) {
        this.servletContext = servletContext;
    }

    public String getMimeTypeFromExtension(String extension) {
        return getMimeTypeFromFileName("a." + extension);
    }

    public String getMimeTypeFromFileName(String fileName) {
        String mimeType = servletContext.getMimeType(fileName);
        if (mimeType == null) {
            return "application/octet-stream";
        }
        return mimeType;
    }

}
