/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2011 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.administration;

import fr.exemole.bdfserver.response.AdministrationResponseParameters;
import fr.exemole.bdfserver.request.*;
import java.io.*;
import net.mapeadores.util.zip.*;
import fr.exemole.bdfserver.storage.*;
import java.util.zip.ZipOutputStream;
import fr.exemole.bdfserver.zip.*;


/**
 *
 * @author Vincent Calame
 */
public class BackupCommand extends AbstractAdministrationCommand {

    public final static String BACKUPFILENAME_PARAMNAME = "backupfilename";

    public BackupCommand() {
    }

    public static String getCommandString() {
        return "Backup";
    }

    protected void doAdministrationCommand() {
        File backupFile = getBackupFile();
        responseParameters.putParameter(BACKUPFILENAME_PARAMNAME, backupFile.getName());
        zipBdfServerFile(backupFile);
        responseParameters.setHtmlPageCode(AdministrationResponseParameters.BACKUP_PAGE);
    }

    protected void checkAdministrationParameters() throws ParameterException {
    }

    private void zipBdfServerFile(File backupFile) {
        BdfServerZip bdfServerZip = new BdfServerZip(bdfServer, null);
        try {
            ZipOutputStream zipOutputStream = new ZipOutputStream(new FileOutputStream(backupFile));
            bdfServerZip.zip(zipOutputStream);
            zipOutputStream.close();
        } catch (IOException ioe) {
            throw new BdfStorageException(ioe);
        }
    }

    public static String getCommandKey() {
        return "ADM-01";
    }

}
