/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.administration.htmlpages;

import fr.exemole.bdfserver.response.*;
import fr.exemole.bdfserver.servlets.administration.*;
import java.io.*;
import javax.servlet.http.*;
import fr.exemole.bdfserver.managers.*;
import net.mapeadores.util.html.CommandBox;


/**
 *
 * @author Vincent Calame
 */
public class BackupPage extends AdministrationHtmlPage {

    String backupFileName;

    public BackupPage(AdministrationResponseParameters responseParameters) {
        super(responseParameters);
        backupFileName = (String) responseParameters.getParameter(BackupCommand.BACKUPFILENAME_PARAMNAME);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        String path = bdfServer.getConfigurationManager().checkPath(ConfigurationManager.PRIVATE_OUTPUT, backupFileName, "");
        initResponse(response);
        start();
        appendP(null, "admin_done_backup");
        startP();
        startA(path);
        append(backupFileName);
        endA();
        endP();
        CommandBox commandBox = new CommandBox();
        commandBox.setFormAction("Administration");
        commandBox.setCommandString(BackupDeleteCommand.getCommandString());
        commandBox.setCommandKey(BackupDeleteCommand.getCommandKey());
        startCommandBox(commandBox);
        endCommandBox("admin_submit_backupdelete");
        end();
    }

}
