/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.administration.htmlpages;

import fr.exemole.bdfserver.htmlproducers.CommandBoxUtils;
import fr.exemole.bdfserver.response.AdministrationResponseParameters;
import javax.servlet.http.*;
import java.io.*;
import fr.exemole.bdfserver.servlets.administration.*;
import fr.exemole.bdfserver.roles.*;
import java.util.*;
import fr.exemole.bdfserver.request.*;
import net.mapeadores.util.html.CommandBox;


/**
 *
 * @author Vincent Calame
 */
public class RoleRemovePage extends AdministrationHtmlPage {

    Role role;

    public RoleRemovePage(AdministrationResponseParameters responseParameters) {
        super(responseParameters);
        role = responseParameters.getRole();
        allowsTest();
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printRoleTitre(role);
        printMessage();
        CommandBox commandBox = new CommandBox();
        commandBox.setFormAction("Administration");
        commandBox.setCommandFamily("ROL");
        commandBox.setCommandString(RoleRemoveCommand.getCommandString());
        commandBox.setCommandKey(RoleRemoveCommand.getCommandKey());
        CommandBoxUtils.insertRole(commandBox, role);
        startCommandBox(commandBox);
        printConfirmPassword();
        endCommandBox("admin_submit_roleremove");
        end();
    }

}
