/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.administration.htmlpages;

import fr.exemole.bdfserver.response.*;
import java.io.*;
import javax.servlet.http.*;
import java.util.*;
import fr.exemole.bdfserver.users.*;
import net.mapeadores.util.html.*;
import net.mapeadores.basedefiches.sphere.*;
import java.text.*;
import fr.exemole.bdfserver.session.*;


/**
 *
 * @author Vincent Calame
 */
public class SessionPage extends AdministrationHtmlPage {

    SessionManager sessionManager;

    public SessionPage(AdministrationResponseParameters responseParameters) {
        super(responseParameters);
        this.sessionManager = responseParameters.getSessionManager();
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        DateFormat dateFormat = DateFormat.getDateTimeInstance(DateFormat.MEDIUM, DateFormat.MEDIUM, formatLocale);
        dateFormat.setTimeZone(new SimpleTimeZone(0, "GMT"));

        HTMLUtils.printBodyStart(pw, false, "Administration", null, null);

        startH3();
        localize("admin_title_sessions");
        endH3();
        BdfUser[] array = sessionManager.getCurrentBdfUserArray();
        startP();
        append(String.valueOf(array.length));
        endP();
        startUl();
        for (int i = 0; i < array.length; i++) {
            BdfUser bdfUser = array[i];
            HttpSession session = (HttpSession) bdfUser.getSessionObject();
            startLi();
            startP();
            RedacteurKey redacteurKey = bdfUser.getRedacteurKey();
            pw.print(redacteurKey.getSphereKey().getSubsetName());
            pw.print(" - ");
            pw.print(redacteurKey.getIdsphereString());
            endP();
            startP();
            startSmall();
            localize("admin_session_creationtime");
            pw.print(" ");
            escape(dateFormat.format(new Date(session.getCreationTime())));
            pw.print(" ");
            localize("admin_session_gmt");
            pw.print(" - ");
            localize("admin_session_lastacessedtime");
            pw.print(" ");
            escape(dateFormat.format(new Date(session.getLastAccessedTime())));
            pw.print(" ");
            localize("admin_session_gmt");
            endSmall();
            endP();
            endLi();
        }
        endUl();
        end();
    }

} 
