/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.affichage.contentstreams;

import fr.exemole.bdfserver.response.*;
import fr.exemole.bdfserver.managers.transformation.*;
import java.io.*;
import javax.servlet.http.*;
import fr.exemole.bdfserver.servlets.affichage.*;
import net.mapeadores.basedefiches.extraction.*;
import net.mapeadores.basedefiches.selection.*;


/**
 *
 * @author Vincent Calame
 */
public class CompilationStream extends AffichageContentStream {

    AbregeFicheSortedList abregeFicheSortedList;
    Extraction extraction;
    short contentStreamType;

    public CompilationStream(BdfResponseParameters responseParameters) {
        super(responseParameters);
        abregeFicheSortedList = (AbregeFicheSortedList) responseParameters.getParameter(ABREGEFICHESORTEDLIST_OBJ);
        contentStreamType = responseParameters.getResponseCode();
        extraction = Extraction.newDefaultFicheInstance(basedefiches, localisationLists, null);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        switch (contentStreamType) {
            case COMPILATION_OCTET_STREAM:
                writeStream(response, TransformationKey.COMPILATION_TRANSFORMATIONKEY, extraction, abregeFicheSortedList);
                return;
            case COMPILATION_XML_STREAM:
                printXml(response, extraction, abregeFicheSortedList, null);
                break;
            case COMPILATION_HTML_STREAM:
                printHtml(response, extraction, abregeFicheSortedList, TransformationKey.COMPILATION_TRANSFORMATIONKEY);
                break;
        }
    }

}

