/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.affichage.contentstreams;

import fr.exemole.bdfserver.response.*;
import fr.exemole.bdfserver.managers.transformation.*;
import javax.servlet.http.*;
import java.io.*;
import net.mapeadores.basedefiches.corpus.*;
import fr.exemole.bdfserver.servlets.affichage.*;
import net.mapeadores.basedefiches.extraction.*;
import fr.exemole.bdfserver.servlets.*;


/**
 *
 *
 * @author Vincent Calame
 */
public class FicheStream extends AffichageContentStream {

    AbregeFiche abregeFiche;
    Extraction extraction;
    short contentStreamType;
    TransformationKey corpusTransformationKey;

    public FicheStream(BdfResponseParameters responseParameters) {
        super(responseParameters);
        contentStreamType = responseParameters.getResponseCode();
        abregeFiche = (AbregeFiche) responseParameters.getParameter(ABREGEFICHE_OBJ);
        extraction = Extraction.newDefaultFicheInstance(basedefiches, localisationLists, null);
        corpusTransformationKey = new TransformationKey(abregeFiche.getCorpus().getSubsetKey());
    }

    public void handleResponse(HttpServletResponse reponse) throws IOException {
        switch (contentStreamType) {
            case FICHE_HTML_STREAM:
                printHtml(reponse, extraction, abregeFiche, corpusTransformationKey);
                return;
            case FICHE_OCTET_STREAM:
                writeStream(reponse, corpusTransformationKey, extraction, abregeFiche);
                return;
            case FICHE_XMLXSL_STREAM:
                XslTransformerKey xslTransformerKey = bdfUser.getXslTransformerKey(corpusTransformationKey);
                String stylesheetPath = ServletCommons.getTemplatePath(xslTransformerKey);
                printXml(reponse, extraction, abregeFiche, stylesheetPath);
                return;
            case FICHE_XML_STREAM:
                printXml(reponse, extraction, abregeFiche, null);
                return;
        }
    }

}
