/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2007-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.affichage.contentstreams;

import fr.exemole.bdfserver.response.*;
import java.io.*;
import javax.servlet.http.*;
import fr.exemole.bdfserver.servlets.affichage.*;
import net.mapeadores.basedefiches.*;
import net.mapeadores.basedefiches.xml.libs.*;


/**
 *
 * @author Vincent Calame
 */
public class LibsStream extends AffichageContentStream {

    Subset subset;
    int langInteger;
    short contentStreamType;

    public LibsStream(BdfResponseParameters responseParameters) {
        super(responseParameters);
        subset = (Subset) responseParameters.getParameter(SUBSET_OBJ);
        contentStreamType = responseParameters.getResponseCode();
        langInteger = ((Integer) responseParameters.getParameter("langInteger")).intValue();
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        switch (contentStreamType) {
            case THS_LIBS_XML_STREAM:
                printXml(response);
                break;
        }
    }

    private void printXml(HttpServletResponse reponse) throws IOException {
        reponse.setContentType("text/xml;charset=UTF-8");
        PrintWriter pw = reponse.getWriter();
        LibsXMLWriter libsWriter = new LibsXMLWriter(langInteger, pw, 0);
        libsWriter.appendXMLDeclaration();
        libsWriter.appendSubsetLibs(subset);
        pw.close();
    }

}
