/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.affichage.contentstreams;

import fr.exemole.bdfserver.response.*;
import fr.exemole.bdfserver.managers.transformation.*;
import java.io.*;
import javax.servlet.http.*;
import fr.exemole.bdfserver.servlets.affichage.*;
import net.mapeadores.basedefiches.thesaurus.*;
import net.mapeadores.basedefiches.extraction.*;


/**
 *
 * @author Vincent Calame
 */
public class MotcleStream extends AffichageContentStream {

    Motcle motcle;
    Extraction extraction;
    short contentStreamType;

    public MotcleStream(BdfResponseParameters affichageResponseParameters) {
        super(affichageResponseParameters);
        motcle = (Motcle) affichageResponseParameters.getParameter(MOTCLE_OBJ);
        contentStreamType = affichageResponseParameters.getResponseCode();
        extraction = new Extraction(basedefiches, localisationLists, null);
        MotcleFilterWrapper wrapper = new MotcleFilterWrapper(MotcleFilter.getAloneInstance(null));
        extraction.setDynamicMotcleFilterWrapper(wrapper);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        switch (contentStreamType) {
            case MOTCLE_XML_STREAM:
                printXml(response, extraction, motcle, null);
                break;
            case MOTCLE_HTML_STREAM:
                printHtml(response, extraction, motcle, TransformationKey.MOTCLE_TRANSFORMATIONKEY);
                break;
        }
    }

}
