/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.affichage.htmlpages;

import fr.exemole.bdfserver.response.*;
import fr.exemole.bdfserver.servlets.affichage.*;
import fr.exemole.bdfserver.servlets.*;
import fr.exemole.bdfserver.request.*;
import net.mapeadores.util.servlets.*;
import net.mapeadores.util.html.*;
import fr.exemole.bdfserver.servlets.resources.*;


/**
 *
 * @author Vincent Calame
 */
public abstract class AffichageHtmlPage extends BdfHtmlPage implements BdfConstants, AffichageConstants {

    public final static String P_WARNING_CLASS = "p_AFF_WARNING";

    public AffichageHtmlPage(BdfResponseParameters affichageResponseParameters) {
        super(affichageResponseParameters);
    }

    public static ResponseHandler getInstance(BdfResponseParameters responseParameters) {
        switch (responseParameters.getResponseCode()) {
            case MESSAGE_SERVLETPAGE:
                return new MessagePage(responseParameters);
            case CORPUSTHESAURUS_PAGE:
                return new CorpusThesaurusPage(responseParameters);
            case ISO_PAGE:
                return new ISOPage(responseParameters);
            case GLOBALSTATS_PAGE:
                return new GlobalStatsPage(responseParameters);
            case GEOLOCALISATION_PAGE:
                return new GeolocalisationPage(responseParameters);
        }
        return null;
    }

    public String getTitle() {
        return "Affichage";
    }

    public String getCssThemeFile() {
        return "affichage.css";
    }

    public String getFormAction() {
        return null;
    }

}
