/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.affichage.htmlpages;

import fr.exemole.bdfserver.response.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import fr.exemole.bdfserver.servlets.affichage.*;
import net.mapeadores.util.langinteger.*;


/**
 *
 * @author Vincent Calame
 */
public class ISOPage extends AffichageHtmlPage {

    SortedMap localisationMap;
    String titleKey;

    public ISOPage(BdfResponseParameters responseParameters) {
        super(responseParameters);
        String name = (String) responseParameters.getParameter(STRING_OBJ);
        if (name.equals(LANGUAGES)) {
            localisationMap = LangIntegerLocalisation.getLanguageMap(formatLocale);
            titleKey = "global_subset_langue";
        } else if (name.equals(COUNTRIES)) {
            localisationMap = LangIntegerLocalisation.getCountryMap(formatLocale);
            titleKey = "global_subset_pays";
        }
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printH1WithIcon(titleKey, titleKey, "..");
        startTable();
        for (Iterator it = localisationMap.entrySet().iterator(); it.hasNext();) {
            Map.Entry entree = (Map.Entry) it.next();
            startRow();
            startCell();
            escape((String) entree.getKey());
            endCell();
            startCell();
            escape((String) entree.getValue());
            endCell();
            endRow();
        }
        endTable();
        end();
    }

    public String getTitle() {
        return getLocalization(titleKey);
    }

}
