/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.association.htmlpages;

import fr.exemole.bdfserver.response.AssociationResponseParameters;
import fr.exemole.bdfserver.servlets.*;
import fr.exemole.bdfserver.servlets.association.*;
import net.mapeadores.basedefiches.corpus.*;
import net.mapeadores.basedefiches.association.*;
import net.mapeadores.util.servlets.ResponseHandler;


/**
 *
 * @author Vincent Calame
 */
public abstract class AssociationHtmlPage extends BdfHtmlPage {

    AssociationResponseParameters responseParameters;
    AbregeFiche abregeFiche;
    Document document;

    public AssociationHtmlPage(AssociationResponseParameters responseParameters) {
        super(responseParameters);
        this.responseParameters = responseParameters;
        abregeFiche = responseParameters.getAbregeFiche();
        document = responseParameters.getDocument();
    }

    public static ResponseHandler getInstance(AssociationResponseParameters responseParameters) {
        switch (responseParameters.getResponseCode()) {
            case AssociationResponseParameters.ASSOCIATIONINDEX_PAGE:
                return new AssociationIndexPage(responseParameters);
            case AssociationResponseParameters.DOCUMENTFORM_PAGE:
                return new DocumentFormPage(responseParameters);
            case AssociationResponseParameters.ASSOCIATIONFORM_PAGE:
                return new AssociationFormPage(responseParameters);
            case AssociationResponseParameters.ASSOCIATIONREMOVE_PAGE:
                return new AssociationRemovePage(responseParameters);
            default:
                return null;
        }
    }

    public String getTitle() {
        return "Association";
    }

    public String getFormAction() {
        return "Association";
    }

    public String getCssThemeFile() {
        return "association.css";
    }

}
