/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.association.htmlpages;

import fr.exemole.bdfserver.response.AssociationResponseParameters;
import fr.exemole.bdfserver.servlets.association.*;
import java.io.*;
import javax.servlet.http.*;
import net.mapeadores.basedefiches.association.*;
import net.mapeadores.basedefiches.*;
import fr.exemole.bdfserver.request.RequestUtils;


/**
 *
 * @author Vincent Calame
 */
public class AssociationIndexPage extends AssociationHtmlPage {

    public AssociationIndexPage(AssociationResponseParameters responseParameters) {
        super(responseParameters);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        appendH1("association_title_index");
        printMessage();
        pw.print("<ul>");
        DocumentSubset documentSubset = (DocumentSubset) bdfServer.getBasedefiches().getSubset(SubsetKey.DOCUMENT_SUBSET);
        for (int i = 0; i < documentSubset.getTicketLength(); i++) {
            Document document = (Document) documentSubset.getSubsetItemByTicket(i);
            if (document != null) {
                printDocumentListItem(document);
            }
        }
        pw.print("</ul>");
        end();
    }

    void printDocumentListItem(Document document) {
        pw.print("<li>");
        pw.print("<p>");
        pw.print("<a href=\"Association?");
        pw.print(RequestUtils.toParameterString(document));
        pw.print("\">");
        pw.print(document.getBasename());
        pw.print("</a>");
        pw.print(" ");
        RequestUtils.printDocument(this, document, formatLocale, true);
        pw.print("</p>");
        pw.print("</li>");
    }

}
