/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.association.htmlpages;

import fr.exemole.bdfserver.response.AssociationResponseParameters;
import fr.exemole.bdfserver.servlets.association.*;
import java.io.*;
import javax.servlet.http.*;
import fr.exemole.bdfserver.users.*;
import net.mapeadores.util.html.*;
import net.mapeadores.basedefiches.croisement.*;
import fr.exemole.bdfserver.servlets.resources.CssClass;
import fr.exemole.bdfserver.request.RequestUtils;


/**
 *
 * @author Vincent Calame
 */
public class AssociationRemovePage extends AssociationHtmlPage {

    public AssociationRemovePage(AssociationResponseParameters responseParameters) {
        super(responseParameters);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        startP(CssClass.P_TOOLBARLINKS);
        String href = "Association?" + RequestUtils.toParameterString(abregeFiche);
        appendA(href, "association_link_backassociation");
        endP();
        appendH1("association_title_associationremove");
        startTable();
        startRow();
        printLibCells("global_type_fiche", false);
        startCell();
        escape(BdfUserUtils.getAbregeFicheString(bdfUser, abregeFiche));
        endCell();
        endRow();
        startRow();
        printLibCells("global_type_document", false);
        startCell();
        append(document.getBasename());
        space();
        RequestUtils.printDocument(this, document, formatLocale, true);
        endCell();
        endRow();
        endTable();
        startForm(document, AssociationRemoveCommand.getCommandString(), abregeFiche);
        if (CroisementUtils.isUniqueCroisement(abregeFiche, document)) {
            printDocumentRemove();
        }
        endForm("association_submit_associationremove");
        end();
    }

    private void printDocumentRemove() {
        startP();
        HTMLAttributes att = new HTMLAttributes();
        att.setName(AssociationRemoveCommand.DOCUMENTREMOVE_PARAMNAME);
        att.setValue("1");
        att.setChecked(true);
        addCheck(att, getLocalization("association_lib_documentremove", document.getBasename()), null);
        endP();
    }

}
