/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.corpus;

import fr.exemole.bdfserver.response.CorpusResponseParameters;
import fr.exemole.bdfserver.request.*;
import fr.exemole.bdfserver.ui.corpus.*;


/**
 *
 * @author Vincent Calame
 */
public class CommentUIChangeCommand extends AbstractCommentUICommand {

    CommentUI commentUI;

    public CommentUIChangeCommand() {
    }

    protected void doCorpusCommand() {
        updateLibelle(commentUI);
        responseParameters.setHtmlPageCode(CorpusResponseParameters.INSERTFORM_COMMENT_PAGE);
        responseParameters.setDoneMessage("corpus_done_commentchange", commentUI.getName());
        bdfServer.saveUIManager();
    }

    protected void checkCorpusParameters() throws ParameterException {
        String name = getMandatoryParameter(NAME_PARAMNAME);
        init();
        commentUI = componentUIEditor.getCommentUI(name, false);
        if (commentUI == null) {
            throw new ParameterException(ParameterException.PARAMETER_WRONGVALUE, NAME_PARAMNAME + " = " + name);
        }
        int positionMask = getPositionMask();
        componentUIEditor.setLocation(commentUI, positionMask);
    }

    public static String getCommandString() {
        return "CommentUIChange";
    }

}
