/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.corpus;

import fr.exemole.bdfserver.response.CorpusResponseParameters;
import javax.servlet.http.*;
import javax.servlet.*;
import java.io.*;
import java.util.*;
import fr.exemole.bdfserver.BdfServer;
import fr.exemole.bdfserver.servlets.*;
import fr.exemole.bdfserver.ui.*;
import fr.exemole.bdfserver.ui.corpus.*;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.util.langinteger.LangInteger;
import net.mapeadores.util.langinteger.LangIntegerException;
import net.mapeadores.basedefiches.*;
import net.mapeadores.basedefiches.corpus.*;
import net.mapeadores.basedefiches.corpus.metadata.*;
import net.mapeadores.util.text.UTF8Bridge;
import net.mapeadores.util.text.StringUtils;
import fr.exemole.bdfserver.request.ParameterException;
import fr.exemole.bdfserver.ui.corpus.CommentUI;


/**
 *
 * @author Vincent Calame
 */
public class CommentUICreationCommand extends AbstractCommentUICommand {

    int positionMask;

    public CommentUICreationCommand() {
    }

    protected void doCorpusCommand() {
        String name = getCommentName();
        CommentUI commentUI = componentUIEditor.getCommentUI(name, true);
        componentUIEditor.setLocation(commentUI, positionMask);
        updateLibelle(commentUI);
        responseParameters.setHtmlPageCode(CorpusResponseParameters.INSERTFORM_COMMENT_PAGE);
        responseParameters.setDoneMessage("corpus_done_commentcreation", name);
        bdfServer.saveUIManager();
    }

    protected void checkCorpusParameters() throws ParameterException {
        positionMask = getPositionMask();
        init();
    }

    public static String getCommandString() {
        return "CommentUICreation";
    }

    private String getCommentName() {
        List list = corpusUI.getOrderedComponentUIList(CorpusUI.COMMENT_LIST);
        int number = list.size() + 1;
        String racine = corpus.getSubsetKey().getSubsetName();
        String name = null;
        while (true) {
            name = racine + String.valueOf(number);
            if (corpusUI.getCommentUI(name) == null) {
                break;
            } else {
                number++;
            }
        }
        return name;
    }

}
