/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.corpus;

import fr.exemole.bdfserver.response.CorpusResponseParameters;
import javax.servlet.http.*;
import javax.servlet.*;
import java.io.*;
import java.util.*;
import fr.exemole.bdfserver.BdfServer;
import fr.exemole.bdfserver.servlets.*;
import fr.exemole.bdfserver.ui.*;
import fr.exemole.bdfserver.ui.corpus.*;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.util.langinteger.LangInteger;
import net.mapeadores.util.langinteger.LangIntegerException;
import net.mapeadores.basedefiches.*;
import net.mapeadores.basedefiches.corpus.*;
import net.mapeadores.basedefiches.corpus.metadata.*;
import net.mapeadores.util.text.UTF8Bridge;
import net.mapeadores.util.text.StringUtils;
import fr.exemole.bdfserver.request.ParameterException;


/**
 *
 * @author Vincent Calame
 */
public class ComponentUIPositionCommand extends AbstractCorpusCommand {

    public static String COMPONENTPOSITION_PARAMNAME = "componentposition";
    private String componentPosition;

    public ComponentUIPositionCommand() {
    }

    protected void doCorpusCommand() {
        CorpusUI corpusUI = bdfServer.getUIManager().getCorpusUI(corpus);
        String[] tokens = StringUtils.getLineTokens(componentPosition, StringUtils.EMPTY_EXCLUDE);
        corpusUI.getComponentUIEditor().setPositionArray(tokens);
        responseParameters.setHtmlPageCode(CorpusResponseParameters.UIFORM_PAGE);
        responseParameters.setDoneMessage("corpus_done_componentposition", null);
        bdfServer.saveUIManager();
    }

    protected void checkCorpusParameters() throws ParameterException {
        componentPosition = requestMap.getParameter(COMPONENTPOSITION_PARAMNAME);
        if (componentPosition == null) {
            throw new ParameterException(ParameterException.PARAMETER_UNDEFINED, COMPONENTPOSITION_PARAMNAME);
        }
    }

    public static String getCommandString() {
        return "ComponentUIPosition";
    }

}
