/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.corpus;

import fr.exemole.bdfserver.response.CorpusResponseParameters;
import net.mapeadores.basedefiches.*;
import fr.exemole.bdfserver.request.*;
import net.mapeadores.util.exceptions.*;


/**
 *
 * @author Vincent Calame
 */
public class CorpusRemoveCommand extends AbstractCorpusCommand {

    public CorpusRemoveCommand() {
    }

    protected void doCorpusCommand() {
        SubsetKey corpusKey = (SubsetKey) corpus.getSubsetKey();
        try {
            bdfServer.getBasedefichesEditor().removeCorpus(corpus);
            responseParameters.setCorpus(null);
            responseParameters.setHtmlPageCode(CorpusResponseParameters.INDEX_PAGE);
            responseParameters.setDoneMessage("corpus_done_corpusremove", corpusKey.getSubsetName());
        } catch (NoRemoveableSubsetException nrse) {
            throw new ShouldNotOccurException("test done before");
        }
    }

    protected void checkCorpusParameters() throws ParameterException {
        if (!RequestUtils.checkConfirmPassword(requestMap, bdfServer)) {
            responseParameters.setHtmlPageCode(CorpusResponseParameters.CORPUSREMOVEFORM_PAGE);
            responseParameters.setErrorMessage("global_err_password", null);
            return;
        }
        if (!bdfServer.getBasedefiches().isRemoveable(corpus)) {
            responseParameters.setHtmlPageCode(CorpusResponseParameters.CORPUSREMOVEFORM_PAGE);
            responseParameters.setErrorMessage("corpus_err_corpusnotremoveable", null);
            return;
        }
    }

    public static String getCommandString() {
        return "CorpusRemove";
    }

    public static String getCommandKey() {
        return "CRP-09";
    }

}
