/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.corpus.htmlpages;

import fr.exemole.bdfserver.response.CorpusResponseParameters;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import fr.exemole.bdfserver.servlets.corpus.*;
import fr.exemole.bdfserver.ui.corpus.*;


/**
 *
 * @author Vincent Calame
 */
public class InsertFormIndexationPage extends CorpusHtmlPage {

    public InsertFormIndexationPage(CorpusResponseParameters responseParameters) {
        super(responseParameters);
        addJavascript(CORPUS_INSERTFORM_JS);
        customInit();

    }

    public boolean needWorkingLangArray() {
        return true;
    }

    public boolean needCorpusUI() {
        return true;
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printInsertionTitre();
        printIndexation();
        end();
    }

    private void printIndexation() {
        appendH2("corpus_title_currentindexation");
        List list = corpusUI.getOrderedComponentUIList(CorpusUI.INDEXATION_INCLUDEUI_LIST);
        if (list.size() == 0) {
            startP();
            localize("corpus_info_noindexation");
            endP();
        } else {
            startUl();
            for (Iterator it = list.iterator(); it.hasNext();) {
                IncludeUI indexationUI = (IncludeUI) it.next();
                startLi();
                startP();
                startCode();
                append("[");
                append(indexationUI.getFiteredIncludeKey().toString());
                append("]");
                endCode();
                endP();
                printChgtBox(indexationUI);
                printSuppBox(indexationUI);
                endLi();
            }
            endUl();
        }
        printIncludeUIAddForm(bdfServer.getUIManager().getThesaurusSubsetKeyTree());
    }

}
