/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.corpus.htmlpages;

import fr.exemole.bdfserver.response.CorpusResponseParameters;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import fr.exemole.bdfserver.servlets.corpus.*;
import fr.exemole.bdfserver.managers.*;
import fr.exemole.bdfserver.ui.corpus.*;


/**
 *
 * @author Vincent Calame
 */
public class InsertFormLiagePage extends CorpusHtmlPage {

    public InsertFormLiagePage(CorpusResponseParameters responseParameters) {
        super(responseParameters);
        addJavascript(CORPUS_INSERTFORM_JS);
        corpusUI = bdfServer.getUIManager().getCorpusUI(corpus);
        LangConfig langConfig = bdfServer.getConfigurationManager().getLangConfig();
        workingArray = langConfig.getWorkingLangIntegerArray();
        customInit();
    }

    public boolean needWorkingLangArray() {
        return true;
    }

    public boolean needCorpusUI() {
        return true;
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printInsertionTitre();
        printLiage();
        end();
    }

    private void printLiage() {
        appendH2("corpus_title_currentliage");
        List list = corpusUI.getOrderedComponentUIList(CorpusUI.LIAGE_INCLUDEUI_LIST);
        if (list.size() == 0) {
            startP();
            localize("corpus_info_noliage");
            endP();
        } else {
            startUl();
            for (Iterator it = list.iterator(); it.hasNext();) {
                IncludeUI liageUI = (IncludeUI) it.next();
                startLi();
                startP();
                startCode();
                append("[");
                append(liageUI.getFiteredIncludeKey().toString());
                append("]");
                endCode();
                endP();
                printChgtBox(liageUI);
                printSuppBox(liageUI);
                endLi();
            }
            endUl();
        }
        printIncludeUIAddForm(bdfServer.getUIManager().getCorpusSubsetKeyTree());
    }

}
