/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.corpus.htmlpages;

import fr.exemole.bdfserver.response.CorpusResponseParameters;
import javax.servlet.http.*;
import java.io.*;
import net.mapeadores.basedefiches.corpus.metadata.*;
import fr.exemole.bdfserver.servlets.corpus.*;
import fr.exemole.bdfserver.servlets.resources.CssClass;
import fr.exemole.bdfserver.ui.corpus.*;
import net.mapeadores.basedefiches.include.*;


/**
 *
 * @author Vincent Calame
 */
public class InsertFormPage extends CorpusHtmlPage {

    public InsertFormPage(CorpusResponseParameters responseParameters) {
        super(responseParameters);
        addJavascript(CORPUS_INSERTFORM_JS);
        customInit();
    }

    public boolean needWorkingLangArray() {
        return true;
    }

    public boolean needCorpusUI() {
        return true;
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printInsertionTitre();
        appendH2("corpus_title_specialinclude");
        startUl();
        printLi(IncludeKey.LIAGE);
        printLi(IncludeKey.RATTACHEMENT);
        printLi(IncludeKey.ASSOCIATION);
        endUl();
        printAssociation();
        end();
    }

    private void printAssociation() {
        boolean active = corpusUI.isAssociationActive();
        String infoKey = (active) ? "corpus_info_association_active" : "corpus_info_association_inactive";
        String submitKey = (active) ? "corpus_submit_association_inactivate" : "corpus_submit_association_activate";
        beginFormBlock(corpus, AssociationActivationCommand.getCommandString(), "corpus_title_association");
        startP(CssClass.P_SUBTITLE);
        localize(infoKey);
        endP();
        endForm(submitKey);
    }

    private void printLi(IncludeKey includeKey) {
        IncludeUI includeUI = corpusUI.getIncludeUI(new FilteredIncludeKey(includeKey));
        if (includeUI != null) {
            startLi();
            startP();
            startCode();
            append("[");
            append(includeKey.toString());
            append("]");
            endCode();
            endP();
            printChgtBox(includeUI);
            endLi();
        }
    }

}
