/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.envoi.htmlpages;

import net.mapeadores.util.email.EmailException;
import fr.exemole.bdfserver.response.*;
import java.io.*;
import javax.servlet.http.*;
import java.util.*;
import net.mapeadores.util.html.*;
import net.mapeadores.basedefiches.beans.*;
import net.mapeadores.util.email.*;
import net.mapeadores.basedefiches.sphere.*;


/**
 *
 * @author Vincent Calame
 */
public class EchecPage extends EnvoiHtmlPage {

    public EchecPage(EnvoiResponseParameters responseParameters) {
        super(responseParameters);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        pw.print("<h4>");
        localize("envoi_echec_titre");
        pw.print("</h4>");
        pw.print("<p>");
        localize("envoi_echec_comment");
        endP();
        pw.print("<p>");
        localize("envoi_echec_copie");
        endP();
        pw.print("<div id =\"copie\">");
        localize("envoi_msg_to");
        List listeTo = responseParameters.getToList();
        for (Iterator it = listeTo.iterator(); it.hasNext();) {
            pw.print("<br>");
            Object obj = it.next();
            if (obj instanceof CourrielBean) {
                escape(obj.toString());
            } else if (obj instanceof Redacteur) {
                escape(((Redacteur) obj).getRedacteurKey().toString(RedacteurKey.BRACKET_STYLE));
            }
        }
        pw.print("<br><br>");
        localize("envoi_msg_subject");
        pw.print("<br>");
        escape(responseParameters.getSubject());
        pw.print("<br><br>");
        localize("envoi_msg_msg");
        pw.print("<br><pre>");
        if (responseParameters.hasMessage()) {
            HTMLUtils.printPreformattedHTML(pw, responseParameters.getMessage());
        }
        pw.print("</pre></div>");
        pw.print("<p>");
        localize("envoi_echec_stacktrace");
        endP();
        pw.print("<p><pre>");
        EmailException ee = (EmailException) responseParameters.getParameter(EnvoiResponseParameters.MAILEXCEPTION_PARAMNAME);
        /*Throwable[] tab = ee.getThrowables();
        for (int i = 0; i < tab.length; i++) {
        Throwable t = tab[i];
        t.printStackTrace(pw);
        pw.println("");
        pw.println("--------------");
        pw.println("");
        }*/
        Throwable cause = ee.getCause();
        if (cause != null) {
            cause.printStackTrace(pw);
            pw.println("");
            pw.println("--------------");
            pw.println("");
        }
        pw.print("</pre></p>");
        endPre();
        endP();
        end();
    }

}
