/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.envoi.htmlpages;

import fr.exemole.bdfserver.response.EnvoiResponseParameters;
import net.mapeadores.util.servlets.ResponseHandler;
import fr.exemole.bdfserver.servlets.envoi.*;
import fr.exemole.bdfserver.servlets.BdfHtmlPage;
import net.mapeadores.basedefiches.corpus.*;
import java.util.*;
import fr.exemole.bdfserver.l10n.*;


/**
 *
 * @author Vincent Calame
 */
public abstract class EnvoiHtmlPage extends BdfHtmlPage {

    EnvoiResponseParameters responseParameters;
    protected short typeEnvoi;

    public EnvoiHtmlPage(EnvoiResponseParameters responseParameters) {
        super(responseParameters);
        this.responseParameters = responseParameters;
        this.typeEnvoi = responseParameters.getEnvoiType();
    }

    public static ResponseHandler getInstance(EnvoiResponseParameters responseParameters) {
        switch (responseParameters.getResponseCode()) {
            case EnvoiResponseParameters.ENVOIFORM_PAGE:
                return new EnvoiFormPage(responseParameters);
            case EnvoiResponseParameters.CONFIRMATION_PAGE:
                return new ConfirmationPage(responseParameters);
            case EnvoiResponseParameters.ECHEC_PAGE:
                return new EchecPage(responseParameters);
        }
        return null;
    }

    protected AbregeFiche getUniqueAbregeFiche() {
        return (AbregeFiche) responseParameters.getParameter(EnvoiResponseParameters.UNIQUEABREGEFICHE_PARAMNAME);
    }

    protected Set getAbregeFicheSet() {
        return (Set) responseParameters.getParameter(EnvoiResponseParameters.ABREGEFICHESET_PARAMNAME);
    }

    public String getFormAction() {
        return "Envoi";
    }

    public String getTitle() {
        return "Envoi";
    }

    public String getCssThemeFile() {
        return "envoi.css";
    }

}
