/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.exportation;

import fr.exemole.bdfserver.response.ExportationResponseParameters;
import fr.exemole.bdfserver.managers.*;
import fr.exemole.bdfserver.request.ParameterException;
import fr.exemole.bdfserver.request.RequestUtils;
import net.mapeadores.basedefiches.scrutariexport.ScrutariExport;


/**
 *
 * @author Vincent Calame
 */
public class ScrutariExportRemoveCommand extends AbstractExportationCommand {

    private String name;

    public ScrutariExportRemoveCommand() {
    }

    protected void doExportationCommand() {
        ScrutariExportManager scrutariExportManager = bdfServer.getScrutariExportManager();
        synchronized (bdfServer) {
            scrutariExportManager.removeScrutariExport(name);
            bdfServer.saveScrutariExportManager();
        }
        responseParameters.setHtmlPageCode(ExportationResponseParameters.SCRUTARIEXPORTINDEX_PAGE);
        responseParameters.setDoneMessage("exportation_done_scrutariexportremove", name);
    }

    protected void checkExportationParameters() throws ParameterException {
        ScrutariExport scrutariExport = RequestUtils.getScrutariExport(requestMap, bdfServer.getScrutariExportManager());
        name = scrutariExport.getName();
    }

    public static String getCommandString() {
        return "ScrutariExportRemove";
    }

}
