/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2007-2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.exportation;

import fr.exemole.bdfserver.response.ExportationResponseParameters;
import fr.exemole.bdfserver.managers.*;
import fr.exemole.bdfserver.request.ParameterException;
import fr.exemole.bdfserver.request.RequestUtils;
import net.mapeadores.basedefiches.sqlexport.*;
import net.mapeadores.basedefiches.sqlexport.beans.*;


/**
 *
 * @author Vincent Calame
 */
public class SqlExportRemoveCommand extends AbstractExportationCommand {

    private String name;

    public SqlExportRemoveCommand() {
    }

    protected void doExportationCommand() {
        synchronized (bdfServer) {
            bdfServer.getSqlExportManager().removeSqlExport(name);
            bdfServer.saveSqlExportManager();
        }
        responseParameters.setHtmlPageCode(ExportationResponseParameters.SQLEXPORTINDEX_PAGE);
        responseParameters.setDoneMessage("exportation_done_sqlexportremove", name);
    }

    protected void checkExportationParameters() throws ParameterException {
        SqlExportBean sqlExport = RequestUtils.getSqlExport(requestMap, bdfServer.getSqlExportManager());
        sqlExport.getName();
    }

    public static String getCommandString() {
        return "SqlExportRemove";
    }

}
