/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2007-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.exportation.htmlpages;

import fr.exemole.bdfserver.sqlexport.*;
import fr.exemole.bdfserver.response.*;
import javax.servlet.http.*;
import java.io.*;
import fr.exemole.bdfserver.servlets.exportation.*;
import fr.exemole.bdfserver.servlets.resources.*;


/**
 *
 * @author Vincent Calame
 */
public class SqlExportIndexPage extends ExportationHtmlPage {

    SqlExportManager sqlExportManager;

    public SqlExportIndexPage(ExportationResponseParameters responseParameters) {
        super(responseParameters);
        this.sqlExportManager = bdfServer.getSqlExportManager();
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printMessage();
        appendH1("exportation_title_sqlexportindex");
        int count = sqlExportManager.getSqlExportCount();
        if (count > 0) {
            appendH2("exportation_title_sqlexportlist");
            startUl();
            for (int i = 0; i < count; i++) {
                String name = sqlExportManager.getSqlExportName(i);
                printSqlExportBean(name);
            }
            endUl();
        }
        startH2();
        appendA("Exportation?page=" + DefaultCommand.SQLEXPORTCREATION_PAGE_PARAMVALUE, "exportation_title_sqlexportcreation");
        endH2();
        end();
    }

    void printSqlExportBean(String sqlExportName) {
        startLi();
        startP();
        append(sqlExportName);
        endP();
        startP();
        startSpan(CssClass.SPAN_SMALLLINKS);
        printSqlLinks(sqlExportName);
        endSpan();
        endP();
        endLi();
    }

}
