/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.exportation.run;

import fr.exemole.bdfserver.balayages.*;
import fr.exemole.bdfserver.balayages.engine.*;
import javax.servlet.*;
import java.io.*;
import fr.exemole.bdfserver.*;
import net.mapeadores.util.logging.CommandMessage;


/**
 *
 * @author Vincent Calame
 */
public class BalayageRun {

    public BalayageRun() {
    }

    /**
     * Retourne soit une instance de CommandMessage en cas d'erreur soit l'instance de BalayageLog en argument.
     */
    public static Object runBalayage(Balayage balayage, String mode, BdfServer bdfServer, ServletContext servletContext, BalayageLog balayageLog) {
        BalayageInitializer balayageInitializer = new BalayageInitializer(bdfServer, balayage);
        if (balayageInitializer.hasError()) {
            return CommandMessage.error(balayageInitializer.getErrorKey(), balayageInitializer.getErrorValue());
        }
        if (mode != null) {
            BalayageMode balayageMode = BalayageUtils.getMode(balayage, mode);
            if (balayageMode != null) {
                balayageInitializer.setBalayageMode(balayageMode);
            }
        }
        BalayageEngine balayageEngine = balayageInitializer.getBalayageEngine(balayageLog);
        balayageEngine.run();
        return balayageLog;
    }

}
