/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.importation;

import net.mapeadores.util.request.RequestMap;
import fr.exemole.bdfserver.response.ImportationResponseParameters;
import fr.exemole.bdfserver.request.*;
import net.mapeadores.basedefiches.*;
import net.mapeadores.basedefiches.corpus.*;
import fr.exemole.bdfserver.request.parsers.*;
import net.mapeadores.util.primitives.*;


/**
 *
 * @author Vincent Calame
 */
public class CSVFicheCommand extends AbstractCSVCommand {

    CorpusEditor corpusEditor;
    SaisieEngine saisieEngine;
    int count = 0;

    public CSVFicheCommand() {
    }

    public void start() {
        corpusEditor = bdfServer.getBasedefichesEditor().getCorpusEditor(corpus.getSubsetKey());
    }

    public void resolveRequest(RequestMap requestMap) throws ParameterException {
        saisieEngine = new SaisieEngine(bdfServer, bdfUser, requestMap, SaisieEngine.ALL_MASK);
        try {
            AbregeFiche abregeFiche = corpusEditor.createFiche(-1);
            corpusEditor.setDate(abregeFiche, DateInteger.current(), false);
            saisieEngine.updateFiche(abregeFiche);
            count++;
        } catch (NumberFormatException nfe) {
            nfe.printStackTrace();
        } catch (ExistingIdException eii) {
            eii.printStackTrace();
        } catch (NoMasterIdsubsetException nmie) {
        }
    }

    public void end() {
        responseParameters.setDoneMessage("mass_done_fichecreation", new Integer(count));
        responseParameters.setHtmlPageCode(ImportationResponseParameters.MESSAGE_SERVLETPAGE);
    }

    public boolean needCorpus() {
        return true;
    }

}
