/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.importation;

import fr.exemole.bdfserver.response.*;
import net.mapeadores.util.exceptions.*;
import fr.exemole.bdfserver.servlets.importation.htmlpages.*;
import net.mapeadores.util.servlets.*;


/**
 *
 * @author Vincent Calame
 */
public class ImportationResponsePrinterFactory implements ResponsePrinterFactory {

    public ImportationResponsePrinterFactory() {
    }

    public ResponseHandler getResponsePrinterInstance(ResponseParameters responseParameters) {
        short category = responseParameters.getResponseCategory();
        if (category == BdfResponseParameters.HTMLPAGE_CATEGORY) {
            return ImportationHtmlPage.getInstance((ImportationResponseParameters) responseParameters);
        } else {
            throw new SwitchException("category = " + responseParameters.getResponseCategory());
        }
    }

}
