/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.importation.htmlpages;

import fr.exemole.bdfserver.response.ImportationResponseParameters;
import fr.exemole.bdfserver.servlets.importation.*;
import javax.servlet.http.*;
import java.io.*;
import net.mapeadores.basedefiches.thesaurus.*;
import net.mapeadores.basedefiches.thesaurus.metadata.*;
import net.mapeadores.util.langinteger.*;


/**
 *
 * @author Vincent Calame
 */
public class MassLibFormPage extends ImportationHtmlPage {

    public MassLibFormPage(ImportationResponseParameters responseParameters) {
        super(responseParameters);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printTitre("saisie_title_masslib");
        printMessage();
        startParseThesaurusForm(MassLibCommand.getCommandString());
        if (!ThesaurusUtils.isBabelienType(thesaurus)) {
            ThesaurusMetadata thesaurusMetadata = thesaurus.getThesaurusMetadata();
            int[] array = thesaurusMetadata.getAuthorizedLangIntegerArray();
            startRow();
            printLibCells("saisie_lib_lang", false);
            startCell();
            printLangSelect(array);
            endCell();
            endRow();
            startRow();
            startCell();
            String vonew = (String) responseParameters.getParameter(MassLibCommand.VONEW_PARAMNAME);
            if (vonew == null) {
                vonew = "";
            }
            appendSmallInput(MassLibCommand.VONEW_PARAMNAME, vonew);
            endCell();
            endRow();
        }
        printTypeIdRadiosRow();
        printCoupleSeparateurSelectRow();
        printTextArea();
        endParseForm();
        end();
    }

}
