/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.importation.htmlpages;

import fr.exemole.bdfserver.response.ImportationResponseParameters;
import fr.exemole.bdfserver.servlets.importation.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import net.mapeadores.basedefiches.corpus.metadata.*;
import net.mapeadores.basedefiches.corpus.*;
import net.mapeadores.basedefiches.corpus.fiche.*;
import net.mapeadores.basedefiches.thesaurus.*;
import net.mapeadores.util.primitives.*;
import fr.exemole.bdfserver.users.*;
import net.mapeadores.util.langinteger.LangInteger;


/**
 *
 * @author Vincent Calame
 */
public class MassUIConfirmPage extends ImportationHtmlPage {

    public MassUIConfirmPage(ImportationResponseParameters responseParameters) {
        super(responseParameters);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printTitre("saisie_title_massuiconfirm");
        startTable();
        printLangRow();
        endTable();
        printMessage();
        printReturn();
        printResultItemList(parseResult.getResultItemList());
        end();
    }

    protected String getReturnPageValue() {
        return DefaultCommand.MASSUIFORM_PAGE_PARAMVALUE;
    }

    private void printResultItemList(List list) {
        int size = list.size();
        if (size == 0) {
            return;
        }
        printResultItemListTitle("saisie_title_list_uilib", size);
        startPostForm(MassUICommand.getCommandString());
        addExecuteStepParameter();
        addLangParameter();
        startUl();
        for (int i = 0; i < size; i++) {
            ParseResult.ResultItem resultItem = (ParseResult.ResultItem) list.get(i);
            String key = (String) resultItem.getKeyObject();
            String[] array = (String[]) resultItem.getValueObject();
            startLi();
            startP();
            append(key);
            endP();
            startUl();
            startP();
            printLib("saisie_lib_oldvalue");
            startCode();
            escape(array[1]);
            endCode();
            endP();
            startP();
            printLib("saisie_lib_newvalue");
            appendLargeInput("key_" + key, array[0]);
            endP();
            endUl();
            endLi();
        }
        endUl();
        endForm("saisie_submit_massconfirm");
    }

}
