/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.instructions;

import net.mapeadores.util.servlets.handlers.JsonResponseHandler;
import fr.exemole.bdfserver.servlets.instructions.affichage.*;
import net.mapeadores.util.servlets.*;
import net.mapeadores.util.json.*;
import fr.exemole.bdfserver.*;
import fr.exemole.bdfserver.request.*;
import fr.exemole.bdfserver.servlets.instructions.actions.*;
import net.mapeadores.util.logging.*;
import fr.exemole.bdfserver.response.*;
import fr.exemole.bdfserver.servlets.*;
import fr.exemole.bdfserver.users.*;


/**
 *
 * @author Vincent Calame
 */
public class InstructionUtils implements ResponseDataType {

    private InstructionUtils() {
    }

    public static ResponseHandler testJsonResponsePrinter(BdfResponseParameters responseParameters) {
        short dataType = responseParameters.getDataType();
        if ((dataType != JSON_DATATYPE) && (dataType != JSON_IN_HTML_DATATYPE)) {
            return null;
        }
        boolean jsonResponseEmbedded = (dataType == JSON_IN_HTML_DATATYPE);
        JsonProducer jsonSource = responseParameters.getJsonSource();
        if (jsonSource == null) {
            CommandMessage commandMessage = responseParameters.getCommandMessage();
            if (commandMessage != null) {
                jsonSource = new CommandMessageJsonSource(commandMessage, ServletCommons.getResourceLocalisation(responseParameters.getLocalisationInfo().getFormatLocale()));
            }
        }
        return new JsonResponseHandler(jsonSource, jsonResponseEmbedded);
    }

}
