/* BdfServer_Commands - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.servlets.instructions.actions;

import fr.exemole.bdfserver.commands2.BdfCommand2Factory;
import fr.exemole.bdfserver.commands2.affichage.AffichageCommandFactory;
import fr.exemole.bdfserver.commands2.album.AlbumCommandFactory;
import fr.exemole.bdfserver.commands2.configuration.ConfigurationCommandFactory;
import fr.exemole.bdfserver.commands2.envoi.EnvoiCommandFactory;
import fr.exemole.bdfserver.commands2.saisie.SaisieCommandFactory;
import fr.exemole.bdfserver.commands2.selection.SelectionCommandFactory;
import fr.exemole.bdfserver.commands2.sphere.SphereCommandFactory;
import fr.exemole.bdfserver.instruction.BdfInstructionConstants;
import java.util.HashMap;
import java.util.Map;
import net.mapeadores.util.request.RequestMap;


/**
 *
 * @author Vincent Calame
 */
public class DefaultCommandCatalog implements BdfInstructionConstants {

    private static final Map<String, BdfCommand2Factory> commandFactoryMap = new HashMap<String, BdfCommand2Factory>();

    static {
        commandFactoryMap.put("Album", new AlbumCommandFactory());
        commandFactoryMap.put("Saisie", new SaisieCommandFactory());
        commandFactoryMap.put("Sphere", new SphereCommandFactory());
        commandFactoryMap.put("Configuration", new ConfigurationCommandFactory());
        commandFactoryMap.put("Selection", new SelectionCommandFactory());
        commandFactoryMap.put("Affichage", new AffichageCommandFactory());
        commandFactoryMap.put("Envoi", new EnvoiCommandFactory());
    }

    public static short getNoCommandUserNeed(String actionName, RequestMap requestMap) {
        if (actionName.equals("Album")) {
            return ADMIN_ONLY_BDFUSER;
        }
        if (actionName.equals("Configuration")) {
            return ADMIN_ONLY_BDFUSER;
        }
        return MANDATORY_BDFUSER;
    }

    public static BdfCommand2Factory getBdfCommandFactory(String name) {
        return commandFactoryMap.get(name);
    }

}
