/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.instructions.affichage;

import fr.exemole.bdfserver.response.*;


/**
 *
 * @author Vincent Calame
 */
public class AdminInstruction extends AbstractAffichageInstruction {

    private short type;

    public AdminInstruction() {
        super(ADMIN);
    }

    public boolean initDirInstruction() {
        if (!initSimpleFile()) {
            return false;
        }
        if (baseName.equals("globalstats")) {
            if (extension.equals("html")) {
                type = GLOBALSTATS_PAGE;
                return true;
            } else {
                return false;
            }
        } else if (baseName.equals("storageprocesslog")) {
            if (extension.equals("txt")) {
                type = STORAGEPROCESSLOG_TXT_STREAM;
                return true;
            } else {
                return false;
            }
        } else if (baseName.equals("ui")) {
            if (extension.equals("ods")) {
                type = UI_ODS_STREAM;
                return true;
            } else {
                return false;
            }
        } else {
            return false;
        }
    }

    public void checkResponseParameters(BdfResponseParameters bdfResponseParameters) {
        bdfResponseParameters.setProfondeur(1);
        bdfResponseParameters.setType(type);
    }

}
