/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.instructions.affichage;

import fr.exemole.bdfserver.response.*;


/**
 *
 * @author Vincent Calame
 */
public class IsoInstruction extends AbstractAffichageInstruction {

    public IsoInstruction() {
        super(ISO);
    }

    public boolean initDirInstruction() {
        if (!initSimpleFile()) {
            return false;
        }
        if (!extension.equals("html")) {
            return false;
        }
        if (!testISOBasename()) {
            return false;
        }
        return true;
    }

    private boolean testISOBasename() {
        if (baseName.equals(LANGUAGES)) {
            return true;
        }
        if (baseName.equals(COUNTRIES)) {
            return true;
        }
        return false;
    }

    public void checkResponseParameters(BdfResponseParameters responseParameters) {
        responseParameters.setProfondeur(1);
        responseParameters.setType(ISO_PAGE);
        responseParameters.putParameter(STRING_OBJ, baseName);
    }

}
