/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.instructions.affichage;

import fr.exemole.bdfserver.response.*;
import net.mapeadores.basedefiches.sphere.*;
import net.mapeadores.basedefiches.*;


/**
 *
 * @author Vincent Calame
 */
public class RedacteursInstruction extends AbstractAffichageInstruction {

    private Sphere sphere;

    public RedacteursInstruction() {
        super(REDACTEURS);
    }

    public boolean initDirInstruction() {
        if (!initSimpleFile()) {
            return false;
        }
        if (!extension.equals("ods")) {
            return false;
        }
        if (baseName.equals("_all")) {
            return true;
        }
        try {
            SubsetKey sphereKey = SubsetKey.parse(SubsetKey.CATEGORY_SPHERE, baseName);
            sphere = (Sphere) bdfServer.getBasedefiches().getSubset(sphereKey);
        } catch (java.text.ParseException pe) {
            return false;
        }
        if (sphere == null) {
            return false;
        }
        return true;
    }

    public void checkResponseParameters(BdfResponseParameters responseParameters) {
        responseParameters.setProfondeur(1);
        responseParameters.setType(SPHERE_ODS_STREAM);
        if (sphere != null) {
            responseParameters.putParameter(SPHERE_OBJ, sphere);
        }
    }

}
