/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.pioche.htmlpages;

import fr.exemole.bdfserver.response.*;
import javax.servlet.http.*;
import java.io.*;
import fr.exemole.bdfserver.servlets.pioche.*;
import net.mapeadores.util.html.*;


/**
 *
 * @author Vincent Calame
 */
public class ImageSourcePiochePage extends PiocheHtmlPage {

    private String actionParam;
    private String imageFieldParam;

    public ImageSourcePiochePage(BdfResponseParameters piocheResponseParameters) {
        super(piocheResponseParameters);
        this.actionParam = (String) piocheResponseParameters.getParameter(ACTION_PARAMNAME);
        this.imageFieldParam = (String) piocheResponseParameters.getParameter(IMAGEFIELD_PARAMNAME);
        addJqueryExtensions("form");
        addJavascript(FICHEFORM_JAVASCRIPT_CORE);
        addJavascript(FICHEFORM_JAVASCRIPT_IMAGESOURCE);
        //addExternalJavascript("http://localhost/imagesource-form.js");
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        HTMLAttributes divAttributes = new HTMLAttributes();
        divAttributes.setId("ID_IMAGESOURCE_FORMDIV");
        start();
        startScript(null);
        printAppelant();

        endScript();
        startDiv(divAttributes);
        startMultiPartForm(null);
        appendHiddenInput(CATEGORY_PARAMNAME, "imagesource");
        appendHiddenInput(ACTION_PARAMNAME, actionParam);
        appendHiddenInput(IMAGEFIELD_PARAMNAME, imageFieldParam);
        startP();
        printLibColon("pioche_lib_fichierimage");
        appendBr();
        HTMLAttributes inputAttributes = new HTMLAttributes();
        inputAttributes.setType("file");
        inputAttributes.setSize("40");
        inputAttributes.setName(FICHIER_PARAMNAME);
        appendInput(inputAttributes);
        endP();
        endForm("pioche_submit_file");
        endDiv();
        divAttributes.setId("ID_IMAGESOURCE_RESULTDIV");
        startDiv(divAttributes);
        endDiv();
        printButtonDiv();
        end();
    }

    public String getTitle() {
        return getLocalization("pioche_title_imagesource");
    }

    public String getFormAction() {
        return "Pioche";
    }

    public String getCssThemeFile() {
        return "pioche.css";
    }

}
