/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2007-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.pioche.htmlpages;

import fr.exemole.bdfserver.response.*;
import javax.servlet.http.*;
import java.io.*;
import net.mapeadores.basedefiches.*;
import fr.exemole.bdfserver.servlets.pioche.*;


/**
 *
 * @author Vincent Calame
 */
public class RedacteurPiochePage extends PiocheHtmlPage {

    private String param;

    public RedacteurPiochePage(BdfResponseParameters piocheResponseParameters) {
        super(piocheResponseParameters);
        SubsetKey defaultSphereKey = (SubsetKey) piocheParameters.getParam();
        if (defaultSphereKey != null) {
            param = defaultSphereKey.toString();
        }
        addJqueryExtensions("form");
        addJavascript(FICHEFORM_JAVASCRIPT_CORE);
        addJavascript(FICHEFORM_JAVASCRIPT_RECHERCHE);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        String wanted = IDALPHAKEY_INTKEY_WANTED;
        int total = getTotal();
        initResponse(response);
        start();
        printScriptVar(total, " = ", wanted);
        printRechercheDiv("sphere", "", param);
        printSelectZone(total);
        printButtonDiv();
        end();
    }

    public String getTitle() {
        return getLocalization("pioche_title_redacteur", null);
    }

    public int getTotal() {
        int count = 0;
        Basedefiches basedefiches = bdfServer.getBasedefiches();
        int sphereCount = basedefiches.getSphereCount();
        for (int i = 0; i < sphereCount; i++) {
            count = count + basedefiches.getSphere(i).size();
        }
        return count;
    }

}
