/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.resources;

import java.io.*;


/**
 * Classe comprenant les noms des classes utilisées dans common.css.
 * Le nom commence par l'élément Html auquel doit correspondre la classe (en général P).
 *
 * @author Vincent Calame
 */
public class CssClass {

    /**
     * Classe utilisée  pour des liens placés en haut du page renvoyant à d'autres pages.
     */
    public final static String P_TOOLBARLINKS = "ToolBarLinks";
    /**
     * Classe des boîtes qui peuvent être affichées ou non suivant l'utilisateur.
     */
    public final static String DIV_DISPLAYBLOCK = "DisplayBlock";
    /**
     * Classe utilisée pour des paragraphes qui viennent en complèment d'un autre.
     */
    public final static String P_SUBTITLE = "SubTitle";
    /**
     * Classe utilisée pour des petits liens insérés à la suite d'un texte.
     */
    public final static String SPAN_SMALLLINKS = "SmallLinks";
    /**
     * Classe identique à la précédente, utilisée au niveau d'un paragraphe.
     */
    public final static String P_SMALLLINKS = "SmallLinks";
    /**
     * Classe utilisée pour l'intitulé de la page en cours.
     */
    public final static String SPAN_CURRENTPAGE = "CurrentPage";
    /**
     * Classe utilisée  pour mettre en valeur un terme.
     */
    public final static String SPAN_HIGHLIGHT = "Highlight";
    public final static String TD_CODECELL = "CodeCell";
    public final static String TR_CODELINE = "CodeLine";

    private CssClass() {
    }

}
