/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.thesaurus;

import net.mapeadores.basedefiches.ExistingIdException;
import fr.exemole.bdfserver.response.ThesaurusResponseParameters;
import fr.exemole.bdfserver.request.*;
import net.mapeadores.basedefiches.thesaurus.*;
import net.mapeadores.util.exceptions.*;


/**
 *
 * @author Vincent Calame
 */
public class NVIdthsCommand extends LibelleCommand {

    public NVIdthsCommand() {
    }

    protected void doThesaurusCommand() {
        try {
            motcle = thesaurusEditor.createMotcle(-1, null);
        } catch (ExistingIdException eie) {
            throw new ShouldNotOccurException("test done before");
        } catch (java.text.ParseException pe) {
            throw new ShouldNotOccurException("test done before");
        }
        responseParameters.setMotcle(motcle);
        initTextParser();
        if (ThesaurusUtils.isBabelienType(thesaurus)) {
            setBabelienLibelle();
        } else {
            setAllLibelles();
        }
        responseParameters.setHtmlPageCode(ThesaurusResponseParameters.MOTCLE_PAGE);
        responseParameters.setDoneMessage("thesaurus_msg_nvidths", null);
    }

    protected void checkThesaurusParameters() throws ParameterException {
        super.checkThesaurusParameters();
        if (ThesaurusUtils.isIdalphaType(thesaurus)) {
            throw new ParameterException("the command NvIdths cannot be use with a thesaurus with Idalpha");
        }
    }

    public boolean needMotcleInit() {
        return false;
    }

    public static String getCommandString() {
        return "NVIdths";
    }

}
