/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.thesaurus.htmlpages;

import net.mapeadores.basedefiches.tools.thesaurus.ComparaisonItem;
import fr.exemole.bdfserver.response.ThesaurusResponseParameters;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import net.mapeadores.basedefiches.thesaurus.*;


/**
 *
 * @author Vincent Calame
 */
public class ComparaisonPage extends ThesaurusHtmlPage {

    private List comparaisonList;
    private int lang;

    public ComparaisonPage(ThesaurusResponseParameters responseParameters) {
        super(responseParameters);
        comparaisonList = (List) responseParameters.getParameter("Comparaison");
        lang = ((Integer) responseParameters.getParameter("Lang")).intValue();
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        startTable();
        for (Iterator it = comparaisonList.iterator(); it.hasNext();) {
            ComparaisonItem item = (ComparaisonItem) it.next();
            Motcle motcle = item.getMotcle();
            startRow();
            startCell();
            append(String.valueOf(motcle.getIdths()));
            endCell();
            startCell();
            String lib = motcle.getLibelleString(lang, false);
            if (lib != null) {
                escape(String.valueOf(lib));
            }
            endCell();
            Motcle other = item.getOtherMotcle();
            if (other != null) {
                startCell();
                append(String.valueOf(other.getIdths()));
                endCell();
                startCell();
                String otherlib = other.getLibelleString(lang, false);
                if (otherlib != null) {
                    escape(String.valueOf(otherlib));
                }
                endCell();
            }
            endRow();
        }
        endTable();
        end();
    }

}
