/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.thesaurus.htmlpages;

import fr.exemole.bdfserver.response.ThesaurusResponseParameters;
import fr.exemole.bdfserver.servlets.thesaurus.*;
import javax.servlet.http.*;
import java.io.*;
import net.mapeadores.basedefiches.thesaurus.*;


/**
 *
 * @author Vincent Calame
 */
public class IdalphaSortPage extends ThesaurusHtmlPage {

    public IdalphaSortPage(ThesaurusResponseParameters responseParameters) {
        super(responseParameters);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        appendH1("thesaurus_title_idalphasort");
        printMessage();
        startThesaurusForm(IdalphaSortCommand.getCommandString(), false);
        startP();
        appendCheckInput(IdalphaSortCommand.RECURSIVE_PARAMNAME, "1", false, "thesaurus_lib_recursive");
        endP();
        startP();
        appendCheckInput(IdalphaSortCommand.DESCENDING_PARAMNAME, "1", false, "thesaurus_lib_descending");
        endP();
        startP();
        appendCheckInput(IdalphaSortCommand.IGNORECASE_PARAMNAME, "1", false, "thesaurus_lib_ignorecase");
        endP();
        startP();
        appendCheckInput(IdalphaSortCommand.IGNOREPUNCTUATION_PARAMNAME, "1", false, "thesaurus_lib_ignorepunctuation");
        endP();
        endForm("thesaurus_submit_idalphasort");
        end();
    }

}
