/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.servlets.thesaurus.htmlpages;

import fr.exemole.bdfserver.response.ThesaurusResponseParameters;
import fr.exemole.bdfserver.servlets.thesaurus.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import net.mapeadores.basedefiches.thesaurus.*;
import net.mapeadores.basedefiches.thesaurus.metadata.*;
import net.mapeadores.util.html.HTMLUtils;


/**
 *
 * @author Vincent Calame
 */
public class ThesaurusCreationFormPage extends ThesaurusHtmlPage {

    public ThesaurusCreationFormPage(ThesaurusResponseParameters responseParameters) {
        super(responseParameters);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        appendH1("thesaurus_title_thesauruscreation");
        printMessage();
        startPostForm(ThesaurusCreationCommand.getCommandString());
        startP();
        printLib("thesaurus_lib_thesauruscreation");
        appendMediumInput(ThesaurusCreationCommand.NEWTHESAURUS_PARAMNAME, "");
        endP();
        appendP(null, "thesaurus_title_thesaurustype");
        printRadio(ThesaurusUtils.thesaurusTypeToString(ThesaurusMetadata.MULTI_TYPE), true);
        printRadio(ThesaurusUtils.thesaurusTypeToString(ThesaurusMetadata.IDALPHA_TYPE), false);
        printRadio(ThesaurusUtils.thesaurusTypeToString(ThesaurusMetadata.BABELIEN_TYPE), false);
        endForm("thesaurus_submit_thesauruscreation");
        end();
    }

    private void printRadio(String value, boolean checked) {
        startP();
        appendRadioInput(ThesaurusCreationCommand.THESAURUSTYPE_PARAMNAME, value, checked, "thesaurus_thesaurustype_" + value);
        endP();
    }

}
