/* BasedefichesLib_API - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches;

import net.mapeadores.basedefiches.event.BasedefichesListener;
import net.mapeadores.basedefiches.metadata.BasedefichesMetadata;
import net.mapeadores.basedefiches.croisement.Croisement;


/**
 *
 * @author Vincent Calame
 */
public interface Basedefiches extends CorpusList, ThesaurusList, SphereList, AlbumList {

    public BasedefichesMetadata getBasedefichesMetadata();

    public Subset getSubset(SubsetKey subsetKey);

    public Croisement getCroisement(SubsetKey subsetKey1, SubsetKey subsetKey2);

    public void addBasedefichesListener(BasedefichesListener bl);

    public void removeBasedefichesListener(BasedefichesListener bl);

    public boolean isRemoveable(Subset subset);

    public boolean isRemoveable(SubsetItem subsetItem);

}
