/* BasedefichesLib_API - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.album;

import net.mapeadores.basedefiches.SubsetItem;
import net.mapeadores.basedefiches.album.metadata.AlbumDim;
import java.io.InputStream;


/**
 *
 * @author Vincent Calame
 */
public interface AlbumImage extends SubsetItem {

    public Album getAlbum();

    public String getName();

    public short getType();

    /**
     * AlbumDim doit être une dimension définie pour l'album auquel appartient AlbumImage.
     *
     * AlbumDim peut être nul et dans ce cas c'est l'image originale qui est transmise.
     *
     * @param albumDim dimension de l'image (si nul, renvoie l'image originale)
     */
    public InputStream getInputStream(AlbumDim albumDim);

}
