/* BasedefichesLib_API - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.association;

import java.io.InputStream;
import java.io.IOException;
import java.text.ParseException;
import net.mapeadores.basedefiches.ExistingIdException;


/**
 *
 * @author Vincent Calame
 */
public interface DocumentSubsetEditor {

    public DocumentSubset getDocumentSubset();

    /**
     * Retourne true si le document est supprimé, false sinon.
     * Un document ne peut pas être supprimé s'il est en lien avec des fiches.
     */
    public boolean removeDocument(Document document);

    /**
     * Retourne true si la version du document est supprimée, false sinon.
     * Une version d'un document ne peut pas être supprimée si c'est la dernière version du document.
     */
    public boolean removeVersion(Version version);

    public Document createDocument(int idsubset, String[] extensionArray, long[] lengthArray) throws ExistingIdException;

    public Document createDocument(VersionName versionName) throws ExistingBasenameException;

    /**
     *
     *@throws IllegalArgumentException si newBasename est vide ou nul
     *@throws ParseException si newBasename comprend des caractères incorrects.
     */
    public boolean setBasename(Document document, String newBasename) throws ExistingBasenameException, ParseException;

    public Version createVersion(Document document, String extension) throws ExistingVersionException;

    public boolean updateVersion(Version version, InputStream inputStream) throws IOException;

}
