/* BasedefichesLib_API - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus.fiche;

import net.mapeadores.util.primitives.DateInteger;
import java.util.Date;
import java.io.Serializable;


/**
 *
 * @author Vincent Calame
 */
public final class Datation implements FicheItem, Serializable {

    private static final long serialVersionUID = 2L;
    private int dateInteger;

    public Datation(int dateInteger) {
        this.dateInteger = dateInteger;
    }

    public int getDateInteger() {
        return dateInteger;
    }

    /**
     * Equivalent de IntDate.getDateIntegerType(this.getIntValue()).
     */
    public short getTypeDatation() {
        return DateInteger.getDateIntegerType(dateInteger);
    }

    /**
     * Equivalent de IntDate.getAnnee(this.getIntValue()).
     */
    public int getAnnee() {
        return DateInteger.getAnnee(dateInteger);
    }

    /**
     * Equivalent de IntDate.getMois(this.getIntValue()).
     */
    public int getMois() {
        return DateInteger.getMois(dateInteger);
    }

    /**
     * Equivalent de IntDate.getJour(this.getIntValue()).
     */
    public int getJour() {
        return DateInteger.getJour(dateInteger);
    }

    /**
     * Equivalent de IntDate.getSemestre(this.getIntValue()).
     */
    public int getSemestre() {
        return DateInteger.getSemestre(dateInteger);
    }

    /**
     * Equivalent de IntDate.getTrimestre(this.getIntValue()).
     */
    public int getTrimestre() {
        return DateInteger.getTrimestre(dateInteger);
    }

    /**
     * Equivalent de IntDate.toString(this.getIntValue()).
     */
    @Override
    public String toString() {
        return DateInteger.toString(dateInteger);
    }

    /*
     * Equivalent de IntDate.toDate(this.getIntValue())
     */
    public Date getDate() {
        return DateInteger.toDate(getDateInteger());
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof Datation)) {
            return false;
        }
        return (this.dateInteger == ((Datation) obj).dateInteger);
    }

    /**
     * Retourne la même valeur que getIntValue()
     */
    @Override
    public int hashCode() {
        return dateInteger;
    }

}
