/* BasedefichesLib_API - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus.fiche;


/**
 *
 * @author Vincent Calame
 */
public class Div extends ZoneBlock {

    private static final long serialVersionUID = 2L;
    private InternalFicheBlockList internalFicheBlockList = new InternalFicheBlockList();

    public Div() {
    }

    public MutableFicheBlockList getFicheBlockList() {
        return internalFicheBlockList;
    }

    @Override
    public void clear() {
        super.clear();
        internalFicheBlockList.clear();
    }

    public boolean isValidFicheBlock(FicheBlock ficheBlock) {
        if (ficheBlock == null) {
            return false;
        }
        if (ficheBlock instanceof Div) {
            return false;
        }
        if (ficheBlock instanceof CdataDiv) {
            return false;
        }
        return true;
    }


    private class InternalFicheBlockList extends MutableFicheBlockList {

        @Override
        public boolean isValidFicheBlock(FicheBlock ficheBlock) {
            if (ficheBlock == null) {
                return false;
            }
            if (ficheBlock instanceof Div) {
                return false;
            }
            return true;
        }

    }

}
