/* BasedefichesLib_API - Copyright (c) 2006-2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus.fiche;


/**
 *
 * @author Vincent Calame
 */
public class Td extends ParagraphBlock {

    private static final long serialVersionUID = 2L;
    public static final short NORMAL_TYPE = 0;
    public static final short NUMBER_TYPE = 1;
    public static final short HEADER_TYPE = 2;
    private short type = NORMAL_TYPE;
    private int colspan = 1;
    private int rowspan = 1;

    private Td(short type) {
        this.type = type;
    }

    public Td() {
        this(NORMAL_TYPE);
    }

    public static Td getHeaderTdInstance() {
        return new Td(HEADER_TYPE);
    }

    public void addText(String text) {
        super.addText(text);
        numberTest(text);
    }

    public void addS(S s) {
        super.addS(s);
        numberTest(s.getValue());
    }

    private void numberTest(String value) {
        if (type == HEADER_TYPE) {
            return;
        }
        if (contentList.size() > 1) {
            return;
        }
        if (value.length() == 0) {
            return;
        }
        char carac = value.charAt(0);
        if ((carac == '-') || (Character.isDigit(carac))) {
            this.type = NUMBER_TYPE;
        }
    }

    public short getType() {
        return type;
    }

    public String getTypeString() {
        return typeToString(type);
    }

    public int getRowSpan() {
        return rowspan;
    }

    public int getColSpan() {
        return colspan;
    }

    public void setRowSpan(int rowspan) {
        if (rowspan < 1) {
            this.rowspan = 1;
        } else {
            this.rowspan = rowspan;
        }
    }

    public void setColSpan(int colspan) {
        if (colspan < 1) {
            this.colspan = 1;
        } else {
            this.colspan = colspan;
        }
    }

    public static short typeToShort(String strg_type) {
        if ((strg_type == null) || (strg_type.length() == 0)) {
            return NORMAL_TYPE;
        }
        if (strg_type.equals("number")) {
            return NUMBER_TYPE;
        }
        if (strg_type.equals("header")) {
            return HEADER_TYPE;
        }
        return NORMAL_TYPE;
    }

    public static String typeToString(short type) {
        switch (type) {
            case NUMBER_TYPE:
                return "number";
            case HEADER_TYPE:
                return "header";
            default:
                return "";
        }
    }

}

