/* BasedefichesLib_API - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus.fiche;

import java.io.Serializable;


/**
 *
 * @author Vincent Calame
 */
public class Ul implements FicheBlock, Serializable {

    private static final long serialVersionUID = 2L;
    private Li[] lis = new Li[4];
    private int size = 0;
    private String className = "";
    private String htmlId = "";

    public Ul() {
    }

    public int getLiCount() {
        return size;
    }

    public Li getLi(int index) {
        if (index >= size) {
            throw new IndexOutOfBoundsException();
        }
        return lis[index];
    }

    public void clear() {
        for (int i = 0; i < size; i++) {
            lis[i].clear();
            lis[i] = null;
        }
        size = 0;
        className = "";
        htmlId = "";
    }

    public void addLi(Li li) {
        checkLength();
        lis[size] = li;
        size++;
    }

    private void checkLength() {
        if (size == lis.length) {
            Li[] nv = new Li[size * 2];
            System.arraycopy(lis, 0, nv, 0, size);
            lis = nv;
        }
    }

    public String getClassName() {
        return className;
    }

    public String getHtmlId() {
        return htmlId;
    }

    public void setClassName(String className) {
        if (className == null) {
            this.className = "";
        } else {
            this.className = className;
        }
    }

    public void setHtmlId(String htmlId) {
        if (htmlId == null) {
            this.htmlId = "";
        } else {
            this.htmlId = htmlId;
        }
    }

}
