/* BasedefichesLib_API - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus.fiche;

import java.io.Serializable;


/**
 *
 * @author Vincent Calame
 */
public class ZoneBlock implements FicheBlock, Serializable {

    private static final long serialVersionUID = 2L;
    private InternalParagraphBlock numeroParagraph = new InternalParagraphBlock();
    private InternalParagraphBlock legendeParagraph = new InternalParagraphBlock();
    private String className = "";
    private String htmlId = "";

    public ZoneBlock() {
    }

    public ParagraphBlock getNumero() {
        return numeroParagraph;
    }

    public ParagraphBlock getLegende() {
        return legendeParagraph;
    }

    public String getClassName() {
        return className;
    }

    public String getHtmlId() {
        return htmlId;
    }

    public void setClassName(String className) {
        if (className == null) {
            this.className = "";
        } else {
            this.className = className;
        }
    }

    public void setHtmlId(String htmlId) {
        if (htmlId == null) {
            this.htmlId = "";
        } else {
            this.htmlId = htmlId;
        }
    }

    public void clear() {
        className = "";
        htmlId = "";
        numeroParagraph.clear();
        legendeParagraph.clear();
    }


    static class InternalParagraphBlock extends ParagraphBlock {
    }

}
