/* BasedefichesLib_API - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus.metadata;

import net.mapeadores.util.text.LibelleHolder;


/**
 *
 * @author Vincent Calame
 */
public interface CorpusField extends LibelleHolder {

    public final static short NO_FICHEITEM_FIELD = 0;
    public final static short ITEM_FIELD = 1;
    public final static short PERSONNE_FIELD = 2;
    public final static short LANGUE_FIELD = 3;
    public final static short PAYS_FIELD = 4;
    public final static short DATATION_FIELD = 5;
    public final static short COURRIEL_FIELD = 6;
    public final static short LINK_FIELD = 7;
    public final static short NOMBRE_FIELD = 8;
    public final static short MONTANT_FIELD = 9;
    public final static short GEOPOINT_FIELD = 10;
    public final static short PARA_FIELD = 11;
    public final static short IMAGE_FIELD = 12;

    public FieldKey getFieldKey();

    /**
     * Retourne l'objet correspondant à l'option de nom <code>optionName</code>.
     * Il y a deux types d'options : celles définies dans FieldOptions pour lesquelles la classe de l'objet varie et les autres
     * dont la valeur est toujours une chaine (et qui appartiennent à l'ensemble StringOptions)
     */
    public Object getOption(String optionName);

    public String[] getStringOptionNameArray();

    /**
     * Null ou non vide et sans espace blanc aux extrémités (optionValue.trim() == optionValue)
     */
    public String getStringOption(String optionName);

    public CorpusMetadata getCorpusMetadata();

    /**
     * Le champ des rédacteurs retourne PERSONNE_FIELD, le champ Langue retourne LANGUE_FIELD.
     *
     */
    public short getFicheItemType();

}
