/* BasedefichesLib_API - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus.metadata;

import net.mapeadores.basedefiches.Metadata;
import net.mapeadores.basedefiches.corpus.Corpus;


/**
 *
 * @author Vincent Calame
 */
public interface CorpusMetadata extends Metadata {

    public Corpus getCorpus();

    /**
     * Peut retourner <em>null</em>.
     */
    public CorpusField getCorpusFieldByFieldKey(FieldKey fieldKey);

    public int getProprieteFieldCount();

    public CorpusField getProprieteField(int i);

    public int getInformationFieldCount();

    public CorpusField getInformationField(int i);

    public int getAnnexeFieldCount();

    public CorpusField getAnnexeField(int i);

    /**
     * Ce doit être une propriété de type GEOPOINT_FIELD (ou égal à nul)
     */
    public CorpusField getGeolocalisationField();

}
