/* BasedefichesLib_API - Copyright (c) 2006è2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.corpus.metadata;

import net.mapeadores.basedefiches.MetadataEditor;


/**
 *
 * @author Vincent Calame
 */
public interface CorpusMetadataEditor extends MetadataEditor {

    /**
     *
     *@throws IllegalArgumentException si ficheItemType n'est pas valide (uniquement pour les informations et les propriétés).
     */
    public CorpusField createCorpusField(FieldKey fieldKey, short ficheItemType) throws ExistingFieldKeyException;

    public boolean setFieldLibelle(CorpusField corpusField, String nvlibelle, int langInteger);

    /**
     * Retourne <em>true</em> si un changement a vraiment eu lieu, <em>false</em> sinon.
     */
    public boolean setFieldOption(CorpusField corpusField, String optionName, Object optionValue) throws FieldOptionException;

    /**
     *
     *@throws IllegalArgumentException si corpusField n'appatient pas au corpus
     */
    public void removeCorpusField(CorpusField corpusField) throws MandatoryFieldException;

    /**
     * Le champ doit être une proprieté de type GEOPOINT_FIELD
     *
     *@throws IllegalArgumentException si corpusField est incorrect
     */
    public boolean setGeolocalisationField(CorpusField corpusField);

}
