/* BasedefichesLib_API - Copyright (c) 2006-2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.croisement;

import net.mapeadores.basedefiches.Basedefiches;
import net.mapeadores.basedefiches.SubsetItem;
import net.mapeadores.basedefiches.SubsetCouple;
import java.util.List;


/**
 * Éditeur sur l'ensemble des croisements. Il n'y a pas d'éditeur attaché à un croisement spécifique.
 *
 * @author Vincent Calame
 */
public interface CroisementEditor {

    public final static short CLEAR_EXISTING = 1;
    public final static short APPEND_AND_POIDS_REPLACE = 2;
    public final static short APPEND_AND_POIDS_MAX = 3;
    public final static short APPEND_AND_POIDS_NOCHANGE = 4;

    /**
     * Retourne la base de fiches à laquelle est rattaché l'éditeur.
     */
    public Basedefiches getBasedefiches();

    /**
     *
     *@throws NotEditableCroisementException
     */
    public void updateCroisement(SubsetItem subsetItem, CroisementList croisementList, short updateType);

    /**
     *
     *@throws NotEditableCroisementException
     */
    public boolean removeCroisement(SubsetItem subsetItem1, SubsetItem subsetItem2);

    /**
     *
     *@throws NotEditableCroisementException
     */
    public void initCroisements(SubsetCouple subsetCouple, List<CroisementEntry> croisementEntryList);

}
