/* BasedefichesLib_API - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.format.patterns;

import net.mapeadores.util.text.insertpattern.api.Instruction;
import net.mapeadores.util.text.insertpattern.api.Argument;
import net.mapeadores.util.langinteger.LangInteger;
import net.mapeadores.util.langinteger.LangIntegerException;
import java.util.List;
import java.util.ArrayList;


/**
 *
 * @author Vincent Calame
 */
public class LibParameters {

    private String separator;
    private int[] langIntegerArray;

    public LibParameters(Instruction[] instructionArray) {
        initLang(instructionArray[0]);
        if (instructionArray.length > 1) {
            initSeparator(instructionArray[1]);
        }
    }

    public int[] getlangIntegerArray() {
        return langIntegerArray;
    }

    public String getSeparator() {
        if (separator == null) {
            return ", ";
        }
        return separator;
    }

    private void initLang(Instruction instruction) {
        List<Integer> list = new ArrayList<Integer>();
        addLangInteger(list, instruction.getArgument(0).getValue());
        int length = instruction.getLength();
        for (int i = 1; i < length; i++) {
            String key = instruction.getArgument(i).getKey();
            addLangInteger(list, key);
        }
        int size = list.size();
        if (size > 0) {
            langIntegerArray = new int[size];
            for (int i = 0; i < size; i++) {
                langIntegerArray[i] = list.get(i);
            }
        }
    }

    private void addLangInteger(List<Integer> list, String value) {
        if ((value == null) || (value.length() == 0)) {
            return;
        }
        try {
            int langInteger = LangInteger.parse(value);
            list.add(langInteger);
        } catch (LangIntegerException lie) {
        }
    }

    private void initSeparator(Instruction instruction) {
        int length = instruction.getLength();
        for (int i = 0; i < length; i++) {
            Argument argument = instruction.getArgument(i);
            if (argument.getKey().equals("sep")) {
                separator = argument.getValue();
                break;
            }
        }
    }

}
