/* BasedefichesLib_API - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.include;

import net.mapeadores.basedefiches.SubsetKey;
import java.util.Map;
import java.util.HashMap;


/**
 *
 * @author Vincent Calame
 */
public class IncludeSummaryMapBuilder {

    private InternalIncludeSummaryMap internalIncludeSummaryMap = new InternalIncludeSummaryMap();

    public IncludeSummaryMapBuilder() {
    }

    public void append(FilteredIncludeKey filteredIncludeKey, SubsetKey slaveCorpusKey) {
        internalIncludeSummaryMap.append(filteredIncludeKey, slaveCorpusKey);
    }

    public IncludeSummaryMap getIncludeSummaryMap() {
        return internalIncludeSummaryMap;
    }


    private class InternalIncludeSummaryMap implements IncludeSummaryMap {

        private IncludeSummaryBuilder masterIncludeSummaryBuilder;
        private Map<SubsetKey, IncludeSummaryBuilder> slaveMap = new HashMap<SubsetKey, IncludeSummaryBuilder>();

        InternalIncludeSummaryMap() {
            masterIncludeSummaryBuilder = new IncludeSummaryBuilder();
        }

        private void append(FilteredIncludeKey filteredIncludeKey, SubsetKey slaveCorpusKey) {
            if (slaveCorpusKey == null) {
                masterIncludeSummaryBuilder.append(filteredIncludeKey);
            } else {
                IncludeSummaryBuilder isb = slaveMap.get(slaveCorpusKey);
                if (isb == null) {
                    isb = new IncludeSummaryBuilder();
                    slaveMap.put(slaveCorpusKey, isb);
                }
                isb.append(filteredIncludeKey);
            }
        }

        public IncludeSummary getMasterIncludeSummary() {
            return masterIncludeSummaryBuilder.getIncludeSummary();
        }

        public IncludeSummary getSlaveIncludeSummary(SubsetKey slaveCorpusKey) {
            IncludeSummaryBuilder isb = slaveMap.get(slaveCorpusKey);
            if (isb == null) {
                return null;
            }
            return isb.getIncludeSummary();
        }

    }

}
