/* BasedefichesLib_API - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.metadata;

import net.mapeadores.basedefiches.Basedefiches;
import net.mapeadores.basedefiches.BasedefichesConstants;
import net.mapeadores.basedefiches.Intitule;


/**
 *
 * @author Vincent Calame
 */
public class BasedefichesMetadataUtils implements BasedefichesConstants {

    private BasedefichesMetadataUtils() {
    }

    public static String getLongIntituleString(Basedefiches basedefiches, int langInteger) {
        return getIntituleString(basedefiches.getBasedefichesMetadata(), LONG, langInteger, true);
    }

    public static String getShortIntituleString(Basedefiches basedefiches, int langInteger) {
        return getIntituleString(basedefiches.getBasedefichesMetadata(), SHORT, langInteger, true);
    }

    public static String getIntituleString(BasedefichesMetadata basedefichesMetadata, String name, int langInteger, boolean defaut) {
        Intitule basedefichesIntitule = basedefichesMetadata.getIntituleByName(name);
        if (basedefichesIntitule == null) {
            if (defaut) {
                return basedefichesMetadata.getBasedefichesName();
            } else {
                return null;
            }
        }
        return basedefichesIntitule.getLibelleString(langInteger, defaut);
    }

}
