/* BasedefichesLib_API - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.patterns;

import net.mapeadores.basedefiches.album.*;
import net.mapeadores.util.text.ValueResolver;
import net.mapeadores.util.text.AccoladeArgument;
import net.mapeadores.util.text.AccoladePattern;


/**
 *
 * @author Vincent Calame
 */
public class AlbumValueResolver implements ValueResolver {

    public final static String ALBUM = "album";
    private Album album;

    public AlbumValueResolver(Album album) {
        this.album = album;
    }

    public String getValue(AccoladeArgument accoladeArgument) {
        if (accoladeArgument.getName().equals(ALBUM)) {
            return album.getSubsetKey().getSubsetName();
        }
        return AccoladePattern.toString(accoladeArgument);
    }

}
