/* BasedefichesLib_API - Copyright (c) 2007-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.patterns;

import net.mapeadores.basedefiches.corpus.metadata.FieldKey;
import net.mapeadores.util.text.AccoladeArgument;


/**
 *
 * @author Vincent Calame
 */
public class FichAccoladeArgument implements AccoladeArgument {

    public final static String CORPUS = "corpus";
    private String name;
    private String mode;
    private FieldKey fieldKey;

    private FichAccoladeArgument(String name, String mode, FieldKey fieldKey) {
        this.name = name;
        this.mode = mode;
        this.fieldKey = fieldKey;
    }

    public static FichAccoladeArgument parse(String name, String mode) {
        if (name.equals(CORPUS)) {
            return new FichAccoladeArgument(name, mode, null);
        }
        try {
            FieldKey fieldKey = FieldKey.parse(name);
            return new FichAccoladeArgument(name, mode, fieldKey);
        } catch (java.text.ParseException pe) {
            return null;
        }
    }

    public String getName() {
        return name;
    }

    public String getMode() {
        return mode;
    }

    public FieldKey getFieldKey() {
        return fieldKey;
    }

}
