/* BasedefichesLib_API - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.sphere;

import net.mapeadores.basedefiches.Basedefiches;
import net.mapeadores.basedefiches.Intitule;
import net.mapeadores.basedefiches.beans.PersonneBean;
import java.text.ParseException;


/**
 *
 * @author Vincent Calame
 */
public class SphereUtils implements SphereConstants {

    private SphereUtils() {
    }

    public static String getSphereIntitule(Sphere sphere, int langInteger) {
        Intitule sphereIntitule = sphere.getSphereMetadata().getIntituleByName(SPHERE);
        if (sphereIntitule == null) {
            return sphere.getSubsetKey().toString();
        }
        return sphereIntitule.getLibelleString(langInteger, true);
    }

    public static Redacteur getRedacteur(Sphere sphere, String strg_idsphere) {
        try {
            int idsphere = Idsphere.parse(strg_idsphere);
            return sphere.getRedacteurByIdsphere(idsphere);
        } catch (ParseException pe) {
            return null;
        }
    }

    public static Redacteur getRedacteur(Basedefiches basedefiches, RedacteurKey redacteurKey) {
        Sphere sphere = (Sphere) basedefiches.getSubset(redacteurKey.getSphereKey());
        if (sphere == null) {
            return null;
        }
        return sphere.getRedacteurByIdsphere(redacteurKey.getIdsphereString());
    }

    public static PersonneBean getPersonneBean(Basedefiches basedefiches, RedacteurKey redacteurKey) {
        Redacteur redacteur = getRedacteur(basedefiches, redacteurKey);
        if (redacteur == null) {
            return null;
        }
        return redacteur.getPersonneBean();
    }

}
