/* BasedefichesLib_API - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.thesaurus;

import net.mapeadores.util.text.LibelleHolder;
import net.mapeadores.basedefiches.SubsetItem;


/**
 * Dans le cas des thésaurus babéliens, un mot-clé doit comporter un libellé et un seul.
 *
 * @author  Vincent Calame
 */
public interface Motcle extends LibelleHolder, SubsetItem {

    public Thesaurus getThesaurus();

    /**
     * Retourne le parent du mot-clé ou <em>null</em> si le mot-clé appartient au premier niveau.
     */
    public Motcle getParent();

    public MotcleList getChildList();

    public int getChildIndex();

    /**
     * Retourne l'identifiant du mot-clé.
     */
    public int getIdths();

    /**
     * Retourne l'identifiant alphanumérique du mot-clé.
     */
    public String getIdalpha();

    /**
     * Retourne le niveau du mot-clé, c'est à dire sa profondeur par rapport à l'ensemble du thésaurus.
     * Retourne 1 si le mot-clé appartient au premier niveau (getParent() == null), sinon on a getLevel() == getParent().getLevel() + 1
     */
    public int getLevel();

}
