/* BasedefichesLib_API - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.thesaurus.metadata;

import net.mapeadores.basedefiches.Metadata;
import net.mapeadores.basedefiches.thesaurus.Thesaurus;


/**
 *
 * @author  Vincent Calame
 */
public interface ThesaurusMetadata extends Metadata {

    public final static short MULTI_TYPE = 1;
    public final static short IDALPHA_TYPE = 2;
    public final static short BABELIEN_TYPE = 3;

    public Thesaurus getThesaurus();

    public short getThesaurusType();

    /**
     * Retourne le tableau des langues autorisées pour les libéllés de mots-clés.
     * Retourne <em>null</em> si le thésaurus est de type babélien.
     * Si le type n'est pas babélien, la méthode doit retourner un tableau avec au moins une valeur.
     * Le première valeur du tableau est considéré comme la langue par défaut.
     */
    public int[] getAuthorizedLangIntegerArray();

}
