/* BasedefichesLib_Explore - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.conversion;

import net.mapeadores.basedefiches.corpus.AbregeFiche;
import net.mapeadores.basedefiches.corpus.fiche.MutableFicheItemList;
import net.mapeadores.basedefiches.corpus.fiche.Fiche;
import net.mapeadores.basedefiches.corpus.fiche.FicheItem;
import net.mapeadores.basedefiches.corpus.fiche.Propriete;
import net.mapeadores.basedefiches.corpus.metadata.FieldKey;


/**
 *
 * @author Vincent Calame
 */
public class ProprieteToFicheItemField extends FicheConverter {

    FieldKey sourceKey;
    FieldKey destinationKey;

    public ProprieteToFicheItemField(FieldKey sourceKey, FieldKey destinationKey) {
        this.sourceKey = sourceKey;
        this.destinationKey = destinationKey;
    }

    public void convertContent(AbregeFiche abregeFiche, Fiche fiche) {
        Propriete source = fiche.getPropriete(sourceKey);
        if (source != null) {
            FicheItem ficheItem = source.getFicheItem();
            if (destinationKey.isProprieteFieldKey()) {
                fiche.setPropriete(destinationKey, ficheItem);
            } else {
                fiche.setInformation(destinationKey, new MutableFicheItemList(ficheItem));
            }
        }
    }

}
