/* BasedefichesLib_Explore
 *
 * Copyright (C) 2006-2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.basedefiches.extraction;

import net.mapeadores.basedefiches.extraction.api.FicheFilter;
import net.mapeadores.basedefiches.corpus.AbregeFiche;
import net.mapeadores.basedefiches.corpus.fiche.Fiche;


/**
 *
 *Encapsule les informations nécessaires à l'écriture de l'extraction d'une fiche,
 * à savoir la fiche concernée (sous forme AbregeFiche) et les informations de filtre et le poids de la
 * relation dans laquelle s'inscrit la fiche (dans les cas où c'est pertinent.
 *
 * @author Vincent Calame
 */
public final class FicheExtractInfo {

    private FicheFilter ficheFilter;
    private AbregeFiche abregeFiche;
    private int poids = 0;
    private boolean corpusKeyInclude = false;
    private Object groupClauseObject;

    public FicheExtractInfo(AbregeFiche abregeFiche, FicheFilter ficheFilter) {
        this.ficheFilter = ficheFilter;
        this.abregeFiche = abregeFiche;
    }

    public FicheFilter getFicheFilter() {
        return ficheFilter;
    }

    public AbregeFiche getAbregeFiche() {
        return abregeFiche;
    }

    public int getPoids() {
        return poids;
    }

    public void setPoids(int poids) {
        this.poids = poids;
    }

    public Object getGroupClauseObject() {
        return groupClauseObject;
    }

    public void setGroupClauseObject(Object groupClauseObject) {
        this.groupClauseObject = groupClauseObject;
    }

}
