/* BasedefichesLib_Explore - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.extraction;

import net.mapeadores.basedefiches.thesaurus.Motcle;


/**
 * Encapsule les informations nécessaires à l'écriture de l'extraction d'un mot-clé,
 * à savoir le mot-clé concerné et les informations de filtre et le poids de la
 * relation dans laquelle s'inscrit le mot-clé (dans les cas où c'est pertinent.
 *
 * @author Vincent Calame
 */
public class MotcleExtractInfo {

    MotcleFilter motcleFilter;
    Motcle motcle;
    int poids = 0;

    public MotcleExtractInfo(Motcle motcle, MotcleFilter motcleFilter) {
        this.motcle = motcle;
        this.motcleFilter = motcleFilter;
    }

    public Motcle getMotcle() {
        return motcle;
    }

    public MotcleFilter getMotcleFilter() {
        return motcleFilter;
    }

    public int getPoids() {
        return poids;
    }

    public void setPoids(int poids) {
        this.poids = poids;
    }

}
