/* BasedefichesLib_Explore
 *
 * Copyright (C) 2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.basedefiches.extraction.builders;

import net.mapeadores.basedefiches.extraction.api.*;


/**
 *
 * @author Vincent Calame
 */
public class BuilderUtils {

    public final static ExtraitCorpusDefList EMPTY_EXTRAITCORPUSDEFLIST = new EmptyExtraitCorpusDefList();

    private BuilderUtils() {
    }

    public static String testTagName(String tagName, String defaultTagName) {
        if (tagName == null) {
            return defaultTagName;
        }
        if (tagName.length() == 0) {
            return defaultTagName;
        }
        if (tagName.equals("NULL")) {
            return null;
        }
        if (testCharacters(tagName)) {
            return tagName;
        }
        return defaultTagName;
    }

    private static boolean testCharacters(String s) {
        int longueur = s.length();
        for (int i = 0; i < longueur; i++) {
            char carac = s.charAt(i);
            if (!isCharacter(carac)) {
                if (i == 0) {
                    return false;
                }
                if (!isNumber(carac)) {
                    if (i == (longueur - 1)) {
                        return false;
                    }
                    if (!isSpecialChar(carac)) {
                        return false;
                    }
                }

            }
        }
        return true;
    }

    private static boolean isCharacter(char carac) {
        if ((carac >= 'a') && (carac <= 'z')) {
            return true;
        }
        if ((carac >= 'A') && (carac <= 'Z')) {
            return true;
        }
        return false;
    }

    private static boolean isNumber(char carac) {
        if ((carac >= '0') && (carac <= '9')) {
            return true;
        }
        return false;
    }

    private static boolean isSpecialChar(char carac) {
        switch (carac) {
            case '-':
            case '_':
                return true;
            default:
                return false;
        }
    }


    private static class EmptyExtraitCorpusDefList implements ExtraitCorpusDefList {

        public int getExtraitCorpusDefCount() {
            return 0;
        }

        public ExtraitCorpusDef getExtraitCorpusDef(int i) {
            return null;
        }

    }

}
