/* BasedefichesLib_Explore
 *
 * Copyright (C) 2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.basedefiches.extraction.builders;

import net.mapeadores.basedefiches.extraction.api.*;
import net.mapeadores.basedefiches.extraction.*;
import java.util.*;


/**
 *
 * @author Vincent Calame
 */
public class CorpusExtractorListBuilder {

    public final static CorpusExtractorList EMPTY_CORPUSEXTRACTORLIST = new InternalCorpusExtractorList();
    List list = new ArrayList();

    public CorpusExtractorListBuilder() {
    }

    public CorpusExtractorList toCorpusExtractorList() {
        int size = list.size();
        CorpusExtractor[] corpusExtractorArray = new CorpusExtractor[size];
        for (int i = 0; i < size; i++) {
            corpusExtractorArray[i] = (CorpusExtractor) list.get(i);
        }
        return new InternalCorpusExtractorList(corpusExtractorArray);
    }

    public void addCorpusExtractor(CorpusExtractor corpusExtractor) {
        list.add(corpusExtractor);
    }


    private static class InternalCorpusExtractorList implements CorpusExtractorList {

        private CorpusExtractor[] corpusExtractorArray;

        InternalCorpusExtractorList() {
            corpusExtractorArray = new CorpusExtractor[0];
        }

        InternalCorpusExtractorList(CorpusExtractor[] corpusExtractorArray) {
            this.corpusExtractorArray = corpusExtractorArray;
        }

        public int getCorpusExtractorCount() {
            return corpusExtractorArray.length;
        }

        public CorpusExtractor getCorpusExtractor(int i) {
            return corpusExtractorArray[i];
        }

        public boolean containsFiche() {
            int length = corpusExtractorArray.length;
            if (length == 0) {
                return false;
            }
            for (int i = 0; i < length; i++) {
                if (corpusExtractorArray[i].containsFiche()) {
                    return true;
                }
            }
            return false;
        }

    }

}
