/* BasedefichesLib_Explore
 *
 * Copyright (C) 2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.basedefiches.extraction.builders;

import net.mapeadores.basedefiches.extraction.api.FicheFilter;
import net.mapeadores.basedefiches.extraction.api.*;
import net.mapeadores.basedefiches.extraction.*;
import net.mapeadores.basedefiches.selection.*;


/**
 *
 * @author Vincent Calame
 */
public class ExtraitCorpusDefBuilder implements ExtractionConstants {

    public static ExtraitCorpusDef getExtraitCorpusDef(FicheFilter ficheFilter, IntituleClause intituleClause) {
        return new DefaultExtraitCorpusDef(ficheFilter, intituleClause);
    }


    private static class DefaultExtraitCorpusDef implements ExtraitCorpusDef {

        private IntituleClause intituleClause;
        private FicheFilter ficheFilter;

        DefaultExtraitCorpusDef(FicheFilter ficheFilter, IntituleClause intituleClause) {
            this.ficheFilter = ficheFilter;
            this.intituleClause = intituleClause;
        }

        public String getTagName() {
            return EXTRAITCORPUS_DEFAULT_TAGNAME;
        }

        public GroupClause getGroupClause() {
            return null;
        }

        public PackClause getPackClause() {
            return null;
        }

        public String getExtraitName() {
            return null;
        }

        public IntituleClause getIntituleClause() {
            return intituleClause;
        }

        public FicheFilter getFicheFilter() {
            return ficheFilter;
        }

        public int getFicheSelectOptionsCount() {
            return 0;
        }

        public FicheSelectOptions getFicheSelectOptions(int i) {
            return null;
        }

    }

}
