/* BasedefichesLib_Explore
 *
 * Copyright (C) 2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.basedefiches.extraction.builders;

import net.mapeadores.basedefiches.extraction.api.*;
import java.util.*;


/**
 *
 * @author Vincent Calame
 */
public class ExtraitCorpusDefListBuilder {

    List list = new ArrayList();

    public ExtraitCorpusDefListBuilder() {
    }

    public int size() {
        return list.size();
    }

    public ExtraitCorpusDefList toExtraitCorpusDefList() {
        int size = list.size();
        ExtraitCorpusDef[] extraitCorpusDefArray = new ExtraitCorpusDef[size];
        for (int i = 0; i < size; i++) {
            extraitCorpusDefArray[i] = (ExtraitCorpusDef) list.get(i);
        }
        return new InternalExtraitCorpusDefList(extraitCorpusDefArray);
    }

    public void addExtraitCorpusDef(ExtraitCorpusDef extraitCorpusDef) {
        list.add(extraitCorpusDef);
    }

    public static ExtraitCorpusDefList getSingletonExtraitCorpusDefList(ExtraitCorpusDef extraitCorpusDef) {
        ExtraitCorpusDef[] extraitCorpusDefArray = new ExtraitCorpusDef[1];
        extraitCorpusDefArray[0] = extraitCorpusDef;
        return new InternalExtraitCorpusDefList(extraitCorpusDefArray);
    }


    private static class InternalExtraitCorpusDefList implements ExtraitCorpusDefList {

        private ExtraitCorpusDef[] extraitCorpusDefArray;

        InternalExtraitCorpusDefList(ExtraitCorpusDef[] extraitCorpusDefArray) {
            this.extraitCorpusDefArray = extraitCorpusDefArray;
        }

        public int getExtraitCorpusDefCount() {
            return extraitCorpusDefArray.length;
        }

        public ExtraitCorpusDef getExtraitCorpusDef(int i) {
            return extraitCorpusDefArray[i];
        }

    }

}
