/* BasedefichesLib_Explore
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.basedefiches.extraction.groups;

import net.mapeadores.basedefiches.extraction.api.FicheFilter;
import net.mapeadores.basedefiches.corpus.*;
import net.mapeadores.basedefiches.corpus.fiche.*;
import net.mapeadores.basedefiches.extraction.*;


/**
 *
 * @author Vincent Calame
 */
public class FicheExtractBundle {

    private AbregeFiche abregeFiche;
    private FicheFilter ficheFilter;
    private int poids;
    private Object groupClauseObject;
    private int innerSortValue;

    public FicheExtractBundle(AbregeFiche abregeFiche, FicheFilter ficheFilter, int poids) {
        this.abregeFiche = abregeFiche;
        this.ficheFilter = ficheFilter;
        this.poids = poids;
    }

    public AbregeFiche getAbregeFiche() {
        return abregeFiche;
    }

    public int getPoids() {
        return poids;
    }

    public void setGroupClauseObject(Object groupClauseObject) {
        this.groupClauseObject = groupClauseObject;
    }

    public FicheExtractInfo toFicheExtractInfo() {
        FicheExtractInfo ficheExtractInfo = new FicheExtractInfo(abregeFiche, ficheFilter);
        ficheExtractInfo.setPoids(poids);
        if (groupClauseObject != null) {
            ficheExtractInfo.setGroupClauseObject(groupClauseObject);
        }
        return ficheExtractInfo;
    }

    public int getInnerSortValue() {
        return innerSortValue;
    }

    public void setInnerSortValue(int innerSortValue) {
        this.innerSortValue = innerSortValue;
    }

}
