/* BasedefichesLib_Explore
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.basedefiches.extraction.groups;

import net.mapeadores.basedefiches.extraction.*;
import net.mapeadores.basedefiches.corpus.fiche.*;
import java.util.*;


/**
 *
 * @author Vincent Calame
 */
public class NullFicheGroup implements MutableFicheGroup {

    private ArrayList bundleList = new ArrayList();

    public NullFicheGroup() {
    }

    public String getName() {
        return null;
    }

    public String getTagName() {
        return null;
    }

    public void setMatchingFicheItemArray(FicheItem[] matchingFicheItemArray) {
    }

    public FicheItem[] getMatchingFicheItemArray() {
        return null;
    }

    public Map getAttributesMap() {
        return null;
    }

    public void add(FicheExtractBundle ficheExtractBundle) {
        bundleList.add(ficheExtractBundle);
    }

    public FicheExtractInfo[] getFicheExtractInfoArray() {
        int size = bundleList.size();
        FicheExtractInfo[] array = new FicheExtractInfo[size];
        for (int i = 0; i < size; i++) {
            array[i] = ((FicheExtractBundle) bundleList.get(i)).toFicheExtractInfo();
        }
        return array;
    }

    public FicheGroup[] getSubgroupArray() {
        return null;
    }

    public boolean isBottomGroup() {
        return true;
    }

}
