/* BasedefichesLib_Explore
 *
 * Copyright (C) 2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.basedefiches.format.compute;

import net.mapeadores.basedefiches.pointeurs.*;
import net.mapeadores.basedefiches.include.*;
import net.mapeadores.util.localisation.*;


/**
 *
 * @author Vincent Calame
 */
public class FormatComputeUtils {

    private FormatComputeUtils() {
    }

    public static FormatSource toFormatSource(SubsetItemPointeur subsetItemPointeur, IncludeSummaryMap includeSummaryMap, LocalisationInfo localisationInfo) {
        return new InternalFormatSource(subsetItemPointeur, includeSummaryMap, localisationInfo);
    }


    private static class InternalFormatSource implements FormatSource {

        private SubsetItemPointeur subsetItemPointeur;
        private IncludeSummaryMap includeSummaryMap;
        private LocalisationInfo localisationInfo;

        InternalFormatSource(SubsetItemPointeur subsetItemPointeur, IncludeSummaryMap includeSummaryMap, LocalisationInfo localisationInfo) {
            this.subsetItemPointeur = subsetItemPointeur;
            this.includeSummaryMap = includeSummaryMap;
            this.localisationInfo = localisationInfo;
        }

        public SubsetItemPointeur getSubsetItemPointeur() {
            return subsetItemPointeur;
        }

        public IncludeSummaryMap getIncludeSummaryMap() {
            return includeSummaryMap;
        }

        public LocalisationInfo getLocalisationInfo() {
            return localisationInfo;
        }

    }

}
