/* BasedefichesLib_Explore
 *
 * Copyright (C) 2009-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.basedefiches.format.compute.resolvers;

import net.mapeadores.basedefiches.pointeurs.*;
import net.mapeadores.basedefiches.include.*;
import net.mapeadores.basedefiches.*;
import net.mapeadores.util.localisation.*;
import net.mapeadores.basedefiches.format.compute.*;


/**
 *
 * @author Vincent Calame
 */
public abstract class AbstractFormatResolver implements FormatResolver {

    protected SubsetKey slaveCorpusKey;

    AbstractFormatResolver(SubsetKey slaveCorpusKey) {
        this.slaveCorpusKey = slaveCorpusKey;
    }

    protected FichePointeur getFichePointeur(FormatBuilder formatBuilder) {
        SubsetItemPointeur subsetItemPointeur = formatBuilder.getFormatSource().getSubsetItemPointeur();
        if (slaveCorpusKey != null) {
            return (FichePointeur) subsetItemPointeur.getSlaveFichePointeur(slaveCorpusKey);
        }
        return (FichePointeur) subsetItemPointeur;
    }

    protected MotclePointeur getMotclePointeur(FormatBuilder formatBuilder) {
        SubsetItemPointeur subsetItemPointeur = formatBuilder.getFormatSource().getSubsetItemPointeur();
        return (MotclePointeur) subsetItemPointeur;
    }

    protected IncludeSummary getIncludeSummary(FormatBuilder formatBuilder) {
        IncludeSummaryMap includeSummaryMap = formatBuilder.getFormatSource().getIncludeSummaryMap();
        if (includeSummaryMap == null) {
            return null;
        }
        if (slaveCorpusKey == null) {
            return includeSummaryMap.getMasterIncludeSummary();
        } else {
            return includeSummaryMap.getSlaveIncludeSummary(slaveCorpusKey);
        }
    }

    protected LocalisationInfo getLocalisationInfo(FormatBuilder formatBuilder) {
        return formatBuilder.getFormatSource().getLocalisationInfo();
    }

}
