/* BasedefichesLib_Explore
 *
 * Copyright (C) 2009-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.basedefiches.format.compute.resolvers;

import net.mapeadores.basedefiches.format.patterns.*;
import net.mapeadores.basedefiches.*;
import net.mapeadores.basedefiches.association.*;
import net.mapeadores.basedefiches.format.compute.*;


/**
 *
 * @author Vincent Calame
 */
public class AssociationFormatResolver extends AbstractFormatResolver {

    DocumentFormat documentFormat;

    public AssociationFormatResolver(DocumentFormat documentFormat, SubsetKey slaveCorpusKey) {
        super(slaveCorpusKey);
        this.documentFormat = documentFormat;
    }

    public void getInPosition(PositionFormatBuilder formatBuilder) {
        Document[] documentArray = getFichePointeur(formatBuilder).getDocumentArray();
        int length = documentArray.length;
        int position = formatBuilder.checkPosition(length);
        if (position != -1) {
            formatBuilder.set(documentFormat.formatDocument(documentArray[position]));
        }
    }

    public void addInList(LimitFormatBuilder formatBuilder) {
        Document[] documentArray = getFichePointeur(formatBuilder).getDocumentArray();
        int length = documentArray.length;
        for (int i = 0; i < length; i++) {
            boolean cont = formatBuilder.add(documentFormat.formatDocument(documentArray[i]));
            if (!cont) {
                break;
            }
        }
    }

}
