/* BasedefichesLib_Explore
 *
 * Copyright (C) 2009-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.basedefiches.format.compute.resolvers;

import net.mapeadores.basedefiches.corpus.fiche.*;
import net.mapeadores.basedefiches.corpus.metadata.*;
import net.mapeadores.basedefiches.format.patterns.*;
import net.mapeadores.basedefiches.*;
import net.mapeadores.basedefiches.format.compute.*;


/**
 *
 * @author Vincent Calame
 */
public class ChronoFormatResolver extends AbstractFormatResolver {

    IncludeKey includeKey;
    FicheItemFormat ficheItemFormat;

    public ChronoFormatResolver(IncludeKey includeKey, FicheItemFormat ficheItemFormat, SubsetKey slaveCorpusKey) {
        super(slaveCorpusKey);
        this.includeKey = includeKey;
        this.ficheItemFormat = ficheItemFormat;
    }

    public void getInPosition(PositionFormatBuilder positionFormatBuilder) {
        Datation datation = getFichePointeur(positionFormatBuilder).getChronoToDatationDate(includeKey);
        if (datation != null) {
            int position = positionFormatBuilder.checkPosition(1);
            if (position != -1) {
                positionFormatBuilder.set(ficheItemFormat.formatFicheItem(datation, getLocalisationInfo(positionFormatBuilder)));
            }
        }
    }

    public void addInList(LimitFormatBuilder limitFormatBuilder) {
        Datation datation = getFichePointeur(limitFormatBuilder).getChronoToDatationDate(includeKey);
        if (datation != null) {
            limitFormatBuilder.add(ficheItemFormat.formatFicheItem(datation, getLocalisationInfo(limitFormatBuilder)));
        }
    }

}
