/* BasedefichesLib_Explore - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.format.compute.resolvers;

import net.mapeadores.basedefiches.format.compute.FormatBuilder;
import net.mapeadores.basedefiches.format.compute.LimitFormatBuilder;
import net.mapeadores.basedefiches.format.compute.PositionFormatBuilder;
import net.mapeadores.basedefiches.pointeurs.MotclePointeur;
import net.mapeadores.basedefiches.thesaurus.Thesaurus;
import net.mapeadores.basedefiches.thesaurus.metadata.ThesaurusFieldKey;


/**
 *
 * @author Vincent Calame
 */
public class ThesaurusFieldFormatResolver extends AbstractFormatResolver {

    private Thesaurus thesaurus;
    private ThesaurusFieldKey thesaurusFieldKey;

    public ThesaurusFieldFormatResolver(Thesaurus thesaurus, ThesaurusFieldKey thesaurusFieldKey) {
        super(null);
        this.thesaurus = thesaurus;
        this.thesaurusFieldKey = thesaurusFieldKey;
    }

    public void getInPosition(PositionFormatBuilder positionFormatBuilder) {
        String value = getString(positionFormatBuilder);
        if (value != null) {
            int position = positionFormatBuilder.checkPosition(1);
            if (position != -1) {
                positionFormatBuilder.set(value);
            }
        }
    }

    public void addInList(LimitFormatBuilder limitFormatBuilder) {
        String value = getString(limitFormatBuilder);
        if (value != null) {
            limitFormatBuilder.add(value);
        }
    }

    private String getString(FormatBuilder formatBuilder) {
        MotclePointeur motclePointeur = getMotclePointeur(formatBuilder);
        Object obj = motclePointeur.getFieldValue(thesaurusFieldKey);
        if (obj == null) {
            return null;
        }
        return obj.toString();
    }

}
