/* BasedefichesLib_Explore
 *
 * Copyright (C) 2007-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.basedefiches.misc;

import net.mapeadores.util.text.lexie.*;
import net.mapeadores.basedefiches.thesaurus.*;


/**
 *
 * @author Vincent Calame
 */
public class ThesaurusInverseFactory {

    private ThesaurusInverseFactory() {
    }

    public static LexieMap getLibelleLexieMap(Thesaurus thesaurus, int thesaurusLangInteger) {
        LexieMap lexieMap = new LexieMap(thesaurusLangInteger);
        add(lexieMap, thesaurus.getFirstLevelList(), thesaurusLangInteger);
        return lexieMap;
    }

    private static void add(LexieMap lexieMap, MotcleList level, int thesaurusLangInteger) {
        for (int i = 0; i < level.getMotcleCount(); i++) {
            Motcle motcle = level.getMotcle(i);
            String lib = motcle.getLibelleString(thesaurusLangInteger, false);
            if (lib != null) {
                LexieSource lexieSource = new LexieSource(lib, motcle, String.valueOf(motcle.getIdths()));
                lexieMap.addLexieSource(lexieSource);
            }
            add(lexieMap, motcle.getChildList(), thesaurusLangInteger);
        }
    }

}
