/* BasedefichesLib_Explore - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.pointeurs;

import net.mapeadores.basedefiches.corpus.AbregeFiche;
import net.mapeadores.basedefiches.croisement.FicheCroisementList;
import net.mapeadores.util.primitives.RangeList;


/**
 *
 * @author Vincent Calame
 */
public interface CorpusCroisementAccess {

    public AbregeFiche getFirstFiche();

    /**
     * Si poidsFilter = -1, équivalent de getFirstFiche();
     *N'est jamais nul.
     */
    public AbregeFiche getFirstFiche(int poidsFilter);

    /**
     * N'est jamais nul.
     */
    public FicheCroisementList getFicheCroisementList();

    /**
     * Si poidsFilter = -1, équivalent de getAbregeFicheList();
     *N'est jamais nul.
     */
    public FicheCroisementList getFicheCroisement(int poidsFilter);

    /**
     * Si null, équivalent de getAbregeFicheList()
     *N'est jamais nul.
     */
    public FicheCroisementList getFicheCroisement(RangeList excludePoidsFilter);

}
