/* BasedefichesLib_Explore
 *
 * Copyright (C) 2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.basedefiches.pointeurs;

import net.mapeadores.basedefiches.association.*;
import net.mapeadores.basedefiches.*;


/**
 *
 * @author Vincent Calame
 */
public class DefaultDocumentCroisementAccess extends AbstractCroisementAccess implements DocumentCroisementAccess {

    DocumentSubset documentSubset;

    DefaultDocumentCroisementAccess(Subset mainSubset, DocumentSubset documentSubset) {
        super(mainSubset, documentSubset);
        this.documentSubset = documentSubset;
    }

    public Document[] getDocumentArray() {
        int length = croisementItem.getCount();
        Document[] result = new Document[length];
        for (int i = 0; i < length; i++) {
            int ticket = croisementItem.getTicket(i);
            Document document = (Document) documentSubset.getSubsetItemByTicket(ticket);
            result[i] = document;
        }
        return result;
    }

}
