/* BasedefichesLib_Explore - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.pointeurs;

import net.mapeadores.basedefiches.thesaurus.Motcle;
import net.mapeadores.basedefiches.croisement.MotcleCroisementList;
import net.mapeadores.util.primitives.RangeList;


/**
 *
 * @author Vincent Calame
 */
public interface ThesaurusCroisementAccess {

    public Motcle getFirstMotcle();

    public MotcleCroisementList getMotcleCroisementList();

    /**
     * Si poidsFilter = -1, équivalent de getFirstMotcle();
     */
    public Motcle getFirstMotcle(int poidsFilter);

    /**
     * Si poidsFilter =  -1, équivalent de getMotcleList();
     * Ne retourne pas une valeur nulle.
     */
    public MotcleCroisementList getMotcleCroisementList(int poidsFilter);

    /**
     * Si excludePoidsFilter est null, équivalent de getMotcleList();
     *Ne retourne pas une valeur nulle.
     */
    public MotcleCroisementList getMotcleCroisementList(RangeList excludePoidsFilter);

}
