/* BasedefichesLib_Explore - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.selection;

import net.mapeadores.basedefiches.Basedefiches;
import net.mapeadores.basedefiches.sphere.Redacteur;
import net.mapeadores.basedefiches.beans.PersonneBean;
import net.mapeadores.basedefiches.selection.util.StringPASelector;
import net.mapeadores.util.conditions.ConditionGroup;
import net.mapeadores.util.conditions.Conditions;
import net.mapeadores.util.exceptions.SwitchException;


/**
 *
 * @author Vincent Calame
 */
public class RedacteurSelectUnit {

    private ConditionGroup nomcompletConditionGroup;
    private Basedefiches basedefiches;
    private StringPASelector nomcompletPASelect;

    public RedacteurSelectUnit(Basedefiches basedefiches) {
        this.basedefiches = basedefiches;
    }

    public void setNomcompletConditionGroup(ConditionGroup nomConditionGroup, int langInteger) {
        this.nomcompletConditionGroup = nomConditionGroup;
        nomcompletPASelect = StringPASelector.newInstance(nomConditionGroup, langInteger);
    }

    public boolean isSelected(Redacteur redacteur) {
        if (nomcompletConditionGroup != null) {
            if (!isNomcompletSelected(redacteur)) {
                return false;
            }
        }
        return true;
    }

    public boolean isNomcompletSelected(Redacteur redacteur) {
        short state = nomcompletConditionGroup.getState();
        switch (state) {
            case Conditions.X:
                return false;
            case Conditions.N:
            case Conditions.U:
                return true;
            case Conditions.T:
                return hasNom(redacteur);
            case Conditions.A:
                return !hasNom(redacteur);
            case Conditions.P:
            case Conditions.PA:
                return nomcompletPASelect.isSelected(redacteur.getPersonneBean().getNomComplet(PersonneBean.NORMAL_STYLE), (state == Conditions.PA));
            default:
                throw new SwitchException("state = " + state);
        }
    }

    private boolean hasNom(Redacteur redacteur) {
        PersonneBean personneBean = redacteur.getPersonneBean();
        return (personneBean.getNom().length() != 0) || (personneBean.getPrenom().length() != 0) || (personneBean.getOriginal().length() != 0);
    }

}
