/* BasedefichesLib_Export - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.plainexport;

import net.mapeadores.basedefiches.Basedefiches;
import net.mapeadores.basedefiches.beans.PersonneBean;
import net.mapeadores.basedefiches.corpus.fiche.Courriel;
import net.mapeadores.basedefiches.corpus.fiche.Datation;
import net.mapeadores.basedefiches.corpus.fiche.FicheItem;
import net.mapeadores.basedefiches.corpus.fiche.FicheItemList;
import net.mapeadores.basedefiches.corpus.fiche.Item;
import net.mapeadores.basedefiches.corpus.fiche.Langue;
import net.mapeadores.basedefiches.corpus.fiche.Link;
import net.mapeadores.basedefiches.corpus.fiche.Pays;
import net.mapeadores.basedefiches.corpus.fiche.Personne;
import net.mapeadores.basedefiches.sphere.Redacteur;
import net.mapeadores.basedefiches.sphere.RedacteurKey;
import net.mapeadores.basedefiches.sphere.SphereUtils;
import net.mapeadores.util.langinteger.LangInteger;
import net.mapeadores.util.langinteger.LangIntegerException;
import net.mapeadores.util.langinteger.LangIntegerLocalisation;
import net.mapeadores.util.localisation.LocalisationInfo;
import net.mapeadores.util.primitives.DateInteger;
import net.mapeadores.util.text.DateFormatBundle;


/**
 * Obsolète, à remplacer par les formats !
 *
 *
 * @author Vincent Calame
 */
public class PlainConverter {

    SeparatorOptionsBean separatorOptionsBean;
    LocalisationInfo localisationInfo;
    Basedefiches basedefiches;
    String separator;
    DefaultFicheItemConverter ficheItemConverter;

    public PlainConverter(SeparatorOptionsBean separatorOptionsBean, LocalisationInfo localisationInfo, Basedefiches basedefiches) {
        this.separatorOptionsBean = separatorOptionsBean;
        this.localisationInfo = localisationInfo;
        this.basedefiches = basedefiches;
        ficheItemConverter = new DefaultFicheItemConverter(basedefiches);
        ficheItemConverter.setDefaultLocalisationInfo(localisationInfo);
        StringBuffer buf = new StringBuffer();
        buf.append(separatorOptionsBean.getSeparator());
        if (separatorOptionsBean.isSpaceInclude()) {
            buf.append(' ');
        }
        separator = buf.toString();
    }

    /*public String toCodeString(FicheItem ficheItem) {
    return ficheItemConverter.convert(ficheItem,DefaultFicheItemConverter.CODE_MODE);
    }*/
    /*public String getSeparator() {
    return separator;
    }*/
    /*public String toCodeString(FicheItemList ficheItemList) {
    if (ficheItemList == null) return "";
    int size = ficheItemList.size();
    if (size == 0) return "";
    StringBuffer buf = new StringBuffer();
    for (int i = 0;i < size;i++) {
    FicheItem ficheItem = ficheItemList.getFicheItem(i);
    if (i > 0) {
    buf.append(separator);
    }
    buf.append(ficheItemConverter.convert(ficheItem,DefaultFicheItemConverter.CODE_MODE));
    }
    if (separatorOptionsBean.isLastInclude()) buf.append(separatorOptionsBean.getSeparator());
    return buf.toString();
    }*/
    public String toLibString(FicheItem ficheItem) {
        return ficheItemConverter.convert(ficheItem, DefaultFicheItemConverter.LIB_MODE);
    }

    public String toLibString(FicheItemList ficheItemList) {
        int size = ficheItemList.getFicheItemCount();
        if (size == 0) {
            return "";
        }
        StringBuffer buf = new StringBuffer();
        for (int i = 0; i < size; i++) {
            FicheItem ficheItem = ficheItemList.getFicheItem(i);
            if (i > 0) {
                buf.append(separator);
            }
            buf.append(ficheItemConverter.convert(ficheItem, DefaultFicheItemConverter.LIB_MODE));
        }
        if (separatorOptionsBean.isLastInclude()) {
            buf.append(separatorOptionsBean.getSeparator());
        }
        return buf.toString();
    }


    public static class DefaultFicheItemConverter {

        public final static String CODE_MODE = "code";
        public final static String LIB_MODE = "lib";
        private LocalisationInfo defaultLocalisationInfo;
        private Basedefiches basedefiches;

        public DefaultFicheItemConverter(Basedefiches basedefiches) {
            this.basedefiches = basedefiches;
        }

        public void setDefaultLocalisationInfo(LocalisationInfo defaultLocalisationInfo) {
            this.defaultLocalisationInfo = defaultLocalisationInfo;
        }

        public String convert(FicheItem ficheItem, String mode) {
            if (ficheItem instanceof Item) {
                return convert((Item) ficheItem, mode);
            }
            if (ficheItem instanceof Personne) {
                return convert((Personne) ficheItem, mode);
            }
            if (ficheItem instanceof Langue) {
                return convert((Langue) ficheItem, mode);
            }
            if (ficheItem instanceof Pays) {
                return convert((Pays) ficheItem, mode);
            }
            if (ficheItem instanceof Datation) {
                return convert((Datation) ficheItem, mode);
            }
            if (ficheItem instanceof Courriel) {
                return convert((Courriel) ficheItem, mode);
            }
            if (ficheItem instanceof Link) {
                return convert((Link) ficheItem, mode);
            }
            throw new IllegalArgumentException("unknown FicheItem implementation");
        }

        public String convert(Item item, String mode) {
            return item.getValue();
        }

        public String convert(Personne personne, String mode) {
            PersonneMode personneMode = new PersonneMode(mode);
            if (personneMode.isCodeMode()) {
                if (personne.isRedacteurSphere()) {
                    try {
                        RedacteurKey redacteurKey = RedacteurKey.parse(personne.getRedacteurKeyString());
                        return redacteurKey.toString(RedacteurKey.BRACKET_STYLE);
                    } catch (java.text.ParseException pe) {
                        return personne.getRedacteurKeyString();
                    }
                } else {
                    return personne.getPersonneBean().getNomComplet(PersonneBean.BIBLIO_STYLE);
                }
            } else {
                PersonneBean personneBean = null;
                if (personne.isRedacteurSphere()) {
                    try {
                        RedacteurKey redacteurKey = RedacteurKey.parse(personne.getRedacteurKeyString());
                        Redacteur redacteur = SphereUtils.getRedacteur(basedefiches, redacteurKey);
                        if (redacteur == null) {
                            return redacteurKey.toString(RedacteurKey.BRACKET_STYLE);
                        }
                        personneBean = redacteur.getPersonneBean();
                    } catch (java.text.ParseException pe) {
                        return personne.getRedacteurKeyString();
                    }
                } else {
                    personneBean = personne.getPersonneBean();
                }
                return personneBean.getNomComplet(personneMode.getStyle());
            }
        }

        public String convert(Langue langue, String mode) {
            ModeTest modeTest = new ModeTest(mode, true);
            if (modeTest.isLibMode()) {
                return LangIntegerLocalisation.getLangLibelle(langue.getLangInteger(), modeTest.getLocalisationInfo().getFormatLocale());
            } else {
                return LangInteger.toString(langue.getLangInteger());
            }
        }

        public String convert(Pays pays, String mode) {
            ModeTest modeTest = new ModeTest(mode, true);
            if (modeTest.isLibMode()) {
                return LangIntegerLocalisation.getCountryLibelle(pays.getCountryInteger(), modeTest.getLocalisationInfo().getFormatLocale());
            } else {
                return pays.getCountryCode();
            }
        }

        public String convert(Datation datation, String mode) {
            ModeTest modeTest = new ModeTest(mode, true);
            if (modeTest.isLibMode()) {
                DateFormatBundle dateFormatBundle = DateFormatBundle.getDateFormatBundle(modeTest.getLocalisationInfo().getFormatLocale());
                return DateInteger.getDateLibelle(datation.getDateInteger(), dateFormatBundle);
            } else {
                return datation.toString();
            }
        }

        public String convert(Link link, String mode) {
            ModeTest modeTest = new ModeTest(mode, false);
            if (modeTest.isLibMode()) {
                if (link.hasHrefOnly()) {
                    return link.getHref();
                } else {
                    StringBuffer buf = new StringBuffer();
                    String title = link.getTitle();
                    if (title.length() > 0) {
                        buf.append(title);
                        buf.append(" : ");
                    }
                    buf.append(link.getHref());
                    String comment = link.getComment();
                    if (comment.length() > 0) {
                        buf.append(" (");
                        buf.append(comment);
                        buf.append(")");
                    }
                    return buf.toString();
                }
            } else {
                return link.getHref();
            }
        }

        public String convert(Courriel courriel, String mode) {
            ModeTest modeTest = new ModeTest(mode, false);
            if (modeTest.isLibMode()) {
                return courriel.toString();
            } else {
                return courriel.getAddrSpec();
            }
        }


        private class ModeTest {

            boolean libMode = false;
            LocalisationInfo localisationInfo;

            ModeTest(String mode, boolean needLoc) {
                if (mode != null) {
                    if (mode.equals(LIB_MODE)) {
                        if (needLoc) {
                            if (defaultLocalisationInfo != null) {
                                localisationInfo = defaultLocalisationInfo;
                                libMode = true;
                            }
                        } else {
                            libMode = true;
                        }
                    } else if ((needLoc) && (mode.startsWith("lib_")) && (mode.length() > 5)) {
                        initLib(mode.substring(4));
                    }
                }
            }

            private void initLib(String langString) {
                try {
                    int langInteger = LangInteger.parse(langString);
                    libMode = true;
                    localisationInfo = new LocalisationInfo(langInteger);
                } catch (LangIntegerException lie) {
                }
            }

            public boolean isLibMode() {
                return libMode;
            }

            public LocalisationInfo getLocalisationInfo() {
                return localisationInfo;
            }

        }


        private class PersonneMode {

            boolean isCodeMode = false;
            short style = PersonneBean.ANNUAIRE_UP_STYLE;

            PersonneMode(String mode) {
                if (mode != null) {
                    if (mode.equals(CODE_MODE)) {
                        isCodeMode = true;
                    } else {
                        if (mode.equals("lib")) {
                            style = PersonneBean.NORMAL_STYLE;
                        } else if (mode.equals("annu")) {
                            style = PersonneBean.ANNUAIRE_STYLE;
                        } else if (mode.equals("annu_up")) {
                            style = PersonneBean.ANNUAIRE_UP_STYLE;
                        } else if (mode.equals("biblio")) {
                            style = PersonneBean.BIBLIO_STYLE;
                        } else if (mode.equals("biblio_up")) {
                            style = PersonneBean.BIBLIO_UP_STYLE;
                        }
                    }
                }
            }

            boolean isCodeMode() {
                return isCodeMode;
            }

            short getStyle() {
                return style;
            }

        }

    }

}
