/* BasedefichesLib_Export - Copyright (c) 2007-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.sqlexport.beans;

import java.io.Serializable;
import net.mapeadores.util.beans.ParamBean;


/**
 *
 * @author Vincent Calame
 */
public class SqlExportBean implements Serializable {

    private String sqlExportClassName = "";
    private ParamBean[] paramBeanArray;
    private String name = "";
    private String path = "";
    private String url = null;
    private String tableExportName = null;
    private String postCommand = null;

    public SqlExportBean() {
    }

    public SqlExportBean(SqlExportBean other) {
        setName(other.getName());
        setSqlExportClassName(other.getSqlExportClassName());
        setPath(other.getPath());
        setUrl(other.getUrl());
        setPostCommand(other.getPostCommand());
        setTableExportName(other.getTableExportName());
        ParamBean[] array = other.getParamBeanArray();
        if (array == null) {
            setParamBeanArray(null);
        } else {
            int length = array.length;
            paramBeanArray = new ParamBean[length];
            for (int i = 0; i < length; i++) {
                paramBeanArray[i] = new ParamBean(array[i]);
            }
        }
    }

    public void setSqlExportClassName(String sqlExportClassName) {
        if (sqlExportClassName == null) {
            throw new IllegalArgumentException("sqlExportClassName argument is null");
        }
        if (sqlExportClassName.equals("fr.exemole.bdf.sqlexport.DefaultSqlExport")) {
            this.sqlExportClassName = "";
        } else {
            this.sqlExportClassName = sqlExportClassName;
        }
    }

    public String getSqlExportClassName() {
        return sqlExportClassName;
    }

    public void setPath(String path) {
        if (path == null) {
            throw new IllegalArgumentException("path argument is null");
        }
        this.path = path;
    }

    public String getPath() {
        return path;
    }

    public void setParamBeanArray(ParamBean[] paramBeanArray) {
        this.paramBeanArray = paramBeanArray;
    }

    public ParamBean[] getParamBeanArray() {
        return paramBeanArray;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        if (name == null) {
            throw new IllegalArgumentException("name argument is null");
        }
        this.name = name;
    }

    public void setUrl(String url) {
        if ((url == null) || (url.length() == 0)) {
            this.url = null;
        } else {
            this.url = url;
        }
    }

    public String getUrl() {
        return url;
    }

    public void setTableExportName(String tableExportName) {
        this.tableExportName = tableExportName;
    }

    public String getTableExportName() {
        return tableExportName;
    }

    public String getPostCommand() {
        return postCommand;
    }

    public void setPostCommand(String postCommand) {
        this.postCommand = postCommand;
    }

}
