/* BasedefichesLib_Export - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.tableexport.croisement;

import net.mapeadores.basedefiches.Subset;
import net.mapeadores.basedefiches.SubsetCouple;
import net.mapeadores.basedefiches.SubsetItem;
import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.basedefiches.croisement.Croisement;
import net.mapeadores.basedefiches.croisement.CroisementItem;


/**
 *
 * @author Vincent Calame
 */
public class CroisementTableExport {

    private String tableName;
    private Croisement croisement;
    private boolean inverse;

    public CroisementTableExport(Croisement croisement, boolean inverse) {
        this.croisement = croisement;
        this.inverse = inverse;
        this.tableName = croisement.getSubsetCouple().toString();
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public void export(CroisementTableWriter croisementTableWriter) {
        SubsetCouple subsetCouple = croisement.getSubsetCouple();
        SubsetKey rootKey = (inverse) ? subsetCouple.getSubsetKey2() : subsetCouple.getSubsetKey1();
        Subset subset = croisement.getBasedefiches().getSubset(rootKey);
        Subset otherSubset = croisement.getBasedefiches().getSubset(subsetCouple.getOtherSubsetKey(rootKey));
        for (int i = 0; i < subset.getTicketLength(); i++) {
            SubsetItem subsetItem = subset.getSubsetItemByTicket(i);
            if (subsetItem != null) {
                CroisementItem croisementItem = croisement.getCroisementItem(rootKey, i);
                int count = croisementItem.getCount();
                for (int j = 0; j < count; j++) {
                    int otherTicket = croisementItem.getTicket(j);
                    SubsetItem otherItem = otherSubset.getSubsetItemByTicket(otherTicket);
                    if (otherItem != null) {
                        croisementTableWriter.startRow();
                        croisementTableWriter.addIntegerCell(subsetItem.getIdsubset());
                        croisementTableWriter.addIntegerCell(otherItem.getIdsubset());
                        croisementTableWriter.endRow();
                    }
                }
            }

        }
    }

}
