/* BasedefichesLib_Export - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.tableexport.logging;

import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.util.logging.ProcessURI;
import java.io.File;


/**
 *
 * @author Vincent Calame
 */
public class SubsetProcessURI extends ProcessURI {

    private SubsetKey subsetKey;

    public SubsetProcessURI(String processURIString, SubsetKey subsetKey) {
        super(processURIString);
        this.subsetKey = subsetKey;
    }

    public SubsetKey getSubsetKey() {
        return subsetKey;
    }

    public static SubsetProcessURI fromString(String processURIString, SubsetKey subsetKey) {
        return new SubsetProcessURI(processURIString, subsetKey);
    }

    public static SubsetProcessURI fromFile(File f, SubsetKey subsetKey) {
        return new SubsetProcessURI(f.getPath(), subsetKey);
    }

}
