/* BasedefichesLib_Impl - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.impl;

import net.mapeadores.util.text.Libelle;
import net.mapeadores.util.langinteger.LangInteger;

/**
 *
 * @author Vincent Calame
 */
public class BabelienMotcle extends AbstractMotcle {
    BdfimplThesaurus thesaurus;
    int langInteger = LangInteger.NO_LINGUISTIC_CONTENT;
    String libelle = null;
    InternalMotcleLibelle internalMotcleLibelle = new InternalMotcleLibelle();
    
    public BabelienMotcle(BdfimplThesaurus thesaurus,int idths) {
        super(thesaurus,idths);
    }

    public Libelle getLibelleByLang(int langInteger) {
        if (langInteger == this.langInteger) return internalMotcleLibelle;
        return null;
    }

    public int getLibelleCount() {
        return 1;
    }

    public Libelle getLibelleByIndex(int i) {
        if (i != 0) throw new IndexOutOfBoundsException();
        return internalMotcleLibelle;
    }

    public String getLibelleString(int langInteger, boolean defaut) {
        if (defaut) {
            if (libelle != null) return libelle;
            else return "?";
        }
        else {
            if (langInteger == this.langInteger) {
                return libelle;
            }
            else return null;
        }
    }
    
    boolean setLibelle(String newLibelle, int newLangInteger) {
        if (newLibelle == null) {
            if (this.libelle == null) return false;
            this.libelle = null;
            return true;
        }
        else {
            if ((this.libelle != null) && (this.langInteger == newLangInteger) && (this.libelle.equals(newLibelle))) return false;
            this.langInteger = newLangInteger;
            this.libelle = newLibelle;
            return true;
        }
    }
   
    
    class InternalMotcleLibelle implements Libelle {

        public int getLangInteger() {
            return langInteger;
        }

        public String getLibelleString() {
            if (libelle == null) return "";
            return libelle;
        }

    }

}
