/* BasedefichesLib_Impl - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.impl;

import net.mapeadores.basedefiches.Intitule;
import net.mapeadores.basedefiches.Metadata;
import net.mapeadores.basedefiches.Subset;


/**
 *
 * @author Vincent Calame
 */
public class BdfimplUtils {

    private BdfimplUtils() {
    }

    public static Subset[] copy(BdfimplCorpus[] slaveSubsetArray) {
        if (slaveSubsetArray == null) {
            return null;
        }
        int length = slaveSubsetArray.length;
        Subset[] copie = new Subset[length];
        System.arraycopy(slaveSubsetArray, 0, copie, 0, length);
        return copie;

    }

    public static BdfimplCorpus[] addSlaveCorpus(BdfimplCorpus[] slaveSubsetArray, BdfimplCorpus bdfimplCorpus) {
        if (slaveSubsetArray == null) {
            slaveSubsetArray = new BdfimplCorpus[1];
            slaveSubsetArray[0] = bdfimplCorpus;
            return slaveSubsetArray;
        } else {
            int length = slaveSubsetArray.length;
            BdfimplCorpus[] copie = new BdfimplCorpus[length + 1];
            System.arraycopy(slaveSubsetArray, 0, copie, 0, length);
            copie[length] = bdfimplCorpus;
            return copie;
        }
    }

    public static BdfimplCorpus[] removeSlaveCorpus(BdfimplCorpus[] slaveSubsetArray, BdfimplCorpus bdfimplCorpus) {
        if (slaveSubsetArray == null) {
            return null;
        }
        int length = slaveSubsetArray.length;
        if (length == 1) {
            if (slaveSubsetArray[0].equals(bdfimplCorpus)) {
                return null;
            } else {
                return slaveSubsetArray;
            }
        } else {
            BdfimplCorpus[] copie = new BdfimplCorpus[length - 1];
            boolean done = false;
            int p = 0;
            for (int i = 0; i < length; i++) {
                BdfimplCorpus corpus = slaveSubsetArray[i];
                if (!(corpus.equals(bdfimplCorpus))) {
                    if ((i == (length - 1)) && (!done)) {
                        return slaveSubsetArray;
                    } else {
                        copie[p] = corpus;
                        p++;
                    }
                } else {
                    done = true;
                }
            }
            return copie;
        }
    }

    public static BdfimplIntitule testIntitule(Metadata metadata, Intitule intitule) {
        try {
            BdfimplIntitule def = (BdfimplIntitule) intitule;
            if (def.getMetadata() != metadata) {
                throw new IllegalArgumentException("intitule argument does not come from this Metadata instance");
            }
            return def;
        } catch (ClassCastException cce) {
            throw new IllegalArgumentException("intitule argument does not come from this Metadata instance");
        }
    }

}
