/* BasedefichesLib_Tools - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.tools.odsexport;

import java.io.BufferedWriter;
import java.io.IOException;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import net.mapeadores.opendocument.io.ZipEntrySource;


/**
 *
 * @author Vincent Calame
 */
public class SpreadSheetZipEntrySource implements ZipEntrySource {

    SpreadSheetXMLWriter spreadSheetXMLWriter;

    public SpreadSheetZipEntrySource(SpreadSheetXMLWriter spreadSheetXMLWriter) {
        this.spreadSheetXMLWriter = spreadSheetXMLWriter;
    }

    public void writeEntry(OutputStream outputStream) throws IOException {
        BufferedWriter writer = new BufferedWriter(new OutputStreamWriter(outputStream, "UTF-8"));
        spreadSheetXMLWriter.setAppendable(writer);
        spreadSheetXMLWriter.setIndentLength(0);
        spreadSheetXMLWriter.start();
        spreadSheetXMLWriter.printTable();
        spreadSheetXMLWriter.end();
        writer.flush();
    }

}
