/* BasedefichesLib_Xml - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.xml;

import net.mapeadores.basedefiches.metadata.BasedefichesMetadataEditor;
import net.mapeadores.util.xml.XMLUtils;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;


/**
 *
 * @author Vincent Calame
 */
public class BasedefichesMetadataDOMReader extends BasedefichesDOMReader {

    private BasedefichesMetadataEditor basedefichesMetadataEditor;

    public BasedefichesMetadataDOMReader(BasedefichesXmlErrorHandler basedefichesXmlErrorHandler) {
        super(basedefichesXmlErrorHandler);
    }

    public void setBasedefichesMetadataEditor(BasedefichesMetadataEditor basedefichesMetadataEditor) {
        this.basedefichesMetadataEditor = basedefichesMetadataEditor;
    }

    public void fillBasedefichesMetadata(Element element_xml) {
        NodeList liste = element_xml.getChildNodes();
        for (int i = 0; i < liste.getLength(); i++) {
            Node nd = liste.item(i);
            if (nd.getNodeType() == Node.ELEMENT_NODE) {
                Element el = (Element) nd;
                String tagname = el.getTagName();
                if (tagname.equals("authority-uuid")) {
                    String authorityUUID = XMLUtils.getData(el);
                    try {
                        basedefichesMetadataEditor.setAuthorityUUID(authorityUUID);
                    } catch (IllegalArgumentException pe) {
                        basedefichesXmlErrorHandler.wrongElementValueError(tagname, authorityUUID);
                    }

                } else if (tagname.equals("basedefiches-name")) {
                    String name = XMLUtils.getData(el);
                    try {
                        basedefichesMetadataEditor.setBasedefichesName(name);
                    } catch (IllegalArgumentException pe) {
                        basedefichesXmlErrorHandler.wrongElementValueError(tagname, name);
                    }
                } else if (tagname.equals("intitule")) {
                    addIntitule(el, basedefichesMetadataEditor);
                } else {
                    basedefichesXmlErrorHandler.unknownTagWarning(tagname);
                }
            }
        }
    }

}
