/* BasedefichesLib_Xml - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.xml;

import java.io.IOException;
import net.mapeadores.basedefiches.Intitule;
import net.mapeadores.basedefiches.Metadata;
import net.mapeadores.util.xml.UtilXMLWriter;


/**
 *
 * @author Vincent Calame
 */
public class BasedefichesXMLUtils {

    private BasedefichesXMLUtils() {
    }

    public static void appendIntituleList(Metadata metadata, UtilXMLWriter writer) throws IOException {
        int intituleCount = metadata.getIntituleCount();
        for (int i = 0; i < intituleCount; i++) {
            Intitule intitule = metadata.getIntitule(i);
            writer.startOpenTag("intitule");
            writer.addAttribute("name", intitule.getName());
            writer.endOpenTag();
            writer.addLibelleList(intitule);
            writer.closeTag("intitule");
        }
    }

}
