/* BasedefichesLib_Xml - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.xml;

import java.io.IOException;
import net.mapeadores.basedefiches.SubsetItem;
import net.mapeadores.basedefiches.association.Document;
import net.mapeadores.basedefiches.association.DocumentSubset;
import net.mapeadores.basedefiches.filters.SubsetItemFilter;
import net.mapeadores.util.xml.UtilXMLWriter;


/**
 *
 * @author Vincent Calame
 */
public class DocumentSubsetXMLWriter extends UtilXMLWriter {

    public DocumentSubsetXMLWriter() {
    }

    public void appendDocumentSubset(DocumentSubset documentSubset) throws IOException {
        appendDocumentSubset(documentSubset, null);
    }

    public void appendDocumentSubset(DocumentSubset documentSubset, SubsetItemFilter subsetItemFilter) throws IOException {
        openTag("document-subset");
        int ticketLength = documentSubset.getTicketLength();
        for (int i = 0; i < ticketLength; i++) {
            Document document = (Document) documentSubset.getSubsetItemByTicket(i);
            if (testSubsetItem(document, subsetItemFilter)) {
                appendDocument(document);
            }
        }
        closeTag("document-subset");
    }

    private boolean testSubsetItem(SubsetItem subsetItem, SubsetItemFilter subsetItemFilter) {
        if (subsetItem == null) {
            return false;
        }
        if (subsetItemFilter == null) {
            return true;
        }
        return subsetItemFilter.containsSubsetItem(subsetItem.getIdsubset());
    }

    private void appendDocument(Document document) throws IOException {
        startOpenTag("document");
        addAttribute("idsubset", document.getIdsubset());
        addAttribute("basename", document.getBasename());
        closeEmptyTag();
    }

}
