/* BasedefichesLib_Xml - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.basedefiches.xml.extraction;

import net.mapeadores.basedefiches.Basedefiches;
import net.mapeadores.util.langinteger.LangInteger;
import net.mapeadores.util.localisation.LocalisationLists;
import net.mapeadores.util.xml.UtilXMLWriter;


/**
 *
 * @author Vincent Calame
 */
public abstract class AbstractExtractionXMLWriter extends UtilXMLWriter {

    protected Basedefiches basedefiches;
    protected LocalisationLists localisationLists;

    /**
     * localisationInfo peut être nul et dans ce cas, on prendra des valeurs par défaut
     */
    public AbstractExtractionXMLWriter(Basedefiches basedefiches, LocalisationLists localisationLists) {
        this.basedefiches = basedefiches;
        if (localisationLists == null) {
            localisationLists = LocalisationLists.newInstance(LangInteger.UNDETERMINED);
        }
        this.localisationLists = localisationLists;
    }

    public LocalisationLists getLocalisationLists() {
        return localisationLists;
    }

    public Basedefiches getBasedefiches() {
        return basedefiches;
    }

}
