/* BdfServer
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.actions;

import net.mapeadores.basedefiches.*;
import net.mapeadores.basedefiches.corpus.*;


/**
 *
 * @author Vincent Calame
 */
public class CreateFiche implements BdfAction {

    private Corpus corpus;
    private int idcorpus;

    private CreateFiche(Corpus corpus, int idcorpus) {
        this.corpus = corpus;
        this.idcorpus = idcorpus;
    }

    public Corpus getCorpus() {
        return corpus;
    }

    public int getIdcorpus() {
        return idcorpus;
    }

    /*public static CreateFiche newInstance(SubsetKey corpusKey) {
    return new CreateFiche(corpusKey);
    }*/
    public static CreateFiche newInstance(Corpus corpus) {
        return newInstance(corpus, -1);
    }

    public static CreateFiche newInstance(Corpus corpus, int idcorpus) {
        if (idcorpus < 0) {
            idcorpus = -1;
        }
        return new CreateFiche(corpus, idcorpus);
    }

}
