/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.balayages;

import fr.exemole.bdfserver.balayages.api.SiteMapOption;
import net.mapeadores.basedefiches.selection.FicheSelectOptions;
import net.mapeadores.util.localisation.LocalisationLists;


/**
 *
 * @author Vincent Calame
 */
public interface Balayage {

    /**
     * Nom technique, doit suivre l'expression rationnelle : [a-z][_a-z0-9]+
     *et ne pas faire plus de 30 caractères.
     */
    public String getName();

    public int getBalayageUnitCount();

    public BalayageUnit getBalayageUnit(int i);

    public LocalisationLists getLocalisationLists();

    public String getRootName();

    public String getPath();

    public boolean isWithTransformation();

    public int getGlobalFicheSelectOptionsCount();

    public FicheSelectOptions getGlobalFicheSelectOptions(int i);

    public int getBalayageModeCount();

    public BalayageMode getBalayageMode(int i);

    public short getDefaultLangOption();

    public String getPostCommand();

    public SiteMapOption getSiteMapOption();

}
