/* BdfServer
 *
 * Copyright (C) 2009-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.balayages;

import net.mapeadores.basedefiches.selection.*;


/**
 *
 * @author Vincent Calame
 */
public interface BalayageUnit {

    /**
     * Peut être nul. Sinon, c'est un nom technique et doit suivre l'expression rationnelle : [a-z][_a-z0-9]+
     * et ne pas faire plus de 30 caractères.
     */
    public String getName();

    public short getType();

    public boolean isGlobalSelect();

    public boolean hasMode(String s);

    public String getExtractionPath();

    public int getOutputCount();

    public Output getOutput(int i);

    public FicheSelectOptions getFicheSelectOptions();

    public MotcleSelectOptions getMotcleSelectOptions();

    public AlbumSelectOptions getAlbumSelectOptions();

    public int getExtensionCount();

    public String getExtension(int i);

}
