/* BdfServer
 *
 * Copyright (C) 2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.balayages.engine.runners;

import fr.exemole.bdfserver.balayages.engine.*;
import fr.exemole.bdfserver.balayages.*;


/**
 *
 * @author Vincent Calame
 */
public class RunnerFactory implements BalayageConstants {

    public static BalayageUnitRunner get(BalayageParameters balayageParameters, int index, BalayageUnit balayageUnit) {
        switch (balayageUnit.getType()) {
            case DOCUMENT_TYPE:
                return new DocumentBalayageUnitRunner(balayageParameters, index, balayageUnit);
            case ALBUM_TYPE:
                return new AlbumBalayageUnitRunner(balayageParameters, index, balayageUnit);
            default:
                return new TransformBalayageUnitRunner(balayageParameters, index, balayageUnit);
        }
    }

}
