/* BaseDeFiches - Article Management System
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.beans;

import java.io.Serializable;
import net.mapeadores.basedefiches.selection.beans.FicheSelectOptionsBean;
import net.mapeadores.basedefiches.selection.AbregeFicheSortedList;
import net.mapeadores.util.localisation.LocalisationInfoBean;


/**
 *
 * @author Vincent Calame
 */
public final class BdfUserBean implements Serializable {

    private XslTemplateBean[] xslTemplateBeanArray;
    private String[] streamTransformerKeyArray;
    private FicheSelectOptionsBean defaultFicheSelectOptionsBean;
    private short abregeFicheSortType = AbregeFicheSortedList.NONE_SORTTYPE;
    private TableExportParametersBean tableExportParametersBean;
    private LocalisationInfoBean localisationInfoBean;

    public BdfUserBean() {
    }

    public XslTemplateBean[] getXslTemplateBeanArray() {
        return xslTemplateBeanArray;
    }

    public void setXslTemplateBeanArray(XslTemplateBean[] xslTemplateBeanArray) {
        this.xslTemplateBeanArray = xslTemplateBeanArray;
    }

    public String[] getStreamTransformerKeyArray() {
        return streamTransformerKeyArray;
    }

    public void setStreamTransformerKeyArray(String[] streamTransformerKeyArray) {
        this.streamTransformerKeyArray = streamTransformerKeyArray;
    }

    public FicheSelectOptionsBean getDefaultFicheSelectOptionsBean() {
        return defaultFicheSelectOptionsBean;
    }

    public void setDefaultFicheSelectOptionsBean(FicheSelectOptionsBean defaultFicheSelectOptionsBean) {
        this.defaultFicheSelectOptionsBean = defaultFicheSelectOptionsBean;
    }

    public short getAbregeFicheSortType() {
        return abregeFicheSortType;
    }

    public void setAbregeFicheSortType(short abregeFicheSortType) {
        if (!AbregeFicheSortedList.isValideShortType(abregeFicheSortType)) {
            throw new IllegalArgumentException("abregeFicheSortType is not valid");
        }
        this.abregeFicheSortType = abregeFicheSortType;
    }

    public TableExportParametersBean getTableExportParametersBean() {
        return tableExportParametersBean;
    }

    public void setTableExportParametersBean(TableExportParametersBean tableExportParametersBean) {
        this.tableExportParametersBean = tableExportParametersBean;
    }

    public LocalisationInfoBean getLocalisationInfoBean() {
        return localisationInfoBean;
    }

    public void setLocalisationInfoBean(LocalisationInfoBean localisationInfoBean) {
        this.localisationInfoBean = localisationInfoBean;
    }

}
