/* BdfServer - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.beans;

import java.io.Serializable;


/**
 *
 * @author  Vincent Calame
 */
public class ExportOoBean implements Serializable {

    final public static short INSERTIONENTETE_AUCUN = 0;
    final public static short INSERTIONENTETE_NOM = 1;
    final public static short INSERTIONENTETE_INTITULE = 2;
    short typeInsertionEntete = 1;
    boolean withRemplacementNl = false;
    boolean withTextes = true;
    boolean withNomsColonnes = true;
    boolean withThesaurusExternes = false;
    int nbreEspaces = 3;

    public ExportOoBean() {
    }

    public ExportOoBean(boolean withRemplacementNL, int nbreEspaces, boolean withTextes, boolean withNomsColonnes) {
        this.withTextes = withTextes;
        this.withNomsColonnes = withNomsColonnes;
        this.nbreEspaces = nbreEspaces;
        if (nbreEspaces < 0) {
            nbreEspaces = 3;
        }
    }

    public boolean isWithTextes() {
        return withTextes;
    }

    public void setWithTextes(boolean withTextes) {
        this.withTextes = withTextes;
    }

    public boolean isWithThesaurusExternes() {
        return withThesaurusExternes;
    }

    public void setWithThesaurusExternes(boolean withThesaurusExternes) {
        this.withThesaurusExternes = withThesaurusExternes;
    }

    public short getTypeInsertionEntete() {
        return typeInsertionEntete;
    }

    public void setTypeInsertionEntete(short typeInsertionEntete) {
        if ((typeInsertionEntete < 0) || (typeInsertionEntete > 2)) {
            typeInsertionEntete = 0;
        }
        this.typeInsertionEntete = typeInsertionEntete;
    }

    public boolean isWithRemplacementNl() {
        return withRemplacementNl;
    }

    public void setWithRemplacementNl(boolean withRemplacementNL) {
        this.withRemplacementNl = withRemplacementNL;
    }

    public int getNbreEspaces() {
        return nbreEspaces;
    }

    public void setNbreEspaces(int nbreEspaces) {
        this.nbreEspaces = nbreEspaces;
    }

}
