/* BdfServer - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.beans;

import java.io.Serializable;
import net.mapeadores.util.langinteger.*;


/**
 *
 * @author Vincent Calame
 */
public final class LangConfigBean implements Serializable {

    private boolean allLanguages = true;
    private String[] workingLangArray = null;
    private String[] supplementaryLangArray = null;

    public LangConfigBean() {
    }

    public LangConfigBean(LangConfigBean oldInstance) {
        this.allLanguages = oldInstance.allLanguages;
        setWorkingLangArray(oldInstance.workingLangArray);
        setSupplementaryLangArray(oldInstance.supplementaryLangArray);
    }

    public boolean isAllLanguages() {
        return allLanguages;
    }

    public void setAllLanguages(boolean allLanguages) {
        this.allLanguages = allLanguages;
    }

    public void setWorkingLangArray(String[] array) {
        this.workingLangArray = array;
    }

    public String[] getWorkingLangArray() {
        return workingLangArray;
    }

    public String[] getSupplementaryLangArray() {
        return supplementaryLangArray;
    }

    public void setSupplementaryLangArray(String[] supplementaryLangArray) {
        this.supplementaryLangArray = supplementaryLangArray;
    }

    /**
     *@todo : à supprimer compatibilité avec les versions antérieures à la 0.9.8.2
     */
    public void setSupplementaryLangIntegerArray(int[] intArray) {
        supplementaryLangArray = LangIntegerUtils.toStringArray(intArray);//ArrayUtils.cleanCopy(intArray);
    }

    public int[] getSupplementaryLangIntegerArray() {
        if (supplementaryLangArray == null) {
            return null;
        }
        return LangIntegerUtils.toLangIntegerArray(supplementaryLangArray);
    }

    public void setWorkingLangIntegerArray(int[] intArray) {
        workingLangArray = LangIntegerUtils.toStringArray(intArray);
    }

    public int[] getWorkingLangIntegerArray() {
        if (workingLangArray == null) {
            return null;
        }
        return LangIntegerUtils.toLangIntegerArray(workingLangArray);
    }

}
