/* BaseDeFiches - Article Management System
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.beans;

import java.io.Serializable;


/**
 *
 * @author Vincent Calame
 */
public final class PasswordManagerBean implements Serializable, ManagerBean {

    private String confirmPassword = "test";
    private PasswordRedacteurBean[] passwordRedacteurBeanArray;

    public PasswordManagerBean() {
    }

    public PasswordRedacteurBean[] getPasswordRedacteurBeanArray() {
        return passwordRedacteurBeanArray;
    }

    public void setPasswordRedacteurBeanArray(PasswordRedacteurBean[] passwordRedacteurBeanArray) {
        this.passwordRedacteurBeanArray = passwordRedacteurBeanArray;
    }

    public String getConfirmPassword() {
        return confirmPassword;
    }

    /**
     *
     *@throws IllegalArgumentException si confirmPassword est nul.
     */
    public void setConfirmPassword(String confirmPassword) {
        if (confirmPassword == null) {
            throw new IllegalArgumentException("confirmPassword is null");
        }
        this.confirmPassword = confirmPassword;
    }

}
