/* BdfServer
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.commands;


/**
 *
 * @author Vincent Calame
 */
public class DefaultCommandDef implements CommandDef {

    private String key;
    private String name;
    private ParamDef[] paramDefArray;

    public DefaultCommandDef(String name, String key, ParamDef[] paramDefArray) {
        this.name = name;
        this.key = key;
        this.paramDefArray = paramDefArray;
    }

    public String getKey() {
        return key;
    }

    public String getName() {
        return name;
    }

    public int getParamDefCount() {
        if (paramDefArray == null) {
            return 0;
        }
        return paramDefArray.length;
    }

    public ParamDef getParamDef(int i) {
        return paramDefArray[i];
    }

    protected void setKey() {
    }

}
