/* BdfServer
 *
 * Copyright (C) 2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.imagesource;


/**
 *
 * @author Vincent Calame
 */
public class ImageSourceUtils implements ImageSourceConstants {

    private ImageSourceUtils() {
    }

    public static short actionToShort(String actionString) {
        if (actionString.equals("creat")) {
            return CREAT_ACTION;
        } else if (actionString.equals("confirm")) {
            return CONFIRM_ACTION;
        } else if (actionString.equals("cancel")) {
            return CANCEL_ACTION;
        } else {
            throw new IllegalArgumentException("unknown Action");
        }
    }

    public static String actionToString(short action) {
        switch (action) {
            case CREAT_ACTION:
                return "creat";
            case CONFIRM_ACTION:
                return "confirm";
            case CANCEL_ACTION:
                return "cancel";
            default:
                throw new IllegalArgumentException("");
        }
    }

}
