/* BdfServer - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.libscol;

import java.text.*;
import net.mapeadores.basedefiches.*;


/**
 *
 * @author Vincent Calame
 */
public final class LibsColKey {

    public static final LibsColKey ALLCORPUS = new LibsColKey("allcorpus");
    String libsColKeyString;
    private SubsetKey subsetKey;

    public LibsColKey() {
    }

    private LibsColKey(String s) {
        libsColKeyString = s.intern();
    }

    private LibsColKey(String s, SubsetKey subsetKey) {
        libsColKeyString = s.intern();
        this.subsetKey = subsetKey;
    }

    public static LibsColKey parse(String s) throws ParseException {
        if (s.equals("allcorpus")) {
            return ALLCORPUS;
        }
        SubsetKey subsetKey = SubsetKey.parse(s);
        return new LibsColKey(s, subsetKey);
    }

    public boolean isFromSubset() {
        return (subsetKey != null);
    }

    public SubsetKey getSubsetKey() {
        return subsetKey;
    }

    public String toString() {
        return libsColKeyString;
    }

    public int hashCode() {
        return libsColKeyString.hashCode();
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof LibsColKey)) {
            return false;
        }
        LibsColKey other = (LibsColKey) obj;
        return (other.libsColKeyString).equals(this.libsColKeyString);
    }

}
