/* BdfServer - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.listeners;

import java.io.*;
import fr.exemole.bdfserver.*;
import net.mapeadores.basedefiches.*;
import java.util.*;
import net.mapeadores.basedefiches.event.BasedefichesListener;


/**
 *
 * @author Vincent Calame
 */
public class ListenerInitializer {

    BdfServer bdfServer;
    Map objectMap;

    public ListenerInitializer(BdfServer bdfServer, Map objectMap) {
        this.bdfServer = bdfServer;
        this.objectMap = objectMap;
    }

    public void init(File f) throws IOException {
        BufferedReader buf = new BufferedReader(new FileReader(f));
        String ligne = null;
        while ((ligne = buf.readLine()) != null) {
            ligne = ligne.trim();
            if ((ligne.length() > 0) && (!ligne.startsWith("#"))) {
                initListenerFactory(ligne);
            }
        }
    }

    public void initListenerFactory(String listenerFactoryClassName) {
        try {
            Class listenerFactoryClass = Class.forName(listenerFactoryClassName);
            ListenerFactory listenerFactory = (ListenerFactory) listenerFactoryClass.newInstance();
            BasedefichesListener basedefichesListener = listenerFactory.getBasedefichesListener(bdfServer, objectMap);
            if (basedefichesListener != null) {
                bdfServer.getBasedefiches().addBasedefichesListener(basedefichesListener);
            }
        } catch (ClassNotFoundException cnfe) {
            cnfe.printStackTrace();
            //throw new UnrecoverableBdfserverException(cnfe);
        } catch (InstantiationException ie) {
            ie.printStackTrace();
            //throw new UnrecoverableBdfserverException(ie);
        } catch (IllegalAccessException ia) {
            ia.printStackTrace();
            //throw new UnrecoverableBdfserverException(ia);
        } catch (ClassCastException cce) {
            cce.printStackTrace();
            //throw new UnrecoverableBdfserverException(cce);
        }
    }

}
