/* BdfServer - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.managers;

import fr.exemole.bdfserver.BdfServer;
import net.mapeadores.basedefiches.scrutariexport.ScrutariExport;
import java.util.*;
import java.text.ParseException;


/**
 *
 * @author Vincent Calame
 */
public class ScrutariExportManager implements BeanableManager {

    private BdfServer bdfServer;
    private TreeMap scrutariExportMap = new TreeMap();
    private Set unmodifiableSet = Collections.unmodifiableSet(scrutariExportMap.keySet());

    public ScrutariExportManager(BdfServer bdfServer) {
        this.bdfServer = bdfServer;
    }

    public BdfServer getBdfServer() {
        return bdfServer;
    }

    public ScrutariExport getScrutariExport(String name) {
        return (ScrutariExport) scrutariExportMap.get(name);
    }

    public Set getScrutariExportNameSet() {
        return unmodifiableSet;
    }

    public void putScrutariExport(ScrutariExport scrutariExport) {
        scrutariExportMap.put(scrutariExport.getName(), scrutariExport);
    }

    public void removeScrutariExport(String name) {
        scrutariExportMap.remove(name);
    }

    public ScrutariExport newDefaultScrutariExportInstance(String name) throws ParseException {
        ScrutariExport scrutariExport = new ScrutariExport(bdfServer.getBasedefiches(), name);
        return scrutariExport;
    }

}
