/* BdfServer - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.managers.transformation;


/**
 *
 * @author Vincent Calame
 */
public class StreamTransformerInfo {

    public final static short UNKNOWN_EXTENSION_ERROR = 1;
    public final static short STREAM_TRANSFORMER_ERROR = 2;
    public final static short PROCESS_ERROR = 3;
    private StreamTransformerKey streamTransformerKey;
    private short errorType;
    private String errorMessage;
    private String processWarning = null;

    public StreamTransformerInfo(StreamTransformerKey streamTransformerKey) {
        this.streamTransformerKey = streamTransformerKey;
    }

    public StreamTransformerKey getStreamTransformerKey() {
        return streamTransformerKey;
    }

    public boolean isValid() {
        return (errorType == 0);
    }

    public void setError(short errorType, String errorMessage) {
        this.errorType = errorType;
        this.errorMessage = errorMessage;
    }

    public short getErrorType() {
        return errorType;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public String getProcessWarning() {
        return processWarning;
    }

    public void setProcessWarning(String processWarning) {
        if ((processWarning != null) && (processWarning.length() == 0)) {
            this.processWarning = null;
        } else {
            this.processWarning = processWarning;
        }
    }

}
