/* BdfServer - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.managers.xml;

import fr.exemole.bdfserver.managers.PasswordManager;
import java.io.IOException;
import java.util.Map;
import net.mapeadores.basedefiches.sphere.RedacteurKey;


/**
 *
 * @author Vincent Calame
 */
public class PasswordManagerXMLWriter extends ManagerXMLWriter {

    public PasswordManagerXMLWriter() {
    }

    public void appendManager(Object manager) throws IOException {
        appendPasswordManager((PasswordManager) manager);
    }

    public void appendPasswordManager(PasswordManager passwordManager) throws IOException {
        openTag("password-manager");
        startOpenTag("confirm");
        addAttribute("pwd", passwordManager.getConfirmPassword());
        closeEmptyTag();
        for (Map.Entry<RedacteurKey, String> entry : passwordManager.getEntrySet()) {
            RedacteurKey rbk = entry.getKey();
            appendRedacteurKey(rbk, entry.getValue());
        }
        closeTag("password-manager");
    }

    private void appendRedacteurKey(RedacteurKey redacteurKey, String password) throws IOException {
        startOpenTag("redacteur");
        addAttribute("sphere", redacteurKey.getSphereKey().getSubsetName());
        addAttribute("idsphere", redacteurKey.getIdsphereString());
        addAttribute("pwd", password);
        closeEmptyTag();
    }

}
