/* BdfServer - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.managers.xml;

import fr.exemole.bdfserver.sqlexport.SqlExportManager;
import java.io.IOException;
import net.mapeadores.basedefiches.sqlexport.beans.SqlExportBean;
import net.mapeadores.util.beans.ParamBean;


/**
 *
 * @author Vincent Calame
 */
public class SqlExportManagerXMLWriter extends ManagerXMLWriter {

    public SqlExportManagerXMLWriter() {
    }

    public void appendManager(Object manager) throws IOException {
        appendSqlExportManager((SqlExportManager) manager);
    }

    public void appendSqlExportManager(SqlExportManager sqlExportManager) throws IOException {
        openTag("sqlexport-manager");
        int count = sqlExportManager.getSqlExportCount();
        for (int i = 0; i < count; i++) {
            appendSqlExport(sqlExportManager.getSqlExportBean(i));
        }
        closeTag("sqlexport-manager");
    }

    private void appendSqlExport(SqlExportBean sqlExport) throws IOException {
        startOpenTag("sqlexport");
        addAttribute("name", sqlExport.getName());
        endOpenTag();
        addSimpleElement("tableexport-name", sqlExport.getTableExportName());
        addSimpleElement("sqlexport-classname", sqlExport.getSqlExportClassName());
        addSimpleElement("path", sqlExport.getPath());
        addSimpleElement("url", sqlExport.getUrl());
        addSimpleElement("post-command", sqlExport.getPostCommand());
        ParamBean[] array = sqlExport.getParamBeanArray();
        if (array != null) {
            for (int i = 0; i < array.length; i++) {
                ParamBean paramBean = array[i];
                startOpenTag("param");
                addAttribute("name", paramBean.getName());
                addAttribute("value", paramBean.getValue());
                closeEmptyTag();
            }
        }
        closeTag("sqlexport");
    }

}
