/* BdfServer - Copyright (c) 2009 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request;

import net.mapeadores.util.request.RequestMap;
import java.util.Map;
import java.util.HashMap;


/**
 *
 * @author Vincent Calame
 */
public class GenericParameters {

    public final static String PARAM_PREFIX = "param_";
    private Map<String, String> paramMap = new HashMap<String, String>();

    public GenericParameters() {
    }

    public String getGenericParameter(String name) {
        return paramMap.get(name);
    }

    public void setGenericParameter(String name, String value) {
        paramMap.put(name, value);
    }

    public static GenericParameters buildFromRequestMap(RequestMap requestMap) {
        String prefix = PARAM_PREFIX;
        GenericParameters genericParameters = new GenericParameters();
        for (String name : requestMap.getParameterNameSet()) {
            if (name.startsWith(prefix)) {
                String subname = name.substring(prefix.length());
                String value = requestMap.getParameter(name);
                genericParameters.setGenericParameter(subname, value);
            }
        }
        return genericParameters;
    }

}
