/* BdfServer
 *
 * Copyright (C) 2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.*;
import net.mapeadores.basedefiches.corpus.metadata.*;
import net.mapeadores.basedefiches.album.*;


/**
 *
 * @author Vincent Calame
 */
public class DefaultImageFieldElement extends AbstractCorpusFieldElement implements ImageFieldElement {

    private String src = "";
    private String alt = "";
    private String title = "";
    private String baseUrl = "";
    private String imageSource = "";
    private boolean withSubfields = false;
    private boolean srcAlwaysEditable = false;
    private Album album = null;

    public DefaultImageFieldElement(CorpusField corpusField) {
        super(corpusField);
    }

    public String getSrc() {
        return src;
    }

    public void setSrc(String src) {
        this.src = src;
    }

    public String getAlt() {
        return alt;
    }

    public void setAlt(String alt) {
        this.alt = alt;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getBaseUrl() {
        return baseUrl;
    }

    public void setBaseUrl(String baseUrl) {
        this.baseUrl = baseUrl;
    }

    public String getImageSource() {
        return imageSource;
    }

    public void setImageSource(String imageSource) {
        this.imageSource = imageSource;
    }

    public boolean isWithSubfields() {
        return withSubfields;
    }

    public void setWithSubfields(boolean withSubfields) {
        this.withSubfields = withSubfields;
    }

    public boolean isSrcAlwaysEditable() {
        return srcAlwaysEditable;
    }

    public void setSrcAlwaysEditable(boolean srcAlwaysEditable) {
        this.srcAlwaysEditable = srcAlwaysEditable;
    }

    public Album getAlbum() {
        return album;
    }

    public void setAlbum(Album album) {
        this.album = album;
    }

}
