/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.ListIndexationElement;
import java.util.Set;
import net.mapeadores.basedefiches.include.FilteredIncludeKey;
import net.mapeadores.basedefiches.thesaurus.Motcle;
import net.mapeadores.basedefiches.thesaurus.Thesaurus;


/**
 *
 * @author Vincent Calame
 */
public class DefaultListIndexationElement extends AbstractIncludeElement implements ListIndexationElement {

    private short listType;
    private Thesaurus thesaurus;
    private boolean noneAllowed;
    private int workingLangInteger;
    private String idalphaSeparator;
    private Set<Motcle> selectedMotcleSet;
    private boolean newIndexation;
    private boolean withIdalpha = true;

    public DefaultListIndexationElement(FilteredIncludeKey filteredIncludeKey) {
        super(filteredIncludeKey);
    }

    public short getListType() {
        return listType;
    }

    public void setListType(short listType) {
        this.listType = listType;
    }

    public Thesaurus getThesaurus() {
        return thesaurus;
    }

    public void setThesaurus(Thesaurus thesaurus) {
        this.thesaurus = thesaurus;
    }

    public boolean isNoneAllowed() {
        return noneAllowed;
    }

    public void setNoneAllowed(boolean noneAllowed) {
        this.noneAllowed = noneAllowed;
    }

    public int getWorkingLangInteger() {
        return workingLangInteger;
    }

    public void setWorkingLangInteger(int workingLangInteger) {
        this.workingLangInteger = workingLangInteger;
    }

    public boolean isWithIdalpha() {
        return withIdalpha;
    }

    public void setWithIdalpha(boolean withIdalpha) {
        this.withIdalpha = withIdalpha;
    }

    public String getIdalphaSeparator() {
        return idalphaSeparator;
    }

    public void setIdalphaSeparator(String idalphaSeparator) {
        this.idalphaSeparator = idalphaSeparator;
    }

    public Set<Motcle> getSelectedMotcleSet() {
        return selectedMotcleSet;
    }

    public void setSelectedMotcleSet(Set<Motcle> selectedMotcleSet) {
        this.selectedMotcleSet = selectedMotcleSet;
    }

    public boolean isNewIndexation() {
        return newIndexation;
    }

    public void setNewIndexation(boolean newIndexation) {
        this.newIndexation = newIndexation;
    }

}
