/* BdfServer
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.request.formimp;

import fr.exemole.bdfserver.request.form.*;
import net.mapeadores.basedefiches.beans.*;
import net.mapeadores.basedefiches.corpus.metadata.*;


/**
 *
 * @author Vincent Calame
 */
public class DefaultPersonneSubfieldsElement extends AbstractCorpusFieldElement implements PersonneSubfieldsElement {

    private String nom = "";
    private String prenom = "";
    private String original = "";
    private boolean nomAvant = false;
    private boolean withOriginal = false;
    private boolean withNomAvant = true;

    public DefaultPersonneSubfieldsElement(CorpusField corpusField) {
        super(corpusField);
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getPrenom() {
        return prenom;
    }

    public void setPrenom(String prenom) {
        this.prenom = prenom;
    }

    public String getOriginal() {
        return original;
    }

    public void setOriginal(String original) {
        this.original = original;
    }

    public boolean isNomAvant() {
        return nomAvant;
    }

    public void setNomAvant(boolean nomAvant) {
        this.nomAvant = nomAvant;
    }

    public void setFromPersonneBean(PersonneBean personneBean) {
        this.nom = personneBean.getNom();
        this.prenom = personneBean.getPrenom();
        this.original = personneBean.getOriginal();
        this.nomAvant = personneBean.isNomAvant();
    }

    public boolean isWithOriginal() {
        return withOriginal;
    }

    public void setWithOriginal(boolean withOriginal) {
        this.withOriginal = withOriginal;
    }

    public boolean isWithoutNomAvant() {
        return withNomAvant;
    }

    public void setWithoutNomAvant(boolean withNomAvant) {
        this.withNomAvant = withNomAvant;
    }

}
