/* BdfServer - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request.parsers;


/**
 *
 * @author Vincent Calame
 */
public class PoidsIntegerToken {

    private int poids = 0;
    private int integer = 0;

    private PoidsIntegerToken(int integer, int poids) {
        this.integer = integer;
        this.poids = poids;
    }

    public int getPoids() {
        return poids;
    }

    public int getInteger() {
        return integer;
    }

    /**
     * Retoure null en cas d'erreur.
     */
    static public PoidsIntegerToken parse(String s) {
        PoidsToken poidsToken = PoidsToken.parse(s);
        try {
            int integer = Integer.parseInt(poidsToken.getText());
            return new PoidsIntegerToken(integer, poidsToken.getPoids());
        } catch (NumberFormatException nfe) {
            return null;
        }
    }

}
