/* BdfServer - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request.parsers.spanparsers;

import net.mapeadores.basedefiches.corpus.fiche.*;


/**
 *
 * @author Vincent Calame
 */
class HttpParser extends SpanParser {

    HttpParser() {
        setStartCharCount(1);
    }

    public char getStartChar() {
        return 'h';
    }

    public boolean parse(String bout, int startIndex) {
        reinit(bout);
        if (startIndex > sourceStringLength - 9) {
            return false;
        }
        if (bout.charAt(startIndex + 1) != 't') {
            return false;
        }
        if (bout.charAt(startIndex + 2) != 't') {
            return false;
        }
        if (bout.charAt(startIndex + 3) != 'p') {
            return false;
        }
        if (bout.charAt(startIndex + 4) != ':') {
            return false;
        }
        if (bout.charAt(startIndex + 5) != '/') {
            return false;
        }
        if (bout.charAt(startIndex + 6) != '/') {
            return false;
        }
        char prems = bout.charAt(startIndex + 7);
        if ((prems == '.') || (prems == '?') || (!checkCharInUrl(prems))) {
            return false;
        }
        StringBuffer refBuffer = new StringBuffer();
        refBuffer.append("http://");
        refBuffer.append(prems);
        int stopIndex = appendUrl(refBuffer, startIndex + 8);
        setEndIndex(stopIndex);
        S span = initSpan(S.TYPE_LINK);
        span.setRef(refBuffer.toString());
        span.checkHttpValue(true);
        return true;
    }

}
