/* BdfServer - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.request.parsers.spanparsers;

import net.mapeadores.basedefiches.corpus.fiche.*;


/**
 *
 * @author Vincent Calame
 */
public class WwwParser extends SpanParser {

    WwwParser() {
    }

    public char getStartChar() {
        return 'w';
    }

    public boolean parse(String bout, int startIndex) {
        reinit(bout);
        if (startIndex > (sourceStringLength - 6)) {
            return false;
        }
        if (bout.charAt(startIndex + 1) != 'w') {
            setStartCharCount(1);
            return false;
        }
        if (bout.charAt(startIndex + 2) != 'w') {
            setStartCharCount(2);
            return false;
        }
        setStartCharCount(3);
        if (bout.charAt(startIndex + 3) != '.') {
            return false;
        }
        char prems = bout.charAt(startIndex + 4);
        if (!checkCharInUrl(prems)) {
            return false;
        }
        StringBuffer refBuffer = new StringBuffer();
        refBuffer.append("http://www.");
        refBuffer.append(prems);
        int stopIndex = appendUrl(refBuffer, startIndex + 5);
        setEndIndex(stopIndex);
        S span = initSpan(S.TYPE_LINK);
        span.setRef(refBuffer.toString());
        span.checkHttpValue(true);
        return true;
    }

}
