/* BdfServer - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.roles;


/**
 *
 * @author Vincent Calame
 */
public class FicheActionPermission {

    public final static short ALL = 1;
    public final static short NONE = 2;
    public final static short OWN = 3;
    public final static short SPHERE = 4;
    public final static short SELECTION = 5;
    private short type;

    public FicheActionPermission(short type) {
        this.type = type;
    }

    public short getType() {
        return type;
    }

    public void setType(short type) {
        this.type = type;
    }

    public static String typeToString(short type) {
        switch (type) {
            case ALL:
                return "all";
            case NONE:
                return "none";
            case OWN:
                return "own";
            case SPHERE:
                return "sphere";
            case SELECTION:
                return "selection";
            default:
                throw new IllegalArgumentException("type = " + type);
        }
    }

    public static short typeToShort(String type) {
        if (type.equals("all")) {
            return ALL;
        } else if (type.equals("none")) {
            return NONE;
        } else if (type.equals("own")) {
            return OWN;
        } else if (type.equals("sphere")) {
            return SPHERE;
        } else if (type.equals("selection")) {
            return SELECTION;
        } else {
            throw new IllegalArgumentException("type = " + type);
        }
    }

}
