/* BdfServer - Copyright (c) 2009-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage;

import java.io.IOException;
import java.io.InputStream;
import net.mapeadores.util.io.DocStream;
import net.mapeadores.util.io.MimeTypeResolver;


/**
 *
 * @author Vincent Calame
 */
public interface BdfResourceStorage {

    public final static String ICON = "icon.png";
    public final static String ICON32 = "icon32.png";
    public final static String LOGO = "logo.png";

    public boolean containsBdfResource(short resourceType, String path);

    public DocStream getBdfResourceDocStream(short resourceType, String path);

    public void saveBdfResource(short resourceType, String path, InputStream inputStream) throws IOException;

    public MimeTypeResolver getMimeTypeResolver();

    public Class getDefaultBdfResourceReferenceClass(short resourceType);

    public BdfResourceList getDatafResourceList();

}
