/* BdfServer - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage;

import fr.exemole.bdfserver.roles.RoleMap;
import fr.exemole.bdfserver.ui.AlterUI;
import fr.exemole.bdfserver.ui.corpus.CorpusUI;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.basedefiches.Basedefiches;
import net.mapeadores.basedefiches.BasedefichesEditor;
import net.mapeadores.basedefiches.sphere.RedacteurKey;


/**
 *
 * @author Vincent Calame
 */
public interface BdfStorage {

    /**
     * En cours de transition de Manager à BdfManager
     */
    public void loadManager(Object manager);

    public void saveManager(Object manager);

    public void saveBdfUser(BdfUser bdfUser);

    public boolean hasBdfUserPrefs(RedacteurKey redacteurKey);

    public void loadBdfUser(BdfUser bdfUser);

    public Basedefiches getBasedefiches();

    public BasedefichesEditor getBasedefichesEditor();

    public RoleMap getRoleMap();

    public AlterUI getAlterUI(CorpusUI corpusUI, String alterName);

}
