/* BdfServer - Copyright (c) 2007-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage;

import fr.exemole.bdfserver.BdfServer;
import fr.exemole.bdfserver.managers.transformation.StreamTransformerInfo;
import fr.exemole.bdfserver.managers.transformation.TransformationKey;
import fr.exemole.bdfserver.managers.transformation.XslTransformerInfo;
import java.io.IOException;
import java.io.InputStream;
import java.util.List;
import javax.xml.transform.Source;
import net.mapeadores.util.io.StreamTransformer;


/**
 *
 * @author Vincent Calame
 */
public interface TransformationStorage {

    public List<TransformationStorageInfo> getTransformationStorageInfoList(BdfServer bdfServer);


    public interface TransformationStorageInfo {

        public TransformationKey getTransformationKey();

        public List<XslTransformerStorageInfo> getXslTransformerStorageInfoList();

        public List<StreamTransformerStorageInfo> getStreamTransformerStorageInfoList();

    }


    public interface XslTransformerStorageInfo {

        public XslTransformerInfo getXslTransformerInfo();

        public Source getSource();

    }


    public interface StreamTransformerStorageInfo {

        public StreamTransformerInfo getStreamTransformerInfo();

        public StreamTransformer getStreamTransformer();

    }

    /**
     * écrase ce qui existe déjà.
     * transformerKey est une instance de  XslTransformerKey ou StreamTransformerKey
     */
    public void saveTransformer(Object transformerKey, InputStream inputStream, boolean pattern) throws IOException;

}
