/* BdfServer
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.ui.corpus;

import net.mapeadores.basedefiches.corpus.*;
import net.mapeadores.basedefiches.corpus.metadata.*;
import net.mapeadores.basedefiches.croisement.CroisementUtils;
import net.mapeadores.basedefiches.*;
import java.util.*;
import net.mapeadores.util.collections.multilist.MultiList;
import net.mapeadores.util.collections.multilist.MultiListItem;
import fr.exemole.bdfserver.ui.*;
import fr.exemole.bdfserver.ui.corpus.*;
import fr.exemole.bdfserver.ui.options.*;
import net.mapeadores.util.primitives.BitmaskUtils;
import net.mapeadores.basedefiches.include.*;
import net.mapeadores.util.exceptions.*;
import fr.exemole.bdfserver.beans.*;
import fr.exemole.bdfserver.ui.xml.*;


/**
 *
 * @author Vincent Calame
 */
public interface ComponentUIEditor {

    /**
     * Retourne null si le champ n'existe pas.
     */
    public FieldUI getFieldUI(FieldKey fieldKey);

    /**
     * Peut retourner null si non pertinent
     */
    public IncludeUI getIncludeUI(FilteredIncludeKey filteredIncludeKey, boolean askForCreation);

    /**
     * Peut retourner null si non pertinent. La création n'est pas forcément effective
     */
    public CommentUI getCommentUI(String name, boolean askForCreation);

    public boolean setInputOption(ComponentUI componentUI, InputOption inputOption);

    public boolean setLimitOption(ComponentUI componentUI, LimitOption limitOption);

    public boolean setValueOption(ComponentUI componentUI, ValueOption valueOption);

    public boolean setPiocheSelectOption(ComponentUI componentUI, PiocheSelectOption piocheSelectOption);

    public boolean setLibelleString(ComponentUI componentUI, int langInteger, String nvlibelle);

    public boolean setDefaultLibelleUsage(ComponentUI componentUI, boolean b);

    public boolean setLocation(ComponentUI componentUI, int newLocation);

    public boolean setPositionArray(String[] positionArray);

}
