/* BdfServer - Copyright (c) 2009-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.ui.corpus;

import fr.exemole.bdfserver.ui.options.InputOption;
import fr.exemole.bdfserver.ui.options.LimitOption;
import fr.exemole.bdfserver.ui.options.PiocheSelectOption;
import fr.exemole.bdfserver.ui.options.ValueOption;
import net.mapeadores.basedefiches.corpus.metadata.IncludeKey;
import net.mapeadores.basedefiches.include.FilteredIncludeKey;


/**
 *
 * @author Vincent Calame
 */
public class MutableIncludeUI extends DefaultIncludeUI {

    public MutableIncludeUI(IncludeKey includeKey) {
        super(includeKey);
    }

    public MutableIncludeUI(FilteredIncludeKey filteredIncludeKey) {
        super(filteredIncludeKey);
    }

    public MutableIncludeUI(IncludeUI includeUI) {
        super(includeUI);
    }

    public void updateInputOption(InputOption inputOption) {
        internalUpdateInputOption(inputOption);
    }

    public void updateLimitOption(LimitOption limitOption) {
        internalUpdateLimitOption(limitOption);
    }

    public void updateValueOption(ValueOption valueOption) {
        internalUpdateValueOption(valueOption);
    }

    public void updatePiocheSelectOption(PiocheSelectOption piocheSelectOption) {
        internalUpdatePiocheSelectOption(piocheSelectOption);
    }

    public boolean setDefaultLibelleUsage(boolean def) {
        return internalSetDefaultLibelleUsage(def);
    }

    public boolean setWithIdalpha(boolean withIdalpha) {
        return internalSetWithIdalpha(withIdalpha);
    }

    public boolean setLibelleString(int langInteger, String nvlibelle) {
        return internalSetLibelleString(langInteger, nvlibelle);
    }

}
