/* BdfServer
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.ui.options;


/**
 *
 * @author Vincent Calame
 */
public class DefaultValueOption implements ValueOption {

    private String defaultValue = "";
    private boolean mandatory = false;

    public DefaultValueOption() {
    }

    public DefaultValueOption(ValueOption valueOption) {
        innerUpdate(valueOption);
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    protected void innerSetDefaultValue(String defaultValue) {
        if (defaultValue == null) {
            this.defaultValue = "";
        } else {
            this.defaultValue = defaultValue;
        }
    }

    public boolean isMandatory() {
        return mandatory;
    }

    protected void innerSetMandatory(boolean mandatory) {
        this.mandatory = mandatory;
    }

    protected void innerUpdate(ValueOption valueOption) {
        innerSetDefaultValue(valueOption.getDefaultValue());
        innerSetMandatory(valueOption.isMandatory());
    }

}
