/* BdfServer - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.users;

import fr.exemole.bdfserver.beans.BdfUserBean;
import fr.exemole.bdfserver.beans.XslTemplateBean;
import fr.exemole.bdfserver.managers.transformation.StreamTransformerKey;
import fr.exemole.bdfserver.managers.transformation.TransformationKey;
import net.mapeadores.basedefiches.selection.beans.FicheSelectOptionsBean;
import net.mapeadores.basedefiches.selection.FicheSelectOptions;
import net.mapeadores.basedefiches.selection.beans.SelectionBeanStorage;
import java.text.*;
import net.mapeadores.util.localisation.*;


/**
 *
 * @author Vincent Calame
 */
public class BdfUserBeanStorage {

    private BdfUserBeanStorage() {
    }

    public static void fillBdfUser(BdfUser bdfUser, BdfUserBean bdfUserBean) {
        XslTemplateBean[] array = bdfUserBean.getXslTemplateBeanArray();
        if (array != null) {
            for (int i = 0; i < array.length; i++) {
                XslTemplateBean bean = array[i];
                if (bean == null) {
                    continue;
                }
                String transformationKey = bean.getTransformationKey();
                if (transformationKey != null) {
                    try {
                        bdfUser.setXSLTemplateName(TransformationKey.parse(transformationKey), bean.getTemplateName());
                    } catch (ParseException pe) {
                    }
                }
            }
        }
        String[] transformerArray = bdfUserBean.getStreamTransformerKeyArray();
        if (transformerArray != null) {
            for (int i = 0; i < transformerArray.length; i++) {
                try {
                    StreamTransformerKey streamTransformerKey = StreamTransformerKey.parse(transformerArray[i]);
                    bdfUser.putStreamTransformerKey(streamTransformerKey);
                } catch (ParseException pe) {
                }
            }
        }
        FicheSelectOptionsBean optionsBean = bdfUserBean.getDefaultFicheSelectOptionsBean();
        if (optionsBean != null) {
            FicheSelectOptions options = new FicheSelectOptions();
            SelectionBeanStorage.fill(options, optionsBean);
            bdfUser.setDefaultFicheSelectOptions(options);
            bdfUser.setFicheSelectOptions(options);
        }
        bdfUser.setAbregeFicheSortType(bdfUserBean.getAbregeFicheSortType());
        bdfUser.setTableExportParametersBean(bdfUserBean.getTableExportParametersBean());
        LocalisationInfoBean locBean = bdfUserBean.getLocalisationInfoBean();
        if (locBean != null) {
            bdfUser.setLocalisationInfo(new LocalisationInfo(locBean));
        }
    }

    /*public static BdfUserBean toBean(BdfUser bdfUser) {
    BdfUserBean bdfUserBean = new BdfUserBean();
    Set set = bdfUser.getXSLTemplateNameEntrySet();
    XslTemplateBean[] array = new XslTemplateBean[set.size()];
    int p = 0;
    for (Iterator it = set.iterator();it.hasNext();) {
    Map.Entry entry = (Map.Entry) it.next();
    TransformationKey transformationKey = (TransformationKey) entry.getKey();
    String templateName = (String) entry.getValue();
    array[p] = new XslTemplateBean(transformationKey.toString(),templateName);
    p++;
    }
    bdfUserBean.setXslTemplateBeanArray(array);
    List transformerList = bdfUser.getStreamTransformerKeyList();
    int transformerSize = transformerList.size();
    if (transformerSize > 0) {
    String[] transformerArray = new String[transformerSize];
    for(int i = 0; i < transformerSize;i++) {
    StreamTransformerKey key = (StreamTransformerKey) transformerList.get(i);
    transformerArray[i] = key.toString();
    }
    bdfUserBean.setStreamTransformerKeyArray(transformerArray);
    } else {
    bdfUserBean.setStreamTransformerKeyArray(null);
    }
    bdfUserBean.setDefaultFicheSelectOptionsBean(SelectionBeanStorage.toBean(bdfUser.getFicheSelectOptions()));
    bdfUserBean.setAbregeFicheSortType(bdfUser.getAbregeFicheSortType());
    bdfUserBean.setTableExportParametersBean(bdfUser.getTableExportParametersBean());
    LocalisationInfo localisationInfo = bdfUser.getLocalisationInfo();
    bdfUserBean.setLocalisationInfoBean(localisationInfo.toBean());
    return bdfUserBean;
    }*/
}
