/* BdfServer
 *
 * Copyright (C) 2007-2010 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.xsltfactory;

import net.mapeadores.util.xml.*;
import fr.exemole.bdfserver.l10n.*;
import java.io.*;
import java.util.*;


/**
 *
 * @author Vincent Calame
 */
public class DecimalFormatXSLTWriter extends XSLTWriter {

    public DecimalFormatXSLTWriter() {
    }

    public void addDecimalFormatXSLT(Collection locales) throws IOException {
        openXslStyleSheet();
        for (Iterator it = locales.iterator(); it.hasNext();) {
            Locale locale = (Locale) it.next();
            LocaleBundle localeBundle = LocaleBundle.getLocaleBundle(locale);
            addDecimalFormat(localeBundle.getDecimalFormatSymbols(), localeBundle.getLangString());
        }
        closeXslStyleSheet();
    }

    public static String getDecimalFormatXSLT(Collection locales, boolean withTabs) {
        StringBuilder buf = new StringBuilder();
        try {
            DecimalFormatXSLTWriter decimalFormatXSLTWriter = new DecimalFormatXSLTWriter();
            decimalFormatXSLTWriter.setAppendable(buf);
            decimalFormatXSLTWriter.setIndentLength((withTabs) ? 0 : -999);
            decimalFormatXSLTWriter.appendXMLDeclaration();
            decimalFormatXSLTWriter.addDecimalFormatXSLT(locales);
        } catch (IOException ioe) {
        }
        return buf.toString();
    }

}
