/* BdfServer
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.xsltfactory;

import net.mapeadores.util.exceptions.*;


/**
 *
 * @author Vincent Calame
 */
public class XSLTFactoryUtils implements XSLTFactoryConstants {

    private XSLTFactoryUtils() {
    }

    public static String formatTypeToString(short formatType) {
        switch (formatType) {
            case XSL_FORMAT:
                return "xsl";
            case ODT_FORMAT:
                return "odt";
            default:
                throw new IllegalArgumentException("formatType = " + formatType);
        }
    }

    public static String toFormatTypeSuffix(short formatType) {
        switch (formatType) {
            case XSL_FORMAT:
                return "";
            case ODT_FORMAT:
                return "_odt";
            default:
                throw new IllegalArgumentException("formatType = " + formatType);
        }
    }

    public static short formatTypeToShort(String formatType) {
        if (formatType.equals("xsl")) {
            return XSL_FORMAT;
        }
        if (formatType.equals("odt")) {
            return ODT_FORMAT;
        }
        throw new IllegalArgumentException("formatType = " + formatType);
    }

}
