/* BdfServer
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.xsltfactory.xslpattern;

import fr.exemole.bdfserver.managers.transformation.*;
import net.mapeadores.basedefiches.corpus.metadata.*;
import net.mapeadores.basedefiches.corpus.*;
import net.mapeadores.basedefiches.*;
import net.mapeadores.basedefiches.include.*;
import java.util.*;
import fr.exemole.bdfserver.*;
import fr.exemole.bdfserver.ui.corpus.*;
import java.io.*;
import net.mapeadores.util.localisation.*;
import net.mapeadores.util.primitives.*;
import net.mapeadores.util.xml.*;
import fr.exemole.bdfserver.xsltfactory.*;
import net.mapeadores.util.exceptions.*;
import fr.exemole.bdfserver.managers.*;
import fr.exemole.bdfserver.ui.corpus.*;
import fr.exemole.bdfserver.xsltfactory.*;


/**
 *
 * @author Vincent Calame
 */
public class OdtFichePattern extends FichePattern {

    public OdtFichePattern() {
    }

    public boolean insertComment() {
        return false;
    }

    public void appendEntete() {
        openOdtH(2);
        appendModeInstruction("titre", "_intitule", null, null);
        closeOdtH();
        if (withSoustitre()) {
            startIf("soustitre");
            openP("Bdf_20_Tech_20_Soustitre");
            appendInstruction("soustitre");
            closeP();
            endIf();
        }
    }

    public void appendChrono() {
        openP("Bdf_20_Tech_20_Chrono");
        appendLibInstruction("date_creation");
        append(" : ");
        appendInstruction("date_creation");
        append(" — ");
        appendLibInstruction("date_modification");
        append(" : ");
        appendInstruction("date_modification");
        closeP();
    }

    public void appendInLine(ComponentInfo componentInfo) {
        String variableString = componentInfo.getVariableString();
        openP("Bdf_20_Tech_20_Champ");
        openSpan("Bdf_20_Tech_20_Intitule");
        append("➢ ");
        appendLibInstruction(variableString);
        append(" : ");
        closeSpan();
        appendInstruction(variableString);
        closeP();
    }

    public void appendListItem(ComponentInfo componentInfo) {
        String variableString = componentInfo.getVariableString();
        appendIntituleP(variableString);
        openUl("Bdf_20_Tech_20_Ul");
        appendModeInstruction(variableString, "_listitem", "Bdf_20_Tech_20_Champ_20_Li", null);
        closeUl();
    }

    public void appendBlock(ComponentInfo componentInfo) {
        String variableString = componentInfo.getVariableString();
        appendIntituleP(variableString);
        appendModeInstruction(variableString, "_block", "Bdf_20_Tech_20_Champ_20_Item", null);
    }

    public void appendTexte(ComponentInfo componentInfo) {
        String variableString = componentInfo.getVariableString();
        openP("Bdf_20_Tech_20_Texte");
        appendLibInstruction(variableString);
        closeP();
        appendInstruction(variableString);
        openP("Bdf_20_Tech_20_Separation");
        append("❖ ❖ ❖");
        closeP();
    }

    private void appendIntituleP(String variableString) {
        openP("Bdf_20_Tech_20_Champ_20_Intitule");
        openSpan("Bdf_20_Tech_20_Intitule");
        append("➢ ");
        appendLibInstruction(variableString);
        append(" :");
        closeSpan();
        closeP();
    }

    public void openSpan(String styleName) {
        openOdtSpan(styleName);
    }

    public void closeSpan() {
        closeOdtSpan();
    }

    public void openP(String styleName) {
        openOdtP(styleName);
    }

    public void closeP() {
        closeOdtP();
    }

    public void openUl(String styleName) {
        openOdtUl(styleName);
    }

    public void closeUl() {
        closeOdtUl();
    }

}
