/* BdfServer - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.xsltfactory.xslpattern.bih;

import fr.exemole.bdfserver.xsltfactory.xslpattern.InsertionUnitTranslator;
import java.io.IOException;
import net.mapeadores.basedefiches.corpus.metadata.FieldKey;
import net.mapeadores.util.text.insertpattern.api.InsertionUnit;
import net.mapeadores.util.text.insertpattern.api.Instruction;
import net.mapeadores.util.xml.PatternXSLTResolver;


/**
 *
 * @author Vincent Calame
 */
public class CorpsdeficheTranslator implements InsertionUnitTranslator {

    private PatternXSLTResolver xsltResolver;

    public CorpsdeficheTranslator(PatternXSLTResolver xsltResolver) {
        this.xsltResolver = xsltResolver;
    }

    public void translate(InsertionUnit insertionUnit) throws IOException {
        Instruction[] instructionArray = insertionUnit.getInstructionArray();
        String firstKey = instructionArray[0].getArgument(0).getKey();
        FieldKey fieldKey;
        try {
            fieldKey = FieldKey.parse(firstKey);
        } catch (java.text.ParseException pe) {
            xsltResolver.getCurrentXSLTWriter().escape("#Wrong Annexe Key : " + firstKey);
            return;
        }
        StringBuilder buf = new StringBuilder();
        BihUtils.appendPath(buf, fieldKey, false, false);
        String mode = BihUtils.getMode(instructionArray);
        xsltResolver.getCurrentXSLTWriter().addXslApplyTemplates(buf.toString(), mode);
    }

    public boolean isTemplateInsertion(InsertionUnit insertionUnit) {
        return false;
    }

}
