/* BdfServer - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.xsltfactory.xslpattern.bih;

import fr.exemole.bdfserver.xsltfactory.xslpattern.InsertionUnitTranslator;
import java.io.IOException;
import net.mapeadores.util.text.insertpattern.api.InsertionUnit;
import net.mapeadores.util.text.insertpattern.api.Instruction;
import net.mapeadores.util.xml.PatternXSLTResolver;


/**
 *
 * @author Vincent Calame
 */
public class ImportTranslator implements InsertionUnitTranslator {

    private PatternXSLTResolver patternXSLTResolver;

    public ImportTranslator(PatternXSLTResolver pxw) {
        this.patternXSLTResolver = pxw;
    }

    public void translate(InsertionUnit insertionUnit) throws IOException {
        Instruction[] array = insertionUnit.getInstructionArray();
        Instruction instruction = array[0];
        String arg = instruction.getArgument(0).getValue();
        if ((arg == null) || (arg.length() == 0)) {
            patternXSLTResolver.getCurrentXSLTWriter().append("#MISSING ARGUMENT {import} #");
        } else if (arg.equals("fiche")) {
            patternXSLTResolver.getCurrentXSLTWriter().addXslImport("bdf:_import_fiche.xsl");
        } else if (arg.equals("fiche_odt")) {
            patternXSLTResolver.getCurrentXSLTWriter().addXslImport("bdf:_import_fiche_odt.xsl");
        } else if (arg.equals("statthesaurus")) {
            patternXSLTResolver.getCurrentXSLTWriter().addXslImport("bdf:_import_statthesaurus.xsl");
        } else {
            patternXSLTResolver.getCurrentXSLTWriter().append("#WRONG ARGUMENT {import= " + arg + "} #");
        }
    }

    public boolean isTemplateInsertion(InsertionUnit insertionUnit) {
        return false;
    }

}
