/* BdfServer_Commands - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.commands;

import fr.exemole.bdfserver.instruction.BdfRequestMap;
import fr.exemole.bdfserver.request.*;
import fr.exemole.bdfserver.response.*;
import net.mapeadores.util.servlets.*;


/**
 *
 * @author Vincent Calame
 */
public interface BdfCommand {

    public final static short NO_USER_COMMAND = 1;
    public final static short NORMAL_COMMAND = 2;
    public final static short ADMIN_ONLY_COMMAND = 3;

    public short getCommandType();

    /**
     * Invoqué avant les appels à doCommand ou testCommand;
     */
    public void setBdfBundle(BdfBundle bdfBundle);

    public void setRequestMap(BdfRequestMap requestMap);

    /**
     * Execute la commande
     */
    public BdfResponseParameters doCommand() throws ParameterException;

    /**
     * teste si la commande peut être exécutée en fonction des paramètres transmis.
     */
    public CommandTest testCommand();

    public boolean needSynchronisation();

    public ResponsePrinterFactory getResponsePrinterFactory();

}
