/* BdfServer_Commands - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.commands2;


/**
 *
 * @author Vincent Calame
 */
public class ParameterBdfCommand2Exception extends BdfCommand2Exception {

    public final static String MANDATORY = "MANDATORY";
    public final static String NOTINTEGER = "NOTINTEGER";
    public final static String WRONGSUBSETNAME = "WRONGSUBSETNAME";
    public final static String UNKNOWNSUBSET = "UNKNOWNSUBSET";
    public final static String UNKNOWNSUBSETITEM = "UNKNOWNSUBSETITEM";
    public final static String UNKNOWNVALUE = "UNKNOWNVALUE";
    public final static String UNKNOWNALBUMDIM = "UNKNOWNALBUMDIM";
    public final static String WRONGIDSUBSET = "WRONGIDSUBSET";
    public final static String NOTBOOLEAN = "NOTBOOLEAN";
    public final static String NOTLANG = "NOTLANG";
    private String type;
    private String paramName;
    private String paramValue;

    public ParameterBdfCommand2Exception(String type, String paramName) {
        super(type + " / " + paramName);
        this.type = type;
        this.paramName = paramName;
    }

    public ParameterBdfCommand2Exception(String type, String paramName, String paramValue) {
        super(type + " / " + paramName + " / " + paramValue);
        this.type = type;
        this.paramName = paramName;
        this.paramValue = paramValue;

    }

    public String getType() {
        return type;
    }

    public String getParamName() {
        return paramName;
    }

    public String getParamValue() {
        return paramValue;
    }

}
