/* BdfServer_Commands - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.commands2.saisie;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.commands2.AbstractBdfCommand2;
import fr.exemole.bdfserver.commands2.BdfCommand2Exception;
import fr.exemole.bdfserver.commands2.BdfCommand2Utils;
import fr.exemole.bdfserver.request.parsers.SaisieEngine;
import net.mapeadores.basedefiches.corpus.AbregeFiche;
import net.mapeadores.util.request.RequestMap;


/**
 *
 * @author Vincent Calame
 */
public class IndexationUpdateCommand extends AbstractBdfCommand2 {

    public final static String COMMANDNAME = "IndexationUpdate";
    public final static String COMMANDKEY = "SAI-03";
    private AbregeFiche abregeFiche;

    public IndexationUpdateCommand(BdfContext bdfContext, RequestMap requestMap) {
        super(bdfContext, requestMap, COMMANDNAME);
    }

    public short getBdfUserNeed() {
        return MANDATORY_BDFUSER;
    }

    public boolean needSynchronisation() {
        return true;
    }

    protected void doCommand() throws BdfCommand2Exception {
        SaisieEngine saisieEngine = new SaisieEngine(bdfServer, bdfUser, requestMap, SaisieEngine.INDEXATION_BITVALUE);
        saisieEngine.updateFiche(abregeFiche);
        setDone("saisie_done_indexationupdate", null);
        putResultObject(CORPUS_OBJ, abregeFiche.getCorpus());
        putResultObject(ABREGEFICHE_OBJ, abregeFiche);
    }

    protected boolean checkParameters() throws BdfCommand2Exception {
        abregeFiche = BdfCommand2Utils.getMandatoryAbregeFiche(basedefiches, requestMap);
        BdfCommand2Utils.testWriteFichePermission(bdfServer, bdfUser, abregeFiche);
        return true;
    }

}
