/* BdfServer_Commands - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.commands2.sphere;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.commands2.AbstractBdfCommand2;
import fr.exemole.bdfserver.commands2.BdfCommand2Exception;
import fr.exemole.bdfserver.commands2.BdfCommand2Utils;
import net.mapeadores.basedefiches.sphere.Redacteur;
import net.mapeadores.basedefiches.sphere.SphereEditor;
import net.mapeadores.util.request.RequestMap;

/**
 *
 * @author Vincent Calame
 */
public class RedacteurActifCommand extends AbstractBdfCommand2 {

    public final static String COMMANDNAME = "RedacteurActif";
    public final static String COMMANDKEY = "SPH-05";
    public static final String ACTIF_PARAMNAME = "actif";
    private Redacteur redacteur;
    private boolean newActif;

    public RedacteurActifCommand(BdfContext bdfContext, RequestMap requestMap) {
        super(bdfContext, requestMap, COMMANDNAME);
    }

    public short getBdfUserNeed() {
        return ADMIN_ONLY_BDFUSER;
    }

    public boolean needSynchronisation() {
        return true;
    }

    protected void doCommand() throws BdfCommand2Exception {
        SphereEditor sphereEditor = bdfServer.getBasedefichesEditor().getSphereEditor(redacteur.getSphere().getSubsetKey());
        boolean done = sphereEditor.setActif(redacteur, newActif);
        if (done) {
            setDone("sphere_done_redacteuractif", null);
        }
        putResultObject(SPHERE_OBJ, redacteur.getSphere());
        putResultObject(REDACTEUR_OBJ,redacteur);
    }

    protected boolean checkParameters() throws BdfCommand2Exception {
        redacteur = BdfCommand2Utils.getMandatoryRedacteur(basedefiches, requestMap);
        newActif = BdfCommand2Utils.getBooleanParameter(requestMap,ACTIF_PARAMNAME);
        if (bdfServer.getPermissionManager().isAdmin(redacteur.getRedacteurKey())) {
            setError("sphere_err_adminnotactif", null);
            return false;
        }
        return true;
    }

}
