/* BdfServer_Commands - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.commands2.sphere;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.commands2.BdfCommand2;
import fr.exemole.bdfserver.commands2.BdfCommand2Factory;
import net.mapeadores.util.request.RequestMap;


/**
 *
 * @author Vincent Calame
 */
public class SphereCommandFactory implements BdfCommand2Factory {

    public SphereCommandFactory() {
    }

    public BdfCommand2 getBdfCommand(BdfContext bdfContext, RequestMap requestMap, String commandName) {
        if (commandName.equals(RedacteurActifCommand.COMMANDNAME)) {
            return new RedacteurActifCommand(bdfContext, requestMap);
        }
        if (commandName.equals(RedacteurChangeCommand.COMMANDNAME)) {
            return new RedacteurChangeCommand(bdfContext, requestMap);
        }
        if (commandName.equals(RedacteurCreationCommand.COMMANDNAME)) {
            return new RedacteurCreationCommand(bdfContext, requestMap);
        }
        if (commandName.equals(RedacteurRemoveCommand.COMMANDNAME)) {
            return new RedacteurRemoveCommand(bdfContext, requestMap);
        }
        if (commandName.equals(RedacteurReplaceCommand.COMMANDNAME)) {
            return new RedacteurReplaceCommand(bdfContext, requestMap);
        }
        if (commandName.equals(SphereCreationCommand.COMMANDNAME)) {
            return new SphereCreationCommand(bdfContext, requestMap);
        }
        if (commandName.equals(SphereRemoveCommand.COMMANDNAME)) {
            return new SphereRemoveCommand(bdfContext, requestMap);
        }
        if (commandName.equals(SphereIntituleCommand.COMMANDNAME)) {
            return new SphereIntituleCommand(bdfContext, requestMap);
        }
        if (commandName.equals(RedacteurRoleCommand.COMMANDNAME)) {
            return new RedacteurRoleCommand(bdfContext, requestMap);
        }
        if (commandName.equals(RedacteurLangCommand.COMMANDNAME)) {
            return new RedacteurLangCommand(bdfContext, requestMap);
        }
        if (commandName.equals(RedacteurTemplatesCommand.COMMANDNAME)) {
            return new RedacteurTemplatesCommand(bdfContext, requestMap);
        }
        if (commandName.equals(RedacteurPasswordCommand.COMMANDNAME)) {
            return new RedacteurPasswordCommand(bdfContext, requestMap);
        }
        return null;
    }

}
