/* BdfServer_Commands - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.album;

import fr.exemole.bdfserver.html.BdfHtmlUtils;
import net.mapeadores.basedefiches.album.Album;
import net.mapeadores.basedefiches.album.AlbumUtils;
import net.mapeadores.util.html.HTMLAttributes;
import net.mapeadores.util.html.HtmlPrinter;



/**
 *
 * @author Vincent Calame
 */
public class AlbumHtmlUtils implements AlbumHtmlConstants {

    private AlbumHtmlUtils() {
    }

    public static void printAlbumIntitule(HtmlPrinter printer, Album album, int workingLangInteger) {
        printer.startCode();
        printer.append("[");
        printer.append(album.getSubsetKey().toString());
        printer.append("]");
        printer.endCode();
        BdfHtmlUtils.printTiret(printer);
        printer.escape(AlbumUtils.getAlbumIntitule(album, workingLangInteger));
    }

    public static void printAlbumLinks(HtmlPrinter printer, Album album) {
        HTMLAttributes aAttributes = new HTMLAttributes();
        aAttributes.setHref("Album?album=" + album.getSubsetKey().getSubsetName() + "&amp;page=" + ALBUMMETADATAFORM_PAGE);
        printer.startA(aAttributes);
        printer.localize("global_link_change");
        printer.endA();
    }

}
