/* BdfServer_Commands - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.album;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.basedefiches.Basedefiches;
import net.mapeadores.basedefiches.album.Album;
import net.mapeadores.util.html.HTMLAttributes;
import fr.exemole.bdfserver.html.BdfHtmlProducer;


/**
 *
 * @author Vincent Calame
 */
public class AlbumIndexHtmlProducer extends BdfHtmlProducer implements AlbumHtmlConstants {

    public AlbumIndexHtmlProducer(BdfContext bdfContext, BdfUser bdfUser) {
        init(bdfContext, bdfUser);
        setCssThemeFile("album.css");
    }

    public void printHtml() {
        start();
        printMessage();
        startH1();
        localize("album_title_index");
        endH1();
        Basedefiches basedefiches = bdfServer.getBasedefiches();
        int albumCount = basedefiches.getAlbumCount();
        if (albumCount > 0) {
            startH2();
            localize("global_title_currentlist");
            endH2();
            for (int i = 0; i < albumCount; i++) {
                printAlbumLi(basedefiches.getAlbum(i));
            }
        }
        startH2();
        HTMLAttributes aAttributes = new HTMLAttributes();
        aAttributes.setHref("Album?page=" + ALBUMCREATIONFORM_PAGE);
        startA(aAttributes);
        localize("album_title_albumcreation");
        endA();
        endH2();
        end();
    }

    private void printAlbumLi(Album album) {
        startLi();
        startP();
        AlbumHtmlUtils.printAlbumIntitule(this, album, workingLangInteger);
        endP();
        startP();
        startSpan("SmallLinks");
        AlbumHtmlUtils.printAlbumLinks(this, album);
        endSpan();
        endP();
        endLi();
        endLi();
    }

}
