/* BdfServer_Commands - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.configuration;

import fr.exemole.bdfserver.html.BdfHtmlUtils;
import fr.exemole.bdfserver.html.catalogs.GlobalCatalog;
import net.mapeadores.util.html.UtilHtmlPrinter;


/**
 *
 * @author Vincent Calame
 */
public class ConfigurationHtmlUtils implements ConfigurationHtmlConstants {

    public static void printTitre(UtilHtmlPrinter printer, String titleKey, String pageActu) {
        printToolBarLinks(printer, titleKey, pageActu);
        printer.startH1();
        printer.localize("configuration_title_general");
        printer.append(" / ");
        printer.localize(titleKey);
        printer.endH1();
    }

    public static void printToolBarLinks(UtilHtmlPrinter printer, String titleKey, String pageActu) {
        printer.startP(GlobalCatalog.GLB_P_TOOLBARLINKS);
        printLinks(printer, pageActu);
        printer.endP();
    }

    public static void printLinks(UtilHtmlPrinter printer, String pageActu) {
        printLink(printer, COREFORM_PAGE, "configuration_title_core", pageActu);
        BdfHtmlUtils.printTiret(printer);
        printLink(printer, INTITULESFORM_PAGE, "configuration_title_intitules", pageActu);
        BdfHtmlUtils.printTiret(printer);
        printLink(printer, PATHSFORM_PAGE, "configuration_title_paths", pageActu);
        BdfHtmlUtils.printTiret(printer);
        printLink(printer, LOGOSFORM_PAGE, "configuration_title_logos", pageActu);
        BdfHtmlUtils.printTiret(printer);
        printLink(printer, SUBSETKEYTREEFORM_PAGE, "configuration_title_listes", pageActu);
        BdfHtmlUtils.printTiret(printer);
        printLink(printer, EXTENSIONSFORM_PAGE, "configuration_title_extensions", pageActu);
    }

    public static void printLink(UtilHtmlPrinter printer, String page, String l10nKey, String pageActu) {
        if (pageActu.equals(page)) {
            printer.startSpan(GlobalCatalog.GLB_SPAN_CURRENTPAGE);
            printer.localize(l10nKey);
            printer.endSpan();
        } else {
            String href = "Configuration?page=" + page;
            printer.appendA(href, l10nKey);
        }
    }

}
