/* BdfServer_Commands - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.configuration;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.commands2.configuration.IntitulesCommand;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.BdfHtmlUtils;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.basedefiches.BasedefichesConstants;
import net.mapeadores.basedefiches.Intitule;
import net.mapeadores.basedefiches.metadata.BasedefichesMetadata;
import net.mapeadores.util.html.CommandBox;


/**
 *
 * @author Vincent Calame
 */
public class IntitulesFormHtmlProducer extends BdfHtmlProducer implements ConfigurationHtmlConstants {

    public IntitulesFormHtmlProducer(BdfContext bdfContext, BdfUser bdfUser) {
        init(bdfContext, bdfUser);
        BdfHtmlUtils.addTestJavascript(this);
    }

    public void printHtml() {
        int[] workingArray = bdfServer.getConfigurationManager().getLangConfig().getWorkingLangIntegerArray();
        BasedefichesMetadata basedefichesMetadata = bdfServer.getBasedefiches().getBasedefichesMetadata();
        start();
        ConfigurationHtmlUtils.printTitre(this, "configuration_title_intitules", INTITULESFORM_PAGE);
        printMessage();
        CommandBox commandBox = new CommandBox();
        commandBox.setFormAction("Configuration");
        commandBox.setCommandFamily("CNF");
        commandBox.setCommandString(IntitulesCommand.COMMANDNAME);
        commandBox.setCommandKey(IntitulesCommand.COMMANDKEY);
        commandBox.setPage(INTITULESFORM_PAGE);
        startCommandBox(commandBox);
        appendH3("configuration_lib_intituleshort");
        startTable();
        for (int i = 0; i < workingArray.length; i++) {
            int langInteger = workingArray[i];
            String intitule = getLibelleString(basedefichesMetadata.getIntituleByName(BasedefichesConstants.SHORT), langInteger);
            BdfHtmlUtils.printLangFieldRow(this, IntitulesCommand.SHORT_PREFIXPARAM, langInteger, intitule);
        }
        endTable();
        appendH3("configuration_lib_intitulelong");
        startTable();
        for (int i = 0; i < workingArray.length; i++) {
            int langInteger = workingArray[i];
            String intitule = getLibelleString(basedefichesMetadata.getIntituleByName(BasedefichesConstants.LONG), langInteger);
            BdfHtmlUtils.printLangFieldRow(this, IntitulesCommand.LONG_PREFIXPARAM, langInteger, intitule);
        }
        endTable();
        endCommandBox("configuration_submit_intitules");
        end();
    }

    private String getLibelleString(Intitule basedefichesIntitule, int langInteger) {
        if (basedefichesIntitule == null) {
            return "";
        }
        String s = basedefichesIntitule.getLibelleString(langInteger, false);
        if (s == null) {
            return "";
        }
        return s;
    }

}
