/* BdfServer_Commands - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.saisie;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.BdfHtmlUtils;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.basedefiches.thesaurus.Motcle;


/**
 *
 * @author Vincent Calame
 */
public class SelectionIndexationResultHtmlProducer extends BdfHtmlProducer implements SaisieHtmlConstants {

    private int[] result;
    private Motcle motcle;

    public SelectionIndexationResultHtmlProducer(BdfContext bdfContext, BdfUser bdfUser, Motcle motcle, int[] result) {
        init(bdfContext, bdfUser);
        setCssThemeFile("saisie.css");
        this.result = result;
        this.motcle = motcle;
    }

    public void printHtml() {
        start();
        printMessage();
        if (result != null) {
            if (result[0] == 1) {
                printResult("saisie_info_massresult_ajoutun", null);
            } else if (result[0] > 1) {
                printResult("saisie_info_massresult_ajoutplus", new Integer(result[0]));
            }
            if (result[1] == 1) {
                printResult("saisie_info_massresult_suppun", null);
            } else if (result[1] > 1) {
                printResult("saisie_info_massresult_suppplus", new Integer(result[1]));
            }
        }
        startP();
        localize("global_type_motcle");
        space();
        BdfHtmlUtils.printMotcleLibelle(this, motcle, workingLangInteger);
        endP();
        end();
    }

    private void printResult(String key, Object value) {
        startP();
        localize(key, value);
        endP();
    }

}
