/* BdfServer_Commands - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.saisie;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.users.BdfUser;
import net.mapeadores.util.html.HTMLAttributes;

/**
 *
 * @author Vincent Calame
 */
public class ZoomEditHtmlProducer extends BdfHtmlProducer implements SaisieHtmlConstants {

    private String appelant;

    public ZoomEditHtmlProducer(BdfContext bdfContext, BdfUser bdfUser, String appelant) {
        init(bdfContext, bdfUser);
        addJavascriptFiles("zoomedit.js");
        setCssThemeFile("zoomedit.css");
        this.appelant = appelant;
    }

    public void printHtml() {
        start();
        startScript(null);
        append("var appelant = \"");
        append(appelant);
        append("\";");
        endScript();
        HTMLAttributes textareaAttributes = new HTMLAttributes();
        textareaAttributes.setId("text");
        startTextArea(textareaAttributes);
        endTextArea();
        HTMLAttributes inputAttributes = new HTMLAttributes();
        inputAttributes.setType("button");
        inputAttributes.setId("btvalider");
        inputAttributes.setValue(getLocalization("global_submit_close"));
        appendInput(inputAttributes);
        end();
    }
}
