/* BdfServer_Commands - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.sphere;

import fr.exemole.bdfserver.BdfContext;
import fr.exemole.bdfserver.html.BdfHtmlProducer;
import fr.exemole.bdfserver.html.BdfHtmlUtils;
import fr.exemole.bdfserver.managers.PolicyManager;
import fr.exemole.bdfserver.users.BdfUser;
import fr.exemole.bdfserver.users.BdfUserUtils;
import net.mapeadores.basedefiches.sphere.Redacteur;
import net.mapeadores.util.html.CommandBox;


/**
 *
 * @author Vincent Calame
 */
public class RedacteurUserFormHtmlProducer extends BdfHtmlProducer implements SphereHtmlConstants {

    private Redacteur redacteur;

    public RedacteurUserFormHtmlProducer(BdfContext bdfContext, BdfUser bdfUser) {
        init(bdfContext, bdfUser);
        BdfHtmlUtils.addTestJavascript(this);
        this.redacteur = BdfUserUtils.getRedacteur(bdfUser);
    }

    public void printHtml() {
        start();
        printMessage();
        CommandBox commandBox = new CommandBox();
        commandBox.setFormAction("Sphere");
        commandBox.setCommandFamily("USR");
        commandBox.setPage(REDACTEURUSERFORM_PAGE);
        PolicyManager policyManager = bdfServer.getPolicyManager();
        if (policyManager.isDataModifAllowed()) {
            SphereCommandBoxUtils.printRedacteurChangeBox(this, commandBox, redacteur, bdfServer);
        }
        SphereCommandBoxUtils.printLangBox(this, commandBox, bdfUser, bdfServer, formatLocale);
        if (policyManager.isPasswordModifAllowed()) {
            SphereCommandBoxUtils.printRedacteurPasswordBox(this, commandBox, redacteur);
        }
        SphereCommandBoxUtils.printTemplatesBox(this, commandBox, bdfUser);
        end();
    }

}
