/* BdfServer_Commands - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.htmlproducers.sphere;

import fr.exemole.bdfserver.html.BdfHtmlUtils;
import fr.exemole.bdfserver.html.catalogs.GlobalCatalog;
import fr.exemole.bdfserver.request.RequestUtils;
import net.mapeadores.basedefiches.beans.PersonneBean;
import net.mapeadores.basedefiches.sphere.Redacteur;
import net.mapeadores.basedefiches.sphere.RedacteurKey;
import net.mapeadores.util.html.UtilHtmlPrinter;


/**
 *
 * @author Vincent Calame
 */
public class SphereHtmlUtils implements SphereHtmlConstants {

    private SphereHtmlUtils() {
    }

    public static void printToolbar(UtilHtmlPrinter printer, String pageActu, Redacteur redacteur) {
        printer.startP(GlobalCatalog.GLB_P_TOOLBARLINKS);
        printLink(printer, REDACTEURADMINFORM_PAGE, "sphere_link_donnees", pageActu, redacteur);
        BdfHtmlUtils.printTiret(printer);
        printLink(printer, REDACTEURSTATE_PAGE, "sphere_link_statut", pageActu, redacteur);
        printer.endP();
        printer.startH1();
        printer.append(redacteur.getRedacteurKey().toString(RedacteurKey.BRACKET_STYLE));
        BdfHtmlUtils.printTiret(printer);
        printer.escape(redacteur.getPersonneBean().getNomComplet(PersonneBean.NORMAL_STYLE));
        printer.endH1();
    }

    public static void printLink(UtilHtmlPrinter printer, String page, String l10nKey, String pageActu, Redacteur redacteur) {
        if (pageActu.equals(page)) {
            printer.startSpan(GlobalCatalog.GLB_SPAN_CURRENTPAGE);
            printer.localize(l10nKey);
            printer.endSpan();
        } else {
            String href = "Sphere?" + RequestUtils.toParameterString(redacteur);
            if (page.length() > 0) {
                href = href + "&amp;page=" + page;
            }
            printer.appendA(href, l10nKey);
        }
    }

}
