/* BdfServer_Commands
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.response;

import fr.exemole.bdfserver.session.*;
import fr.exemole.bdfserver.request.*;
import fr.exemole.bdfserver.roles.*;


/**
 *
 * @author Vincent Calame
 */
public class AdministrationResponseParameters extends BdfResponseParameters implements SessionConstants {

    public static final short INDEX_PAGE = 1;
    public static final short DELETEFORM_PAGE = 2;
    public static final short HORSSPHEREFORM_PAGE = 3;
    public static final short SESSION_PAGE = 4;
    public static final short DELETECONFIRM_PAGE = 5;
    public static final short BACKUP_PAGE = 6;
    public static final short TRANSFORMATIONINDEX_PAGE = 7;
    public static final short TABLEEXPORTINDEX_PAGE = 8;
    public static final short ROLEINDEX_PAGE = 9;
    public static final short ROLECREATION_PAGE = 10;
    public static final short ROLEFORM_PAGE = 11;
    public static final short ROLEREMOVE_PAGE = 12;
    public static final short BALAYAGEINDEX_PAGE = 13;
    private SessionManager sessionManager;
    private Role role;
    public static final short MEMORYTEST_PAGE = 21;

    public AdministrationResponseParameters(BdfBundle bdfBundle) {
        super(bdfBundle.getBdfServer(), bdfBundle.getBdfUser());
        this.sessionManager = (SessionManager) bdfBundle.getObject(SESSIONMANAGER_KEY);
    }

    public SessionManager getSessionManager() {
        return sessionManager;
    }

    public Role getRole() {
        return role;
    }

    public void setRole(Role role) {
        this.role = role;
    }

}
