/* BdfServer_Commands
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.response;

import fr.exemole.bdfserver.*;
import fr.exemole.bdfserver.users.*;
import net.mapeadores.basedefiches.association.*;
import net.mapeadores.basedefiches.corpus.*;


/**
 *
 * @author Vincent Calame
 */
public class AssociationResponseParameters extends BdfResponseParameters {

    public static final short ASSOCIATIONINDEX_PAGE = 1;
    public static final short DOCUMENTFORM_PAGE = 2;
    public static final short ASSOCIATIONFORM_PAGE = 3;
    public static final short ASSOCIATIONREMOVE_PAGE = 4;
    private Document document;
    private AbregeFiche abregeFiche;

    public AssociationResponseParameters(BdfServer bdfServer, BdfUser bdfUser) {
        super(bdfServer, bdfUser);
    }

    public Document getDocument() {
        return document;
    }

    public void setDocument(Document document) {
        this.document = document;
    }

    public AbregeFiche getAbregeFiche() {
        return abregeFiche;
    }

    public void setAbregeFiche(AbregeFiche abregeFiche) {
        this.abregeFiche = abregeFiche;
    }

}
