/* BdfServer_Commands
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.response;

import fr.exemole.bdfserver.*;
import fr.exemole.bdfserver.users.*;
import net.mapeadores.basedefiches.corpus.*;


/**
 *
 * @author Vincent Calame
 */
public class CorpusResponseParameters extends BdfResponseParameters {

    public static final short INDEX_PAGE = 1;
    public static final short INTITULESFORM_PAGE = 2;
    public static final short FIELDCREATIONFORM_PAGE = 3;
    public static final short OPTIONSFORM_PAGE = 4;
    public static final short CORPUSCREATIONFORM_PAGE = 5;
    public static final short INSERTFORM_PAGE = 6;
    public static final short UIFORM_PAGE = 7;
    public static final short CORPUSREMOVEFORM_PAGE = 8;
    public static final short FIELDREMOVEFORM_PAGE = 9;
    public static final short INSERTFORM_INDEXATION_PAGE = 10;
    public static final short INSERTFORM_LIAGE_PAGE = 11;
    public static final short INSERTFORM_COMMENT_PAGE = 12;
    public static final short COMMANDS_PAGE = 22;
    private Corpus corpus;

    public CorpusResponseParameters(BdfServer bdfServer, BdfUser bdfUser) {
        super(bdfServer, bdfUser);
    }

    public Corpus getCorpus() {
        return corpus;
    }

    public void setCorpus(Corpus corpus) {
        this.corpus = corpus;
    }

}
