/* BdfServer_Commands
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.response;

import fr.exemole.bdfserver.*;
import fr.exemole.bdfserver.users.*;
import net.mapeadores.basedefiches.corpus.*;
import net.mapeadores.basedefiches.thesaurus.*;


/**
 *
 * @author Vincent Calame
 */
public class ImportationResponseParameters extends BdfResponseParameters {

    public static final short MASSINDEX_PAGE = 7;
    public static final short MASSFIELDFORM_PAGE = 8;
    public static final short MASSFIELDCONFIRM_PAGE = 9;
    public static final short MASSLIBFORM_PAGE = 10;
    public static final short MASSLIBCONFIRM_PAGE = 11;
    public static final short MASSMOTCLEREMOVEFORM_PAGE = 12;
    public static final short MASSMOTCLEREMOVECONFIRM_PAGE = 13;
    public static final short MASSMOTCLEMERGEFORM_PAGE = 14;
    public static final short MASSMOTCLEMERGECONFIRM_PAGE = 15;
    public static final short MASSMOTCLEMOVEFORM_PAGE = 16;
    public static final short MASSMOTCLEMOVECONFIRM_PAGE = 17;
    public static final short MASSMOTCLECREATIONFORM_PAGE = 18;
    public static final short MASSMOTCLECREATIONCONFIRM_PAGE = 19;
    public static final short MASSFIELDTRANSFERFORM_PAGE = 20;
    public static final short MASSFIELDTRANSFERCONFIRM_PAGE = 21;
    public static final short MASSLIAGEFORM_PAGE = 22;
    public static final short MASSLIAGECONFIRM_PAGE = 23;
    public static final short MASSINDEXATIONFICHEFORM_PAGE = 25;
    public static final short MASSINDEXATIONFICHECONFIRM_PAGE = 26;
    public static final short MASSFICHECREATIONFORM_PAGE = 27;
    public static final short MASSFICHECREATIONCONFIRM_PAGE = 28;
    public static final short MASSUIFORM_PAGE = 29;
    public static final short MASSUICONFIRM_PAGE = 30;
    public static final short MASSFICHEREMOVEFORM_PAGE = 31;
    public static final short MASSFICHEREMOVECONFIRM_PAGE = 32;
    public static final short CSVFICHE_PAGE = 101;
    public static final String PARSERESULT_KEY = "ParseResult";
    Corpus corpus;
    Thesaurus thesaurus;

    public ImportationResponseParameters(BdfServer bdfServer, BdfUser bdfUser) {
        super(bdfServer, bdfUser);
    }

    public Corpus getCorpus() {
        return corpus;
    }

    public void setCorpus(Corpus corpus) {
        this.corpus = corpus;
    }

    public Thesaurus getThesaurus() {
        return thesaurus;
    }

    public void setThesaurus(Thesaurus thesaurus) {
        this.thesaurus = thesaurus;
    }

}
