/* BdfServer_Commands
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.bdfserver.response;

import net.mapeadores.util.conditions.*;
import net.mapeadores.util.localisation.*;
import java.util.*;
import net.mapeadores.basedefiches.*;
import net.mapeadores.basedefiches.corpus.*;
import fr.exemole.bdfserver.*;
import fr.exemole.bdfserver.users.*;


/**
 *
 * @author Vincent Calame
 */
public class PiocheParameters implements PiocheConstants {

    private String appelant;
    private List<Subset> subset;
    private int limite;
    private short getType;
    private Object param;
    private String motcleSelectString;

    public PiocheParameters() {
    }

    public String getAppelant() {
        return appelant;
    }

    public void setAppelant(String appelant) {
        this.appelant = appelant;
    }

    public List<Subset> getSubsetList() {
        return subset;
    }

    public void setSubsetList(List<Subset> subset) {
        this.subset = subset;
    }

    public Object getParam() {
        return param;
    }

    public void setParam(Object param) {
        this.param = param;
    }

    public int getLimite() {
        return limite;
    }

    public void setLimite(int limite) {
        this.limite = limite;
    }

    public short getGetType() {
        return getType;
    }

    public void setGetType(short getType) {
        this.getType = getType;
    }

    public static String categoryToString(short category) {
        switch (category) {
            case CATEGORY_CORPUS:
                return "corpus";
            case CATEGORY_THESAURUS:
                return "thesaurus";
            case CATEGORY_SPHERE:
                return "sphere";
            /*case CATEGORY_DOCUMENT :
            return "document";*/
            case CATEGORY_PAYS:
                return "pays";
            case CATEGORY_LANGUE:
                return "langue";
            case CATEGORY_GEOCODAGE:
                return "geocodage";
            case CATEGORY_IMAGESOURCE:
                return "imagesource";
            default:
                throw new IllegalArgumentException("wrong croisementCategory value");
        }
    }

    public static short categoryToShort(String s) {
        if (s.equals("corpus")) {
            return CATEGORY_CORPUS;
        }
        if (s.equals("thesaurus")) {
            return CATEGORY_THESAURUS;
        }
        if (s.equals("sphere")) {
            return CATEGORY_SPHERE;
        }
        //if (s.equals("document")) return CATEGORY_DOCUMENT;
        if (s.equals("pays")) {
            return CATEGORY_PAYS;
        }
        if (s.equals("langue")) {
            return CATEGORY_LANGUE;
        }
        if (s.equals("geocodage")) {
            return CATEGORY_GEOCODAGE;
        }
        if (s.equals("imagesource")) {
            return CATEGORY_IMAGESOURCE;
        }
        throw new IllegalArgumentException("Wrong category string");
    }

    public String getMotcleSelectString() {
        return motcleSelectString;
    }

    public void setMotcleSelectString(String motcleSelectString) {
        this.motcleSelectString = motcleSelectString;
    }

}
