/* BdfServer_DirectoryStorage - Copyright (c) 2008-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.bdf.utils;

import fr.exemole.bdfserver.managers.xml.ManagerDOMReader;
import net.mapeadores.util.logging.MutableProcessLog;
import net.mapeadores.util.logging.ProcessLogItem;


/**
 *
 * @author Vincent Calame
 */
public class ManagerErrorHandler implements ManagerDOMReader.ErrorHandler {

    private MutableProcessLog mutableResultLog;

    public ManagerErrorHandler(MutableProcessLog mutableResultLog) {
        this.mutableResultLog = mutableResultLog;
    }

    public void unknownTagWarning(String tagName) {
        ProcessLogItem rsl = mutableResultLog.newLogItemInstance();
        rsl.setCategory("WARNING");
        rsl.setKey("unknownTag");
        rsl.setObject(tagName);
    }

    public void malformedURLError(String tagName, String attribute, String urlString) {
        ProcessLogItem rsl = mutableResultLog.newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("malformedURL");
        StringBuffer buf = new StringBuffer();
        buf.append(tagName);
        if (attribute != null) {
            buf.append(" / @");
            buf.append(attribute);
        }
        buf.append(" / ");
        buf.append(urlString);
        rsl.setObject(buf.toString());
    }

    public void fileNotFoundError(String tagName, String attribute, String filePath) {
        ProcessLogItem rsl = mutableResultLog.newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("fileNotFound");
        StringBuffer buf = new StringBuffer();
        buf.append(tagName);
        if (attribute != null) {
            buf.append(" / @");
            buf.append(attribute);
        }
        buf.append(" / ");
        buf.append(filePath);
        rsl.setObject(buf.toString());
    }

    public void emptyAttributeError(String tagName, String attributeName) {
        ProcessLogItem rsl = mutableResultLog.newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("emptyAttribute");
        rsl.setObject(tagName + " / " + attributeName);
    }

}
