/* BdfServer_DirectoryStorage - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.bdf.utils;

import fr.exemole.bdfserver.roles.xml.RoleDOMReader;
import net.mapeadores.util.logging.MutableProcessLog;
import net.mapeadores.util.logging.ProcessLogItem;


/**
 *
 * @author Vincent Calame
 */
public class RoleErrorHandler implements RoleDOMReader.ErrorHandler {

    private MutableProcessLog mutableResultLog;

    public RoleErrorHandler(MutableProcessLog mutableResultLog) {
        this.mutableResultLog = mutableResultLog;
    }

    public void unknownTagWarning(String tagName) {
        ProcessLogItem rsl = mutableResultLog.newLogItemInstance();
        rsl.setCategory("WARNING");
        rsl.setKey("unknownTag");
        rsl.setObject(tagName);
    }

    public void wrongLangAttributeError(String tagName, String lang) {
        ProcessLogItem rsl = mutableResultLog.newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("wrongLangAttribute");
        rsl.setObject(tagName + " / " + lang);
    }

    public void emptyTypeAttributeError(String tagName) {
        ProcessLogItem rsl = mutableResultLog.newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("emptyTypeAttribute");
        rsl.setObject(tagName);
    }

    public void wrongTypeSyntaxError(String tagName, String type) {
        ProcessLogItem rsl = mutableResultLog.newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("wrongTypeSyntax");
        rsl.setObject(tagName + " / " + type);
    }

}
