/* BdfServer_DirectoryStorage - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.bdf.utils;

import fr.exemole.bdfserver.ui.xml.TreesDOMReader;
import net.mapeadores.basedefiches.SubsetKey;
import net.mapeadores.util.logging.MutableProcessLog;
import net.mapeadores.util.logging.ProcessLogItem;


/**
 *
 * @author Vincent Calame
 */
public class TreesErrorHandler implements TreesDOMReader.ErrorHandler {

    private MutableProcessLog mutableResultLog;

    public TreesErrorHandler(MutableProcessLog mutableResultLog) {
        this.mutableResultLog = mutableResultLog;
    }

    public void unknownTagWarning(String tagName) {
        ProcessLogItem rsl = mutableResultLog.newLogItemInstance();
        rsl.setCategory("WARNING");
        rsl.setKey("unknownTag");
        rsl.setObject(tagName);
    }

    public void emptyAttributeError(String tagName, String attributeName) {
        ProcessLogItem rsl = mutableResultLog.newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("emptyAttributeError");
        rsl.setObject(tagName + "@" + attributeName);
    }

    public void attributeSyntaxError(String tagName, String attributeName, String attributeValue) {
        ProcessLogItem rsl = mutableResultLog.newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("attributeSyntaxError");
        rsl.setObject(tagName + "@" + attributeName + " = " + attributeValue);
    }

    public void emptyTagError(String tagName) {
        ProcessLogItem rsl = mutableResultLog.newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("emptyTagError");
        rsl.setObject(tagName);
    }

    public void textSyntaxError(String tagName, String text) {
        ProcessLogItem rsl = mutableResultLog.newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("textSyntaxError");
        rsl.setObject(tagName + " = " + text);
    }

    public void wrongSubsetKeyError(String tagName, SubsetKey subsetKey) {
        ProcessLogItem rsl = mutableResultLog.newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("wrongSubsetKeyError");
        rsl.setObject(tagName + " = " + subsetKey.toString());
    }

    public void unknwonGroupName(String groupName) {
        ProcessLogItem rsl = mutableResultLog.newLogItemInstance();
        rsl.setCategory("ERROR");
        rsl.setKey("unknwonGroupName");
        rsl.setObject(groupName);
    }

}
