/* BdfServer_DirectoryStorage - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.jdbm;

import net.mapeadores.basedefiches.corpus.fiche.Annexe;
import net.mapeadores.basedefiches.corpus.fiche.Fiche;

/**
 *
 * @author Vincent Calame
 */
public class CorpsFiche {

    private Fiche fiche;

    public CorpsFiche(Fiche fiche) {
        this.fiche = fiche;
    }

    public Fiche getFiche() {
        return fiche;
    }

    public void appendCorpsTo(Fiche otherFiche) {
        otherFiche.appendTexte(fiche.getTexte());
        int annexeCount = fiche.getAnnexeCount();
        for(int i = 0; i < annexeCount; i++) {
            Annexe annexe = fiche.getAnnexe(i);
            otherFiche.appendAnnexe(annexe.getFieldKey(), annexe);
        }
    }

    public void setCorpsTo(Fiche otherFiche) {
        otherFiche.setTexte(fiche.getTexte());
        int annexeCount = fiche.getAnnexeCount();
        for(int i = 0; i < annexeCount; i++) {
            Annexe annexe = fiche.getAnnexe(i);
            otherFiche.setAnnexe(annexe.getFieldKey(), annexe);
        }
    }
}
