/* BdfServer_DirectoryStorage - Copyright (c) 2008-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.storage.directory.transformationstorage.stream;

import net.mapeadores.util.io.StreamTransformerErrorHandler;


/**
 *
 * @author Vincent Calame
 */
public class MessageStreamTransformerErrorHandler implements StreamTransformerErrorHandler {

    private StringBuilder errorBuffer = new StringBuilder();

    public MessageStreamTransformerErrorHandler() {
    }

    public void missingResourceError(String resourceURI) {
        if (errorBuffer.length() > 0) {
            errorBuffer.append('\n');
            errorBuffer.append('\n');
        }
        errorBuffer.append("missingResource : ");
        errorBuffer.append(resourceURI);
    }

    public void wrongResourceError(String resourceURI, String message) {
        if (errorBuffer.length() > 0) {
            errorBuffer.append('\n');
            errorBuffer.append('\n');
        }
        errorBuffer.append("wrongResource (");
        errorBuffer.append(message);
        errorBuffer.append(") : ");
        errorBuffer.append(resourceURI);
    }

    public boolean hasError() {
        return (errorBuffer.length() > 0);
    }

    public String getErrorMessage() {
        return errorBuffer.toString();
    }

}
