/* BdfServer_Email - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.email;

import java.util.Collection;
import java.util.LinkedHashMap;
import java.util.Map;
import net.mapeadores.basedefiches.association.Version;


/**
 *
 * @author Vincent Calame
 */
public class FicheAttachmentParameters {

    private boolean withHtml;
    private boolean withOdt;
    private Map<String, Version> versionMap = new LinkedHashMap<String, Version>();

    public FicheAttachmentParameters() {
    }

    public boolean isWithHtml() {
        return withHtml;
    }

    public void setWithHtml(boolean withHtml) {
        this.withHtml = withHtml;
    }

    public boolean isWithOdt() {
        return withOdt;
    }

    public void setWithOdt(boolean withOdt) {
        this.withOdt = withOdt;
    }

    public boolean containsVersion(String versionName) {
        return versionMap.containsKey(versionName);
    }

    public boolean containsVersion(Version version) {
        return versionMap.containsKey(version.getVersionName().toString());
    }

    public void addVersion(Version version) {
        versionMap.put(version.getVersionName().toString(), version);
    }

    public Collection<Version> getVersionCollection() {
        return versionMap.values();
    }

}
