/* BdfServer_Email - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.email;

import net.mapeadores.basedefiches.beans.CourrielBean;
import net.mapeadores.basedefiches.sphere.RedacteurKey;


/**
 *
 * @author Vincent Calame
 */
public class ValidAddress {

    private CourrielBean courrielBean;
    private String orginalString;
    private RedacteurKey redacteurKey;

    public ValidAddress(CourrielBean courrielBean) {
        this.courrielBean = courrielBean;
        this.orginalString = courrielBean.toString();
    }

    public ValidAddress(CourrielBean courrielBean, String originalString) {
        this.courrielBean = courrielBean;
        this.orginalString = originalString;
    }

    public ValidAddress(CourrielBean courrielBean, RedacteurKey redacteurKey) {
        this.courrielBean = courrielBean;
        this.redacteurKey = redacteurKey;
        this.orginalString = redacteurKey.toString(RedacteurKey.BRACKET_STYLE);

    }

    public CourrielBean getCourrielBean() {
        return courrielBean;
    }

    public String getOrginalString() {
        return orginalString;
    }

    public RedacteurKey getRedacteurKey() {
        return redacteurKey;
    }

}
