/* BdfServer_Email - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.email;

import net.mapeadores.basedefiches.sphere.RedacteurKey;


/**
 *
 * @author Vincent Calame
 */
public class WrongAddress {

    public static final short REDACTEUR_NOADRESS_ERROR = 1;
    public static final short REDACTEUR_INACTIVE_ERROR = 2;
    public static final short REDACTEUR_UNKNOWN_ERROR = 3;
    public static final short MALFORMED_ADDRESS_ERROR = 4;
    private short errorType;
    private RedacteurKey redacteurKey;
    private String malformedString;

    private WrongAddress(short errorType, String malformedString) {
        this.errorType = errorType;
        this.malformedString = malformedString;
    }

    private WrongAddress(short errorType, RedacteurKey redacteurKey) {
        this.errorType = errorType;
        this.redacteurKey = redacteurKey;
    }

    public static WrongAddress redacteurNoAdressError(RedacteurKey redacteurKey) {
        return new WrongAddress(REDACTEUR_NOADRESS_ERROR, redacteurKey);
    }

    public static WrongAddress redacteurInactiveError(RedacteurKey redacteurKey) {
        return new WrongAddress(REDACTEUR_INACTIVE_ERROR, redacteurKey);
    }

    public static WrongAddress redacteurUnknownError(RedacteurKey redacteurKey) {
        return new WrongAddress(REDACTEUR_UNKNOWN_ERROR, redacteurKey);
    }

    public static WrongAddress malformedAddressError(String malformedString) {
        return new WrongAddress(MALFORMED_ADDRESS_ERROR, malformedString);
    }

    public short getErrorType() {
        return errorType;
    }

    public RedacteurKey getRedacteurKey() {
        return redacteurKey;
    }

    public String getMalformedString() {
        return malformedString;
    }

}
