/* BdfServer_Email - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.email.datasource;

import fr.exemole.bdfserver.BdfServer;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import javax.activation.DataSource;
import net.mapeadores.basedefiches.association.Version;
import net.mapeadores.util.io.MimeTypeResolver;


/**
 *
 * @author Vincent Calame
 */
public class VersionDataSource implements DataSource {

    private Version version;
    private String versionName;
    private String contentType;

    private VersionDataSource(String versionName, Version version, String contentType) {
        this.version = version;
        this.contentType = contentType;
        this.versionName = versionName;
    }

    public String getContentType() {
        return contentType;
    }

    public String getName() {
        return versionName;
    }

    public InputStream getInputStream() throws IOException {
        return version.getInputStream();
    }

    public OutputStream getOutputStream() throws IOException {
        throw new IOException("no editable source");
    }

    public static VersionDataSource newInstance(BdfServer bdfServer, Version version) {
        String versionName = version.getVersionName().toString();
        MimeTypeResolver mimeTypeResolver = bdfServer.getBdfResourceStorage().getMimeTypeResolver();
        String contentType = mimeTypeResolver.getMimeTypeFromFileName(versionName);
        return new VersionDataSource(versionName, version, contentType);
    }

}
