/* ScrutariDataExport - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.dataexport;

import net.scrutari.dataexport.api.*;
import net.scrutari.dataexport.xml.*;


/**
 *
 * @author Vincent Calame
 */
public class ScrutariDataExportFactory {

    private ScrutariDataExportFactory() {
    }

    public static ScrutariDataExport newInstance(Appendable appendable, int indentLength, boolean includeXMLDeclaration) {
        XmlWriter xmlWriter = new XmlWriter(appendable, indentLength, includeXMLDeclaration);
        return new XmlScrutariDataExport(xmlWriter);
    }

}
