/* UtilLib - Copyright (c) 2005 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.collections;


/**
 * L'exception DisableIndexException est envoyée lorsqu'un index a été désactivé.
 *
 * @author  Vincent Calame - Exemole
 */
public class DisabledIndexException extends Exception {

    int index;

    /** 
     *Constructs a new <code>DisableIndexException</.code>.
     */
    public DisabledIndexException(int index) {
        super("index " + String.valueOf(index) + " is disabled");
        this.index = index;
    }

    /**
     * Retourne l'index désactivé.
     */
    public int getDisabledIndex() {
        return index;
    }

}
