/* UtilLib - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.collections;


/**
 *
 * @author Vincent Calame
 */
public class IntArrayBuffer {

    private int size = 0;
    private int[] buffer;

    public IntArrayBuffer(int length) {
        buffer = new int[length];
    }

    public void add(int i) {
        if (size == buffer.length) {
            int[] temp = new int[size * 2];
            System.arraycopy(buffer, 0, temp, 0, size);
            buffer = temp;
        }
        buffer[size] = i;
        size++;
    }

    public boolean contains(int i) {
        for (int j = 0; j < size; j++) {
            if (buffer[j] == i) {
                return true;
            }
        }
        return false;
    }

    public int[] toArray() {
        if (size == buffer.length) {
            return buffer;
        }
        int[] temp = new int[size];
        System.arraycopy(buffer, 0, temp, 0, size);
        return temp;
    }

}
