/* UtilLib - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.conditions;

import java.io.Serializable;


/**
 *
 * @author Vincent Calame
 */
public final class ConditionGroupBean implements Serializable {

    private short mode = ConditionsConstants.MODE_OR;
    private ContentConditionBean[] contentConditionBeanArray = new ContentConditionBean[0];

    public ConditionGroupBean() {
    }

    /*
     * Réservé ConditionGroup
     */
    ConditionGroupBean(short mode, ContentConditionBean[] array) {
        this.mode = mode;
        this.contentConditionBeanArray = array;
    }

    public short getMode() {
        return mode;
    }

    /**
     *
     *@throws IllegalArgumentException si mode n'est pas égal à ConditionsConstants.MODE_OR ou ConditionsConstants.MODE_AND
     */
    public void setMode(short mode) {
        if ((mode != ConditionsConstants.MODE_OR) && (mode != ConditionsConstants.MODE_AND)) {
            throw new IllegalArgumentException("wrong value");
        }
        this.mode = mode;
    }

    public ContentConditionBean[] getContentConditionBeanArray() {
        return contentConditionBeanArray;
    }

    public void setContentConditionBeanArray(ContentConditionBean[] array) {
        contentConditionBeanArray = new ContentConditionBean[array.length];
        System.arraycopy(array, 0, contentConditionBeanArray, 0, array.length);
    }

}
