/* UtilLib - Copyright (c) 2005-2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.conf;

import java.util.EventObject;
import java.util.List;


/**
 *
 * @author  Vincent Calame
 */
public class ConfEvent extends EventObject {

    Conf confMap;
    String[] paramsname;

    /** Creates a new instance of SessionConfEvent */
    public ConfEvent(Conf confMap, String paramname) {
        super(confMap);
        this.confMap = confMap;
        paramsname = new String[1];
        paramsname[0] = paramname;
    }

    public ConfEvent(Conf confMap, List paramnameList) {
        super(confMap);
        this.confMap = confMap;
        int size = paramnameList.size();
        paramsname = new String[size];
        for (int i = 0; i < size; i++) {
            paramsname[i] = (String) paramnameList.get(i);
        }
    }

    public String getParamName(int i) {
        return paramsname[i];
    }

    public int getParamNameCount() {
        return paramsname.length;
    }

    public Conf getConfMap() {
        return confMap;
    }

}
