/* UtilLib - Copyright (c) 2009-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.conf;

import net.mapeadores.util.attr.SimpleAttribute;
import net.mapeadores.util.xml.XMLWriter;
import net.mapeadores.util.xml.XMLWriterPart;
import java.util.List;
import java.io.IOException;


/**
 *
 * @author Vincent Calame
 */
public class ConfXMLPart extends XMLWriterPart {

    public ConfXMLPart(XMLWriter xmlWriter) {
        super(xmlWriter);
    }

    public void addConf(Conf conf) throws IOException {
        openTag("conf");
        List<SimpleAttribute> list = conf.convertToSimpleAttributeList(true);
        for (SimpleAttribute attribute : list) {
            startOpenTag("param");
            addAttribute("name", attribute.getKey());
            addAttribute("value", attribute.getValue());
            closeEmptyTag();
        }
        closeTag("conf");
    }

}
