/* UtilLib - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.exceptions;

import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;


/**
 *
 * @author Vincent Calame
 */
public class NestedSAXException extends RuntimeException {

    SAXException saxException;

    public NestedSAXException(SAXException saxException) {
        super(saxException);
        this.saxException = saxException;
    }

    public SAXException getSAXException() {
        return saxException;
    }

    public String getMessage() {
        if (saxException instanceof SAXParseException) {
            StringBuffer buf = new StringBuffer();
            ExceptionsUtils.append(buf, (SAXParseException) saxException);
            buf.append(saxException.getLocalizedMessage());
            return buf.toString();
        } else {
            return ExceptionsUtils.getMessage(saxException);
        }
    }

}
