/* UtilLib - Copyright (c) 209 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.html;


/**
 *
 * @author Vincent Calame
 */
public class CheckboxPrinter extends InputListPrinter {

    HTMLAttributes labelAttributes;
    HTMLAttributes inputAttributes;
    private boolean premier = true;
    String racineId = null;

    public CheckboxPrinter(HtmlPrinter htmlPrinter, HTMLAttributes labelAttributes, HTMLAttributes checkboxAttributes) {
        super(htmlPrinter);
        this.labelAttributes = labelAttributes;
        this.inputAttributes = checkboxAttributes.copy();
        inputAttributes.setType("checkbox");
        String racineId = checkboxAttributes.getId();
    }

    public void start(short valueType) {
        htmlPrinter.appendHiddenInput(inputAttributes.getName(), "");
    }

    public void add(String value, String libelle, int profondeur, boolean selected) {
        if (premier) {
            premier = false;
        } else {
            htmlPrinter.appendBr();
        }
        HTMLAttributes lattr = labelAttributes;
        if ((selected) && (getSelectedLabelAttributes() != null)) {
            lattr = getSelectedLabelAttributes();
        }
        htmlPrinter.startLabel(lattr);
        if (racineId != null) {
            inputAttributes.setId(racineId + "_" + value);
        }
        inputAttributes.setValue(value);
        inputAttributes.setChecked(selected);
        htmlPrinter.appendInput(inputAttributes);
        printLib(libelle);
        htmlPrinter.endLabel();
    }

    public void end() {
    }

}
