/* UtilLib - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.html;

import java.util.Map;


/**
 *
 * @author Vincent Calame
 */
public class CommandBox {

    private String commandString;
    private String commandKey;
    private Map<String, String> hiddenAttributesMap;
    private String page;
    private String errorPage;
    private String formAction;
    private String commandFamily;
    private boolean multipart = false;

    public CommandBox() {
    }

    public CommandBox(String commandString, String commandKey) {
        this(commandString, commandKey, null);
    }

    public CommandBox(String commandString, String commandKey, String page) {
        this.commandString = commandString;
        this.commandKey = commandKey;
        this.page = page;
    }

    public String getCommandString() {
        return commandString;
    }

    public void setCommandString(String commandString) {
        this.commandString = commandString;
    }

    public String getCommandKey() {
        return commandKey;
    }

    public void setCommandKey(String commandKey) {
        this.commandKey = commandKey;
    }

    public Map<String, String> getHiddenAttributesMap() {
        return hiddenAttributesMap;
    }

    public void setHiddenAttributesMap(Map<String, String> hiddenAttributesMap) {
        this.hiddenAttributesMap = hiddenAttributesMap;
    }

    public String getPage() {
        return page;
    }

    public void setPage(String page) {
        this.page = page;
    }

    public String getErrorPage() {
        return errorPage;
    }

    public void setErrorPage(String errorPage) {
        this.errorPage = errorPage;
    }

    public String getFormAction() {
        return formAction;
    }

    public void setFormAction(String formAction) {
        this.formAction = formAction;
    }

    public String getCommandFamily() {
        return commandFamily;
    }

    public void setCommandFamily(String commandFamily) {
        this.commandFamily = commandFamily;
    }

    public boolean isMultipart() {
        return multipart;
    }

    public void setMultipart(boolean multipart) {
        this.multipart = multipart;
    }

}
