/* UtilLib - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.html;

import java.io.IOException;
import java.io.StringReader;
import net.mapeadores.util.text.Gabarit;
import net.mapeadores.util.text.ValueResolver;


/**
 *
 * @author Vincent Calame
 */
public class GabaritHtmlProducer implements HtmlProducer {

    private String gabaritString;
    private ValueResolver valueResolver;

    public GabaritHtmlProducer(String gabaritString, ValueResolver valueResolver) {
        this.gabaritString = gabaritString;
        this.valueResolver = valueResolver;
    }

    public void writeHtml(Appendable appendable) throws IOException {
        Gabarit gabarit = new Gabarit(valueResolver);
        StringReader stringReader = new StringReader(gabaritString);
        gabarit.format(stringReader, appendable);
    }

}
