/* UtilLib - Copyright (c) 2006-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.io;

import java.io.InputStream;
import java.io.IOException;


/**
 *
 * @author  Vincent Calame
 */
public interface DocStream {

    public InputStream getInputStream() throws IOException;

    public String getMimeType();

    /**
     * Retourne null si non pertinent (cas des données binaires)
     */
    public String getCharset();

    /**
     * Retourne -1 si la taille est inconnue
     */
    public int getLength();

    /**
     * Retourne -1 si la date de dernière modification est inconnue
     */
    public long getLastModified();

}
