/* UtilLib - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.localisation;

import net.mapeadores.util.langinteger.LangInteger;
import java.util.Locale;


/**
 *
 * @author Vincent Calame
 */
public class LocalisationUtils {

    private LocalisationUtils() {
    }

    public static String getKibiOctet(Locale locale) {
        return getKibiOctet(LangInteger.fromLocale(locale));
    }

    public static String getKibiOctet(int langInteger) {
        int langPart = LangInteger.getLangPart(langInteger);
        if (langPart == LangInteger.FRENCH) {
            return "Kio";
        } else {
            return "KiB";
        }
    }

    public static String getMebiOctet(Locale locale) {
        return getMebiOctet(LangInteger.fromLocale(locale));
    }

    public static String getMebiOctet(int langInteger) {
        int langPart = LangInteger.getLangPart(langInteger);
        if (langPart == LangInteger.FRENCH) {
            return "Mio";
        } else {
            return "MiB";
        }
    }

}
