/* UtilLib - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.localisation;

import net.mapeadores.util.text.StringUtils;
import java.util.ResourceBundle;


/**
 *
 * @author Vincent Calame
 */
public class ResourceItem {

    private String resourceKey;
    private Object value;

    public ResourceItem(String resourceKey) {
        this.resourceKey = resourceKey;
    }

    public ResourceItem(String resourceKey, Object value) {
        this.resourceKey = resourceKey;
        this.value = value;
    }

    public String getResourceKey() {
        return resourceKey;
    }

    public Object getValue() {
        return value;
    }

    public String toString(ResourceBundle resourceBundle) {
        return StringUtils.getMessage(resourceBundle, resourceKey, value);
    }

    public static ResourceItem newInstance(String resourceKey, Object val1, Object val2) {
        Object[] array = new Object[2];
        array[0] = val1;
        array[1] = val2;
        return new ResourceItem(resourceKey, array);
    }

    public static ResourceItem newInstance(String resourceKey, Object val1, Object val2, Object val3) {
        Object[] array = new Object[3];
        array[0] = val1;
        array[1] = val2;
        array[2] = val3;
        return new ResourceItem(resourceKey, array);
    }

    public static ResourceItem newInstance(String resourceKey, Object val1, Object val2, Object val3, Object val4) {
        Object[] array = new Object[4];
        array[0] = val1;
        array[1] = val2;
        array[2] = val3;
        array[3] = val4;
        return new ResourceItem(resourceKey, array);
    }

}
