/* UtilLib - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.localisation;


/**
 *
 * @author Vincent Calame
 */
public class ResourceLocalisationPack {

    private ResourceLocalisation[] resourceLocalisationArray = null;
    private InternalResourceLocalisation internalResourceLocalisation = new InternalResourceLocalisation();

    public ResourceLocalisationPack() {
    }

    public void addResourceLocalisation(ResourceLocalisation resourceLocalisation) {
        if (resourceLocalisationArray == null) {
            resourceLocalisationArray = new ResourceLocalisation[1];
            resourceLocalisationArray[0] = resourceLocalisation;
        } else {
            int ln = resourceLocalisationArray.length;
            ResourceLocalisation[] temp = new ResourceLocalisation[ln + 1];
            System.arraycopy(resourceLocalisationArray, 0, temp, 1, ln);
            temp[0] = resourceLocalisation;
            resourceLocalisationArray = temp;
        }
    }

    public ResourceLocalisation getResourceLocalisationInterface() {
        return internalResourceLocalisation;
    }


    public class InternalResourceLocalisation implements ResourceLocalisation {

        public String toString(ResourceItem resourceItem) {
            return toString(resourceItem.getResourceKey(), resourceItem.getValue());
        }

        public String toString(String resourceKey, Object value) {
            if (resourceLocalisationArray == null) {
                return null;
            }
            int length = resourceLocalisationArray.length;
            for (int i = 0; i < length; i++) {
                ResourceLocalisation resourceLocalisation = resourceLocalisationArray[i];
                if (resourceLocalisation.containsKey(resourceKey)) {
                    return resourceLocalisation.toString(resourceKey, value);
                }
            }
            return null;
        }

        public boolean containsKey(String resourceKey) {
            if (resourceLocalisationArray == null) {
                return false;
            }
            int length = resourceLocalisationArray.length;
            for (int i = 0; i < length; i++) {
                if (resourceLocalisationArray[i].containsKey(resourceKey)) {
                    return true;
                }
            }
            return false;
        }

    }

}
