/* UtilLib - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.logging;


/**
 *
 * @author Vincent Calame
 */
public class ProcessLogItem {

    private int lineNumber = -1;
    private String category;
    private String key;
    private Object object;
    private String processSourceURI;
    private long generationTime;

    public ProcessLogItem(String processSourceURI) {
        this.processSourceURI = processSourceURI;
        this.generationTime = System.currentTimeMillis();
    }

    public String getProcessSourceURI() {
        return processSourceURI;
    }

    /**
     * Retourne le moment où ProcessLogItem a été généré.
     */
    public long getGenerationTime() {
        return generationTime;
    }

    public int getLineNumber() {
        return lineNumber;
    }

    public void setLineNumber(int lineNumber) {
        this.lineNumber = lineNumber;
    }

    public Object getObject() {
        return object;
    }

    public void setObject(Object object) {
        this.object = object;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String toString() {
        StringBuffer buf = new StringBuffer();
        if (lineNumber != -1) {
            buf.append("@");
            buf.append(lineNumber);
            buf.append(": ");
        }
        if (category != null) {
            buf.append("[");
            buf.append(category);
            buf.append("] ");
        }
        buf.append(key);
        if (object != null) {
            buf.append(" = ");
            if (object instanceof Object[]) {
                Object[] array = (Object[]) object;
                int length = array.length;
                for (int i = 0; i < length; i++) {
                    if (i > 0) {
                        buf.append(" | ");
                    }
                    buf.append(array[i].toString());
                }
            } else {
                buf.append(object.toString());
            }
        }
        return buf.toString();
    }

}
