/* UtilLib - Copyright (c) 2005 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.primitives;


/**
 *
 * @author  Vincent Calame
 */
public class IntKey {

    /**
     * Valeur entière qui doit être utilisée par les clés entières comme équivalent à la valeur <em>null</em>.
     * NULL est égal à 0x80000000 soit <code>1000 0000 0000 0000 0000 0000 0000 0000</code>, soit -2147483648.
     */
    public final static int NULL = 0x80000000;

    /*
     * Ne fait rien mais permet à cette classe d'être étendue par d'autres classes.
     */
    protected IntKey() {
    }

    /**
     * Équivalent de (i == NULL)
     */
    public final static boolean isNull(int i) {
        return (i == NULL);
    }

}
