/* UtilLib - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.primitives.io;

import java.io.DataOutput;
import java.io.IOException;


/**
 *
 * @author Vincent Calame
 */
public class DataOutputPrimitivesWriter implements PrimitivesWriter {

    DataOutput dataOutput;

    public DataOutputPrimitivesWriter(DataOutput dataOutput) {
        this.dataOutput = dataOutput;
    }

    public void writeInt(int i) throws IOException {
        dataOutput.writeInt(i);
    }

    public void writeShort(short s) throws IOException {
        dataOutput.writeShort(s);
    }

    public void writeBoolean(boolean b) throws IOException {
        dataOutput.writeBoolean(b);
    }

    public void writeString(String s) throws IOException {
        dataOutput.writeUTF(s);
    }

    public void writeChar(char carac) throws IOException {
        dataOutput.writeChar(carac);
    }

    public void writeDouble(double d) throws IOException {
        dataOutput.writeDouble(d);
    }

    public void writeLong(long l) throws IOException {
        dataOutput.writeLong(l);
    }

    public void writeByte(byte b) throws IOException {
        dataOutput.writeByte(b);
    }

}
