/* UtilLib - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.smtp;


/**
 *
 * @author Vincent Calame
 */
public class DefaultSmtpParameters implements SmtpParameters {

    private short authentificationType = AUTHENTIFICATION_NONE;
    private String host;
    private String username;
    private String password;
    private String popHost;
    private String popUsername;
    private String popPassword;
    private int port = 25;

    public DefaultSmtpParameters() {
    }

    public short getAuthentificationType() {
        return authentificationType;
    }

    protected void internalSetAuthentificationType(short authentificationType) {
        switch (authentificationType) {
            case AUTHENTIFICATION_NONE:
            case AUTHENTIFICATION_BASIC:
            case AUTHENTIFICATION_POP:
            case AUTHENTIFICATION_SSL:
                break;
            default:
                throw new IllegalArgumentException("Unknown authentification type : " + authentificationType);
        }
        this.authentificationType = authentificationType;
    }

    public String getHost() {
        return host;
    }

    protected void internalSetHost(String host) {
        this.host = host;
    }

    public int getPort() {
        return port;
    }

    protected void internalSetPort(int port) {
        if (port < 1) {
            this.port = 25;
        } else {
            this.port = port;
        }
    }

    public String getUsername() {
        return username;
    }

    protected void internalSetUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    protected void internalSetPassword(String password) {
        this.password = password;
    }

    public String getPopHost() {
        if (popHost == null) {
            return host;
        }
        return popHost;
    }

    protected void internalSetPopHost(String popHost) {
        this.popHost = popHost;
    }

    public String getPopUsername() {
        if (popUsername == null) {
            return username;
        }
        return popUsername;
    }

    protected void internalSetPopUsername(String popUsername) {
        this.popUsername = popUsername;
    }

    public String getPopPassword() {
        if (popPassword == null) {
            return password;
        }
        return popPassword;
    }

    protected void internalSetPopPassword(String popPassword) {
        this.popPassword = popPassword;
    }

}
