/* UtilLib - Copyright (c) 2005 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.sxio;

import java.io.OutputStream;


/**
 *
 * @author  Vincent Calame
 */
public interface SXContentSource {

    /**
     * Formats acceptés : sxw, sxc, sxd
     */
    public String getFormatName();

    public String getEncoding();

    public void writeContent(OutputStream outputStream) throws SXIOException;

    /**
     * Indique que l'écriture n'inclut pas la déclaration qui doit être rajouté.
     */
    public boolean needDeclaration();

    /**
     * Indique l'élément racine doit être inclus.
     */
    public boolean needRootElement();

}
