/* UtilLib - Copyright (c) 2005 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.sxio;

import java.io.OutputStream;
import java.io.ByteArrayInputStream;
import java.io.IOException;


/**
 *
 * @author  Vincent Calame
 */
public class StringSXStylesSource implements SXStylesSource {

    String stylesBody;

    /** Creates a new instance of StringSXStylesSource */
    public StringSXStylesSource(String stylesBody) {
        this.stylesBody = stylesBody;
    }

    public String getEncoding() {
        return "UTF-8";
    }

    public void writeStyles(OutputStream outputStream) throws SXIOException {
        try {
            ByteArrayInputStream input = new ByteArrayInputStream(stylesBody.getBytes(getEncoding()));
            int n;
            byte[] buffer = new byte[1004];
            while ((n = input.read(buffer)) != -1) {
                outputStream.write(buffer, 0, n);
            }
            input.close();
        } catch (IOException ioe) {
            throw new SXIOException(ioe);
        }
    }

}
