/* UtilLib - Copyright (c) 2005 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.sxio;

import java.io.OutputStream;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerException;
import javax.xml.transform.Source;
import javax.xml.transform.stream.StreamResult;


/**
 *
 * @author  Vincent Calame
 */
public class TransformSXContentSource implements SXContentSource {

    String formatName;
    Transformer transformer;
    String encoding;
    Source source;

    public TransformSXContentSource(String formatName, Transformer transformer, Source source) {
        this.formatName = formatName;
        this.transformer = transformer;
        this.source = source;
        this.encoding = transformer.getOutputProperty("encoding");
        transformer.setOutputProperty("omit-xml-declaration", "yes");
    }

    public String getEncoding() {
        return encoding;
    }

    public String getFormatName() {
        return formatName;
    }

    public boolean needDeclaration() {
        return true;
    }

    public boolean needRootElement() {
        return false;
    }

    public void writeContent(OutputStream outputStream) throws SXIOException {
        try {
            transformer.transform(source, new StreamResult(outputStream));
        } catch (TransformerException te) {
            throw new SXIOException(te);
        }
    }

}
