/* UtilLib - Copyright (c) 2007-2009 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text;


/**
 *
 * @author Vincent Calame
 */
public abstract class AbstractLibelleHolder implements LibelleHolder {

    private LibelleByLangMap libelleMap;

    public AbstractLibelleHolder() {
        this.libelleMap = new LibelleByLangMap();
    }

    public AbstractLibelleHolder(String defaultLibelleString) {
        this.libelleMap = new LibelleByLangMap(defaultLibelleString);
    }

    public Libelle getLibelleByLang(int langInteger) {
        return libelleMap.getLibelle(langInteger);
    }

    public int getLibelleCount() {
        return libelleMap.getLibelleCount();
    }

    public Libelle getLibelleByIndex(int i) {
        return libelleMap.getLibelleByIndex(i);
    }

    public String getLibelleString(int langInteger, boolean defaut) {
        if (!defaut) {
            return libelleMap.getLibelleString(langInteger, false);
        }
        return libelleMap.getLibelleString(langInteger, defaut);
    }

    protected boolean setLibelle(String nvlibelle, int langInteger) {
        if (nvlibelle == null) {
            Libelle oldlib = libelleMap.removeLibelle(langInteger);
            return (oldlib != null);
        } else {
            Libelle lib = libelleMap.getLibelle(langInteger);
            if (lib == null) {
                lib = libelleMap.createLibelle(langInteger, nvlibelle);
                return (lib != null);
            } else {
                return libelleMap.setLibelle(lib, nvlibelle);
            }
        }
    }

}
