/* UtilLib - Copyright (c) 2009 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text;

import org.w3c.dom.*;
import net.mapeadores.util.langinteger.*;
import net.mapeadores.util.xml.*;


/**
 *
 * @author Vincent Calame
 */
public class LibelleDOMUtils {

    private LibelleDOMUtils() {
    }

    public static Libelle readLib(Element element) throws LangIntegerException {
        int langInteger = LangInteger.parse(element.getAttribute("xml:lang"));
        String libString = DOMReader.readSimpleElement(element);
        MutableLibelle libelle = new MutableLibelle();
        libelle.setLangInteger(langInteger);
        libelle.setLibelleString(libString);
        return libelle;
    }

}
