/* UtilLib - Copyright (c) 2007-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text;

import java.util.List;


/**
 *
 * @author Vincent Calame
 */
public interface LibelleHolder {

    /**
     * Retourne la chaîne du libellé pour la langue en argument.
     * S'il n'y a pas de libellé pour la langue en argument, retourne <em>null</em> si defaut est égal à false
     * et une chaîne non vide par défaut si defaut est égal à <em>true</em>.
     */
    public String getLibelleString(int langInteger, boolean defaut);

    /**
     * Retourne le nombre total de libelles.
     */
    public int getLibelleCount();

    /**
     * Retourne kle i-ème Libelle.
     */
    public Libelle getLibelleByIndex(int i);

    /**
     * Retourne une instance de Libelle pour la langue en argument.
     * Retourne <em>null</em> si le libellé n'existe pas.
     */
    public Libelle getLibelleByLang(int langInteger);

}
