/* UtilLib - Copyright (c) 2005 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text;


/**
 *
 *Correspondance de valeur avec ConditionsConstant
 *
 * @author Vincent Calame
 */
public class TextConstants {

    final public static int CONTAINS = 3;
    final public static int MATCHES = 0;
    final public static int ENDSWITH = 2;
    final public static int STARTSWITH = 1;
    final public static short OR = 1;
    final public static short AND = 2;

    private TextConstants() {
    }

    public static String toString(int type) {
        switch (type) {
            case CONTAINS:
                return "contains";
            case MATCHES:
                return "matches";
            case ENDSWITH:
                return "endswith";
            case STARTSWITH:
                return "startswith";
            default:
                throw new IllegalArgumentException("bad type value");
        }
    }

}
