/* UtilLib - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text.terme;

import net.mapeadores.util.text.AbstractLibelleHolder;


/**
 *
 * @author Vincent Calame
 */
public abstract class AbstractTerme extends AbstractLibelleHolder {

    private int code;

    public AbstractTerme(int code) {
        super();
        this.code = code;
    }

    /**
     * Cette méthode fixe un libellé par défaut à utiliser lorsque le libellé n'existe pas.
     * <code>defaultLibelleString</code> est nettoyé par le constructeur, il ne doit pas être vide ou nul.
     *
     *@throws IllegalArgumentException si defaultLibelleString est vide ou null.
     */
    public AbstractTerme(int code, String defaultLibelleString) {
        super(defaultLibelleString);
        this.code = code;

    }

    public int getCode() {
        return code;
    }

    public abstract TermeDomain getTermeDomain();

}
