/* UtilLib - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.xml;

import net.mapeadores.util.text.StringUtils;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;
import org.w3c.dom.Node;
import org.w3c.dom.Text;


/**
 *
 * @author Vincent Calame
 */
public class DOMReader {

    public DOMReader() {
    }

    public static void readChildren(Element element_xml, ElementHandler elementHandler) {
        NodeList liste = element_xml.getChildNodes();
        for (int i = 0; i < liste.getLength(); i++) {
            if (liste.item(i).getNodeType() == Node.ELEMENT_NODE) {
                Element element = (Element) liste.item(i);
                elementHandler.readElement(element);
            }
        }
    }

    /**
     * N'est jamais nul.
     */
    public static String readSimpleElement(Element element_xml) {
        return readSimpleElement(element_xml, true);
    }

    /**
     * N'est jamais nul.
     */
    public static String readSimpleElement(Element el, boolean trim) {
        Node nd = el.getFirstChild();
        if ((nd != null) && ((nd.getNodeType() == Node.TEXT_NODE) || (nd.getNodeType() == Node.CDATA_SECTION_NODE))) {
            String result = ((Text) nd).getData();
            if (result == null) {
                return "";
            } else {
                return StringUtils.cleanString(result, trim);
            }
        } else {
            return "";
        }
    }

}
