/* UtilLib - Copyright (c) 2009-2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.xml;

import net.mapeadores.util.langinteger.LangInteger;
import net.mapeadores.util.text.Libelle;
import net.mapeadores.util.text.LibelleHolder;
import net.mapeadores.util.text.LangFilter;
import java.awt.Color;
import java.io.IOException;


/**
 *
 * @author Vincent Calame
 */
public class UtilXMLWriterPart extends XMLWriterPart {

    public UtilXMLWriterPart(XMLWriter xmlWriter) {
        super(xmlWriter);
    }

    public void addLibElement(int langInteger, String lib) throws IOException {
        if (langInteger == LangInteger.NO_LINGUISTIC_CONTENT) {
            return;
        }
        startOpenTag("lib");
        if (langInteger != LangInteger.UNDETERMINED) {
            addAttribute("xml:lang", LangInteger.toString(langInteger));
        }
        endOpenTag(false);
        escape(lib);
        closeTag("lib", false, false);
    }

    public void addLibelleList(LibelleHolder libelleHolder, LangFilter langFilter, boolean withVoDefault) throws IOException {
        int libelleCount = libelleHolder.getLibelleCount();
        for (int i = 0; i < libelleCount; i++) {
            Libelle lib = libelleHolder.getLibelleByIndex(i);
            if ((langFilter == null) || (langFilter.accept(lib.getLangInteger()))) {
                addLibElement(lib.getLangInteger(), lib.getLibelleString());
            }
        }
    }

    public void addColor(Color color) throws IOException {
        addSimpleElement("color", XMLUtils.toHexFormat(color));
    }

}
