/* UtilLib - Copyright (c) 2006-2009 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.xml;

import net.mapeadores.util.xml.ns.NameSpace;
import java.io.IOException;


/**
 *
 * @author Vincent Calame
 */
public interface XMLWriter {

    public Appendable getAppendable();

    public boolean isAposEscaped();

    public void appendXMLDeclaration() throws IOException;

    public void appendStylesheet(String href, String type) throws IOException;

    public void appendDocType(String doctype) throws IOException;

    public void append(char c) throws IOException;

    public void append(CharSequence charSequence) throws IOException;

    public void appendCData(CharSequence charSequence) throws IOException;

    public void appendIndent() throws IOException;

    public int getCurrentIndentValue();

    public void startOpenTag(String name) throws IOException;

    public void startOpenTag(String name, boolean indentBefore) throws IOException;

    public void endOpenTag() throws IOException;

    public void endOpenTag(boolean increaseIndent) throws IOException;

    public void closeEmptyTag() throws IOException;

    public void openTag(String name) throws IOException;

    public void openTag(String name, boolean indentBefore, boolean indentIncrease) throws IOException;

    public void closeTag(String name) throws IOException;

    public void closeTag(String name, boolean indentBefore, boolean indentDecreaseAfter) throws IOException;

    public void escape(CharSequence charSequence) throws IOException;

    public void escape(char carac) throws IOException;

    public void addNameSpaceAttribute(NameSpace nameSpace) throws IOException;

    public void addNameSpaceAttribute(String prefix, String nameSpace) throws IOException;

    public void addAttribute(String attributeName, String value) throws IOException;

    public void addAttribute(String attributeName, char c) throws IOException;

    public void addAttribute(String attributeName, int i) throws IOException;

    public void addSimpleElement(String tagname, String value) throws IOException;

    public void addSimpleElement(String tagname, String attribute, String attributeValue, String value) throws IOException;

    public void addEmptyElement(String tagname) throws IOException;

}
