/* UtilLib - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.xml.xmlpull;

import java.util.Map;


/**
 *
 * @author Vincent Calame
 */
public class SimpleElementHandler implements XmlPullElementHandler {

    StringBuilder buf = new StringBuilder();
    private int type = 0;
    private int subCount = 0;

    public SimpleElementHandler(int type) {
        this.type = type;
    }

    public void processStartElement(String tagname, Map<String, String> attributeMap) {
        subCount++;
        buf.append("<");
        buf.append(tagname);
        buf.append(">");
    }

    public boolean processEndElement(String tagname) {
        if (subCount == 0) {
            return true;
        }
        subCount--;
        buf.append("</");
        buf.append(tagname);
        buf.append(">");
        return false;
    }

    public void processText(String text) {
        buf.append(text);
    }

    public String getText() {
        return buf.toString().trim();
    }

    public int getType() {
        return type;
    }

}
