/* UtilLib - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.zip;

import java.io.*;
import java.util.zip.*;


/**
 *
 * @author Vincent Calame
 */
public class Zipper {

    ZipOutputStream zipOutput;

    public Zipper(ZipOutputStream zipOutputStream) {
        this.zipOutput = zipOutputStream;
    }

    public Zipper(File f) throws IOException {
        this.zipOutput = new ZipOutputStream(new FileOutputStream(f));
    }

    public void zipDirectory(File directory, String parentDirectoryPath) throws IOException {
        String newPath = parentDirectoryPath + directory.getName() + "/";
        File[] files = directory.listFiles();
        if (files.length == 0) {
            ZipEntry zipEntry = new ZipEntry(newPath);
            zipOutput.putNextEntry(zipEntry);
            zipOutput.closeEntry();
            return;
        }
        for (int i = 0; i < files.length; i++) {
            File f = files[i];
            if (f.isDirectory()) {
                zipDirectory(f, newPath);
            } else {
                zipFile(f, newPath);
            }
        }
    }

    /*
     * Zippe un fichier.
     */
    public void zipFile(File f, String directoryPathInZip) throws IOException {
        //System.out.println(f.getAbsolutePath());
        InputStream is = new FileInputStream(f);
        ZipEntry zipEntry = new ZipEntry(directoryPathInZip + f.getName());
        zipOutput.putNextEntry(zipEntry);
        int n;
        byte[] buffer = new byte[1004];
        while ((n = is.read(buffer)) != -1) {
            zipOutput.write(buffer, 0, n);
        }
        is.close();
        zipOutput.closeEntry();
    }

    public void close() throws IOException {
        zipOutput.close();
    }

}
