/* UtilLib_Image - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.images;


/**
 *
 * @author Vincent Calame
 */
public class RescaleDim {

    public final static short WIDTH_RESCALE = 1;
    public final static short HEIGHT_RESCALE = 2;
    public final static short DIM_RESCALE = 3;
    private short type;
    private int width = 0;
    private int height = 0;
    private boolean max = false;

    private RescaleDim(short type) {
        this.type = type;
    }

    public short getType() {
        return type;
    }

    public int getWidth() {
        return width;
    }

    public int getHeight() {
        return height;
    }

    public boolean isOnlyMax() {
        return max;
    }

    public static RescaleDim newFixedWidthInstance(int width) {
        if (width < 1) {
            throw new IllegalArgumentException("width < 1");
        }
        RescaleDim obj = new RescaleDim(WIDTH_RESCALE);
        obj.width = width;
        obj.max = false;
        return obj;
    }

    public static RescaleDim newFixedHeightInstance(int height) {
        if (height < 1) {
            throw new IllegalArgumentException("width < 1");
        }
        RescaleDim obj = new RescaleDim(HEIGHT_RESCALE);
        obj.height = height;
        obj.max = false;
        return obj;
    }

    public static RescaleDim newMaxWidthInstance(int width) {
        if (width < 1) {
            throw new IllegalArgumentException("width < 1");
        }
        RescaleDim obj = new RescaleDim(WIDTH_RESCALE);
        obj.width = width;
        obj.max = true;
        return obj;
    }

    public static RescaleDim newMaxHeightInstance(int height) {
        if (height < 1) {
            throw new IllegalArgumentException("height < 1");
        }
        RescaleDim obj = new RescaleDim(HEIGHT_RESCALE);
        obj.height = height;
        obj.max = true;
        return obj;
    }

    public static RescaleDim newMaxDimInstance(int width, int height) {
        if (width < 1) {
            throw new IllegalArgumentException("width < 1");
        }
        if (height < 1) {
            throw new IllegalArgumentException("height < 1");
        }
        RescaleDim obj = new RescaleDim(DIM_RESCALE);
        obj.width = width;
        obj.height = height;
        obj.max = true;
        return obj;
    }

}
