/* UtilLib_Servlet - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.servlets;


/**
 *
 * @author Vincent Calame
 */
public class ResponseDataTypeUtils implements ResponseDataType {

    public static short dataTypeToShort(String s) {
        if (s.equals(HTML_DATATYPE_STRING)) {
            return HTML_DATATYPE;
        }
        if (s.equals(XML_DATATYPE_STRING)) {
            return XML_DATATYPE;
        }
        if (s.equals(JSON_DATATYPE_STRING)) {
            return JSON_DATATYPE;
        }
        if (s.equals(JSON_IN_HTML_DATATYPE_STRING)) {
            return JSON_IN_HTML_DATATYPE;
        }
        if (s.equals(TEXT_DATATYPE_STRING)) {
            return TEXT_DATATYPE;
        }
        if (s.equals(JSON_P_DATATYPE_STRING)) {
            return JSON_P_DATATYPE;
        }
        return UNDETERMINED_DATATYPE;
    }

    public static String dataTypeToString(short dataType) {
        switch (dataType) {
            case UNDETERMINED_DATATYPE:
                return "";
            case HTML_DATATYPE:
                return HTML_DATATYPE_STRING;
            case XML_DATATYPE:
                return XML_DATATYPE_STRING;
            case JSON_DATATYPE:
                return JSON_DATATYPE_STRING;
            case JSON_IN_HTML_DATATYPE:
                return JSON_IN_HTML_DATATYPE_STRING;
            case TEXT_DATATYPE:
                return TEXT_DATATYPE_STRING;
            case JSON_P_DATATYPE:
                return JSON_P_DATATYPE_STRING;
            default:
                return "";
        }
    }

    public static String dataTypeToContentType(short dataType) {
        switch (dataType) {
            case HTML_DATATYPE:
                return "text/html;charset=UTF-8";
            case XML_DATATYPE:
                return "text/xml;charset=UTF-8";
            case JSON_DATATYPE:
                return "application/json";
            case JSON_IN_HTML_DATATYPE:
                return "text/html;charset=UTF-8";
            case TEXT_DATATYPE:
                return "text/plain;charset=UTF-8";
            case JSON_P_DATATYPE:
                return "text/javascript;charset=UTF-8";
            default:
                return "application/octetstream";
        }
    }

}


