/* UtilLib_Servlet - Copyright (c) 2010 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.servlets.handlers;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.http.HttpServletResponse;
import net.mapeadores.util.servlets.ResponseDataType;
import net.mapeadores.util.servlets.ResponseDataTypeUtils;
import net.mapeadores.util.servlets.ResponseHandler;
import net.mapeadores.util.xml.XmlProducer;


/**
 *
 * @author Vincent Calame
 */
public class XmlResponseHandler implements ResponseHandler, ResponseDataType {

    private long lastModified = ResponseHandler.LASTMODIFIED_NOCACHE;
    private XmlProducer xmlProducer;

    public XmlResponseHandler(XmlProducer xmlProducer) {
        this.xmlProducer = xmlProducer;
    }

    public long getLastModified() {
        return lastModified;
    }

    public void setLastModified(long lastModified) {
        this.lastModified = lastModified;
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        response.setContentType(ResponseDataTypeUtils.dataTypeToContentType(XML_DATATYPE));
        PrintWriter pw = response.getWriter();
        xmlProducer.writeXml(pw);
        pw.close();
    }

}
